;Ղ̌
;=============================================================================
;	HK3_SUB.SRC
;-----------------------------------------------------------------------------
; 1.00	1992-11-21	Created						HaHi
;=============================================================================
;=============================================================================
;	@
;=============================================================================
	include	\game\sys\game.h
	include	stg.h
	include	em_mac2.inc
;=============================================================================
;	@
;=============================================================================
	extrn	ANOTHER_PLAYER		; stg.s
	extrn	STA_CONVERT_TBL		; em_data.s
	extrn	STATE_DATA_TBL		; em_data.s
;=============================================================================
;	@
;=============================================================================
	public	DISTANCE_SEARCH
	public	MINE_STATE_SET
	public	SET_RD16
	public	LEVER_SET,END_LEVER
	public	DISTANCE_CHECK
;=============================================================================
;	@
;=============================================================================
;=============================================================================
;	@
;=============================================================================
;=============================================================================
;	@
;=============================================================================
	seg	hk3
;-----------------------------------------------------------------------------;
;	DISTANCE_SEARCH
; function:
;	
; argument:
;	_d0 : object x_position
;	_d2 : distance level
; return:
;	
; modify:
;	
; note:
;	
;-----------------------------------------------------------------------------;
DISTANCE_SEARCH:
	ldx	pl_sel
	lda	p_X_DIS_NEG_l,x
	sta	_d0_l
	lda	p_X_DIS_NEG_h,x
	sta	_d0_h
	;
SRCH_1:
	cly
	;
	lda	_d0_l
	cmp	p_DIS_LONG_l,x
	lda	_d0_h
	sbc	p_DIS_LONG_h,x
	bmi	SRCH_2
	;
	iny
SRCH_2:
	lda	_d0_l
	cmp	p_DIS_MID_l,x
	lda	_d0_h
	sbc	p_DIS_MID_h,x
	bmi	SRCH_3
	;
	iny
SRCH_3:
	lda	_d0_l
	cmp	p_DIS_SHORT_l,x
	lda	_d0_h
	sbc	p_DIS_SHORT_h,x
	bmi	SRCH_4
	;
	iny
SRCH_4:
	tya
	sta	p_DIS_MODE,x
	rts

;-----------------------------------------------------------------------------;
;	MINE_STATE_SET
; function:
;	
; argument:
;	
; return:
;	
; modify:
;	
; note:
;	
;-----------------------------------------------------------------------------;
MINE_STATE_SET:
	ldy	pl_sel
	ldx	ANOTHER_PLAYER,y
	jsr	ACT_TYPE_READ		;player action_type (0~0ffh)
	;
	ldx	pl_sel
	lda	p_NOW_STATE,x
	sta	p_BEFORE_STATE,x
	;
	lda	_d4
	sta	p_NOW_STATE,x
	;
	cmp	#7
	bhs	MINE_STA_1
MS_NEXT_1:
	tay
	lda	NML_CONVERT,y
	sta	p_NOW_STATE,x		; nomal_mode exchange
MINE_STA_1:
	ldx	pl_sel
	jsr	ACT_TYPE_READ
	;
	lda	_d4
	bmi	MINE_STA_NEXT
	;
	cmp	#7
	blo	MINE_STA_2
	;
	stz	_d4
MINE_STA_2:
	ldy	h_HERO_TYPE,x
	lda	STA_CONVERT_TBL-2,y
	add	_d4
	tay
	lda	STA_CONVERT_TBL,y
	sta	p_MINE_STATE,x
MINE_STA_NEXT:
	rts

NML_CONVERT:
	db	0,1,2,3,4,0,0,0

;************************************************************************
;
;	*receive_resista:A1(anothrer_player logical top_address)
;	*return_resista	:D4(action_type no)
;	*use_resista	:D1,D3,A0
;						1992/5/26
ACT_TYPE_READ:
	lda	h_ACT_CTRL,x
	cmp	#$4f+1
	bhs	ACT_READ_END
	;
	tay
	lda	STATE_DATA_TBL,y
	sta	_d4				;action_no_set
ACT_READ_END:
	rts


;-----------------------------------------------------------------------------;
;	SET_RD16
; function:
;	O`PT̗𓾂
; argument:
;	
; return:
;	Acc : 0`15
; modify:
;	
; note:
;	
;-----------------------------------------------------------------------------;
SET_RD16:
	jsr_	RAND8
	and	#%0000_1111
	rts

;-----------------------------------------------------------------------------;
;	DISTANCE_CHECK
; function:
;	distance_mode command_out checker program
; argument:
;	
; return:
;	
; modify:
;	
; note:
;	
;-----------------------------------------------------------------------------;
DISTANCE_CHECK:
;		MOVE	X_POSITION+HERO_OFFSET(A6),D0
;		CMP	#70H,D0
;		BLT	DIS_COM_CUT

;		CMP	#02A0H,D0
;		BCC	DIS_COM_CUT	;screen_check

	ldx	pl_sel
	;
	lda	p_SEARCH_MODE,x
	cmp	#3+1
	jhs	DIS_COM_CUT
	;
	lda	p_DIS_MODE,x
	sta	_d2
	asl	a
	asl	a
	add	p_SEARCH_MODE,x
	asl	a
	pha
	;
	lda	#$0c
	and	p_BEFORE_LEVER,x
	beq	DIS_CHECK_1
	;
	tst	#ACTAT_FLIP,ma_ACT_ATTR,x
	beq	DIS_CHECK_1
	;
	eor	#%0000_1100
DIS_CHECK_1:
	sta	_d1
	stz	_d0
	;
	plx
	jsr	jsr_a2
	;
	lda	_d0
	beq	DIS_NEXT
	;
	lda	#COM_REND_BIT
	ora	p_PLAYER_CONTROL,x
	sta	p_PLAYER_CONTROL,x
DIS_NEXT:
	rts

jsr_a2:
	jmp	[DIS_SEARCHER,x]

;		***********************
DIS_SEARCHER:
;SEARCH_MODE	     0,     1,     2,     3	;DIS_MODE
	dw	DIS0_0,DIS0_1,DIS0_2,DIS0_3	;0
	dw	DIS1_0,DIS1_1,DIS1_2,DIS1_3	;1
	dw	DIS2_0,DIS2_1,DIS2_2,DIS2_3	;2
	dw	DIS3_0,DIS3_1,DIS3_2,DIS3_3	;3

;		***********************

;
;
;
DIS0_0:
DIS1_1:
DIS2_2:
DIS3_3:
SRCH_NR_END:
	ldx	pl_sel
	lda	#COM_REND_BIT
	ora	p_PLAYER_CONTROL,x
	sta	p_PLAYER_CONTROL,x
	;
	stz	_d0
	rts

;
;

;************************************************************************
;
;
;
DIS0_CHECK:
	lda	_d2		;now_dis
	bne	DIS0_CHECK1
	ldb	_d0,$ff
DIS0_CHECK1:
	;
	lda	_d2
	cmp	#2+1
	bhs	DIS_COM_CUT
	rts

DIS1_CHECK:
	lda	_d2
	cmp	#1
	bne	DIS1_CHECK1
	ldb	_d0,#$ff
DIS1_CHECK1:
	lda	_d2
	cmp	#2+1
	bhs	DIS_COM_CUT
	rts
DIS2_CHECK:
	lda	_d2
	cmp	#2
	bne	DIS2_CHECK1
	ldb	_d0,#$ff
DIS2_CHECK1
	lda	_d2
	dec	a
	bmi	DIS_COM_CUT
	rts
DIS3_CHECK:
	lda	_d2
	cmp	#3
	bne	DIS3_CHECK1
	ldb	_d0,#$ff
DIS3_CHECK1:
	;
	lda	_d2
	cmp	#1+1
	blo	DIS_COM_CUT
	rts

DIS_COM_CUT:
	ldx	pl_sel
	;
	lda	#4
	sta	p_BEFORE_LEVER,x
	lda	#%00000011
	ora	p_PLAYER_CONTROL,x
	sta	p_PLAYER_CONTROL,x
	;
	stz	_d0
	rts

DIS1_0	=	DIS0_CHECK
DIS3_0	=	DIS0_CHECK
DIS2_0	=	DIS0_CHECK
DIS2_1	=	DIS1_CHECK
DIS3_1	=	DIS1_CHECK
DIS0_1	=	DIS1_CHECK
DIS3_2	=	DIS2_CHECK
DIS1_2	=	DIS2_CHECK
DIS0_2	=	DIS2_CHECK
DIS1_3	=	DIS3_CHECK
DIS2_3	=	DIS3_CHECK
DIS0_3	=	DIS3_CHECK

;-----------------------------------------------------------------------------;
;	END_LEVER	/	LEVER_SET
; function:
;	*lever & pad data setting 
; argument:
;	_d0.b	: lever & pad data
; return:
;	
; modify:
;	
; note:
;	
;-----------------------------------------------------------------------------;
END_LEVER:
	ldx	pl_sel
	stz	p_ACT_COM,x
	lda	#%11001100
	and	p_PLAYER_CONTROL,x
	sta	p_PLAYER_CONTROL,x
LEVER_SET:
	lda	_d0
	cmp	#$80+1
	bhs	DIRECT_MODE
	;
	and	#$f0
	beq	LS_3
	;
;	jsr	ATTACK_CODE_CHK		; Kequ ŕԂ
;	beq	LS_3
;	;
;	lda	#LEFT|RIGHT		;%0000_1100
;	and	_d0
;	sta	_d0
LS_3:
	lda	_d0
	and	#$0c
	beq	LS_1
	;
	tst	#ACTAT_FLIP,ma_ACT_ATTR,x
	beq	LS_1
	;
	lda	#LEFT|RIGHT		;%0000_1100
	eor	_d0
	sta	_d0
LS_1:
;		MOVE.L	ANOTHER_PLAYER+HERO_OFFSET(A6),A1
;		BTST.B	#BHS_DAMAGE,HERO_STATE(A1)
;		BEQ	LS_2

;		ANDI.B	#00001111B,D0
LS_2:
	lda	_d0
	sta	h_PLAY_LEVERn,x
	sta	h_PLAY_LEVERt,x
	;
	ldy	p_BEFORE_LEVER,x
	sta	p_BEFORE_LEVER,x
	;
	sty	_d0_h		; Õo[Ɠł
	eor	_d0_h
	bne	AT_MODE_CHK
	;
	lda	#LEFT|RIGHT|UP|DOWN
	and	_d0
	sta	h_PLAY_LEVERt,x
AT_MODE_CHK:
	lda	_a0
	sta	p_ACTION_ADRS_l,x
	lda	_a0_h
	sta	p_ACTION_ADRS_h,x
	;
	lda	#UP
	and	_d0
	sta	_d0
	beq	LEVER_SET_END
	;
	lda	#EINT4
	sta	p_EM_INT,x
	;
LEVER_SET_END:
	rts


DIRECT_MODE:
;	jsr	ATTACK_CODE_CHK		KequŕԂ
;	bne	DIRECT_MODE_1
	;
	tst	#HS_JUMP,h_HERO_STATE,x
	beq	DIRECT_SET
DIRECT_MODE_1:
	stz	_d0
DIRECT_SET:
	lda	#1
	sta	h_CTRL_FLAG,x
	;
	lda	_d0
	sta	h_DIRECT_CTRL,x
	;
	lda	_a0
	sta	p_ACTION_ADRS_l,x
	lda	_a0_h
	sta	p_ACTION_ADRS_h,x
	rts

;------------------------------------------------------------------------------
;	ATTACK_CODE_CHK
;------------------------------------------------------------------------------
ATTACK_CODE_CHK:
	;	CMP.W	D0,D0	;Kequ
	;	RTS
 if 0
		BTST.B	#BHS_JUMP,HERO_STATE+HERO_OFFSET(A6)
		BNE	AT_CHK_CLEAR

		TST.B	D0
		BPL	ATC_1

		MOVE	D0,D3
		ANDI.B	#7FH,D3
		ADD	D3,D3
		ADD	#14*2,D3
		MOVE	D3,D2
ATC_1:
		MOVE.B	NOW_STATE(A6),D2
		ADD	D2,D2
		MOVE	AT_DIS_DATA(PC,D2),D2
		CMP	X_DIS_NEG(A6),D2
		BLT	ATC_2

		MOVEQ.L	#0,D1
		RTS
ATC_2:
		TST.B	TARGET_Y+1(A6)
		BPL	ATC_3

		CLR.B	TARGET_Y+1(A6)
ATC_3:
		MOVE	HERO_TYPE+HERO_OFFSET(A6),D1
		SUBQ.W	#2,D1

		MOVEQ.L	#0,D2
		LEA.L	RES_TIME_DATA(PC),A1
		MOVE.B	(A1,D1),D2

		MOVEQ.L	#0,D1
		CMP.B	TARGET_Y+1(A6),D2
		SHI	D1		;

		ADDQ.B	#1,D1
		RTS
AT_CHK_CLEAR:
		MOVEQ.L	#0,D1
		RTS

RES_TIME_DATA:
	DC.B	8	;1
	DC.B	8	;2
	DC.B	8	;3
	DC.B	8	;4
	DC.B	8	;5
	DC.B	8	;6
	DC.B	8	;7
	DC.B	8	;8

;
;	now_state
;
AT_DIS_DATA:
	DC.W	100	;jub
	DC.W	100	;strong_punch
	DC.W	130	;nml_punch
	DC.W	110	;body_blow
	DC.W	100	;kick
	DC.W	100	;strong_kick
	DC.W	130	;nml_kick
	DC.W	110	;low_kick
	DC.W	165	;crounch_punch
	DC.W	165	;crounch_kick
	DC.W	170	;jump_punch
	DC.W	170	;jump_kick

	DC.W	300	;hado_ken
	DC.W	300	;super_action
	DC.W	300	;100_retsu
	DC.W	300	;super_hado_ken

 endif
;=============================================================================
;	@@
;=============================================================================
