;Ղ̌
;=============================================================================
;	IvVI
;-----------------------------------------------------------------------------
; 1.00	1992-11-21	Created						HaHi
;=============================================================================
;=============================================================================
;	@
;=============================================================================
	include	\game\sys\game.h
	include	\game\sys\vram.h
	include	\game\sys\pal.h
	include	\game\sys\task.h
	include	\game\sys\objman.h
	include	\game\sys\batclr.h
	include	\game\sys\moji.h
	include	\game\sys\moji2.h
	include	\game\sys\moji3.h
	include	\game\sys\sound.h
;	include	data.ext
;=============================================================================
;	@
;=============================================================================
	extrn	moji_pal,moji2_chr,moji3_chr	;data.s
	extrn	modesel_task_reent
	extrn	ryuko_sp_setup
	extrn	keyassign_task
;=============================================================================
;	@
;=============================================================================
	public	option_task
	public	option_task_reent
;=============================================================================
;	@
;=============================================================================
BACK_COLOR	=	%000_000_000	; 

PX1	=	4
PX2	=	14
PY	=	8
PL	=	3

MENUMAX	=	5
;=============================================================================
;	@
;=============================================================================
	seg	dseg
line_sel	ds	1	; CZN^
blink_timer	ds	1	; J[\uNp^C}[
;=============================================================================
;	@
;=============================================================================
	seg	cseg
;-----------------------------------------------------------------------------;
;	option_task
; function:
;	
; argument:
;	
; return:
;	
; modify:
;	
; note:
;	
;-----------------------------------------------------------------------------;
option_task:
	stz	line_sel
	;
option_task_reent:
	jsr	ex_dspoff
	jsr	wait_vsync
	;
	vminit	$1000
	jsr	pl_init
	jsr	obj_init
	;
	jsr	ryuko_sp_setup
	;
	jsr	bat_clear
	;
	mojipal	moji_pal
	moji2setup	moji2_chr
	moji3setup	moji3_chr
	;
	putln3	string_OPTION_TITLE
	jsr	print_level
	jsr	print_language
	jsr	print_vstime
 if 0
	jsr	print_pad1
	jsr	print_pad2
 endif
	putln2	string_keyassign
	putln2	string_exit
	;
	jsr	set_back_color
	color_update
	jsr	ex_dspon
	;
	stz	blink_timer
	;
option_task_lop:
	next_rts
	;
	jsr	blink_cursor
	;
	lda	XPAD_TRG_X+0	; III{^
	ora	XPAD_TRG_X+1
	bit	#1
	bne	option_decide
	;
	lda	XPAD_TRG_S+0	; I{^
	ora	XPAD_TRG_S+1
	bit	#JOYA
	bne	option_decide
	;
	bit	#JOYRIGHT
	bne	option_right
	bit	#JOYLEFT
	bne	option_left
	;
	bit	#JOYB		; II{^
	bne	option_cancel
	;
	jsr	cursor_move
	bra	option_task_lop

option_cancel:
	jmp	decide_exit

option_decide:
	;
	lda	line_sel
	asl	a
	tax
	jmp	[decide_jtbl,x]

option_right:
	lda	line_sel
	asl	a
	tax
	jmp	[right_jtbl,x]

option_left:
	lda	line_sel
	asl	a
	tax
	jmp	[left_jtbl,x]

decide_jtbl:
	dw	decide_level_right
	dw	decide_language_right
	dw	decide_vstime
	dw	decide_assign
	dw	decide_exit
right_jtbl:
	dw	decide_level_right
	dw	decide_language_right
	dw	decide_vstime
	dw	option_task_lop
	dw	option_task_lop
left_jtbl:
	dw	decide_level_left
	dw	decide_language_left
	dw	decide_vstime
	dw	option_task_lop
	dw	option_task_lop

decide_assign:
	jmp	keyassign_task
decide_exit:
	jmp	modesel_task_reent

decide_sound:
	pha
	sdplay	m_kettei			 ; 艹
	pla
	rts

decide_level_right:
	lda	#1
	bra	decide_level0
decide_level_left:
	lda	#-1
decide_level0:
	jsr	decide_sound
	;
	add	game_level
	bpl	decide_level_plus
	lda	#3
	bra	decide_level1

decide_level_plus:
	cmp	#4
	blo	decide_level1
	cla
decide_level1:
	sta	game_level
	jsr	print_level
	jmp	option_task_lop

decide_language_right:
	lda	#1
	bra	decide_language0
decide_language_left:
	lda	#-1
decide_language0
	jsr	decide_sound
	add	language
	bpl	decide_language_plus
	lda	#2
	bra	decide_language1
decide_language_plus:
	cmp	#3
	blo	decide_language1
	cla
decide_language1:
	sta	language
	;
	jsr	print_language
	jmp	option_task_lop

decide_vstime:
	jsr	decide_sound
	;
	lda	#1
	eor	vs_limit
	sta	vs_limit
	jsr	print_vstime
	jmp	option_task_lop
 if 0
decide_pad1:
	lda	#1
	eor	pad1_sel
	sta	pad1_sel
	jsr	print_pad1
	jmp	option_task_lop

decide_pad2:
	lda	#1
	eor	pad2_sel
	sta	pad2_sel
	jsr	print_pad2
	jmp	option_task_lop
 endif
;
;	J[\̏㉺ړ(Acc=joytrg[0]|joytrg[1])
;
cursor_move:
	ldy	#-1
	bit	#JOYUP
	bne	cursor_move1
	ldy	#1
	bit	#JOYDOWN
	bne	cursor_move1
cursor_move_ret:
	rts
cursor_move1:
	tya
	add	line_sel
	cmp	#MENUMAX
	bhs	cursor_move_ret
	;
	pha
	jsr	blink_cursor_off
	pla
	sta	line_sel
	;
	stz	blink_timer
	sdplay	m_cursor		; J[\ړ
	rts

blink_cursor:
	lda	blink_timer
	inc	blink_timer
	bit	#7
	bne	blink_cursor_ret
	bit	#8
	bne	blink_cursor_off
blink_cursor_on:
	lda	#">"
	bra	cursor_put
blink_cursor_off:
	lda	#" "
cursor_put:
	pha
	jsr	cursor_mjxy
	mojicol	MC_GOLD
	pla
	jsr	moji2_put
blink_cursor_ret:
	rts

cursor_mjxy:
	ldb	mjx,#PX1-1
	;
	ldx	line_sel
	lda	line_mjy_tbl,x
	sta	mjy
	rts

line_mjy_tbl:
	db	PY+PL*0
	db	PY+PL*1
	db	PY+PL*2
	db	PY+PL*3
	db	PY+PL*4
	db	PY+PL*5
	db	PY+PL*6

string_OPTION_TITLE:
	db	4,4,_PAL1,"SELECT OPTION",0

print_level:
	putln2	string_level
	;
	ldb	mjx,#PX2
	;
	lda	game_level
	jmp	putln3_sel

print_language:
	putln2	string_language
	;
	ldb	mjx,#PX2
	;
	lda	language
	jmp	putln3_sel

print_vstime:
	putln2	string_vstime
	;
	ldb	mjx,#PX2
	;
	lda	vs_limit
	jmp	putln3_sel

 if 0
print_pad1:
	putln2	string_pad1
	;
	ldb	mjx,#PX2
	;
	lea	strptr,string_pad_sel
	lda	pad1_sel
	jmp	putln3_sel

print_pad2:
	putln2	string_pad2
	;
	ldb	mjx,#PX2
	;
	lea	strptr,string_pad_sel
	lda	pad2_sel
	jmp	putln3_sel
 endif
;-----------------------------------------------------------------------------
;	Acc ̐bZ[W[strptr]XLbvputln
;-----------------------------------------------------------------------------
putln3_sel:
	jsr	skip_strptr
	jmp	moji3_putln
;
skip_strptr::
	tax
	beq	skip_strptr_ret
	;
skip_strptr_lop:
	lda	[strptr]
	incw	strptr
	cmp	#0
	bne	skip_strptr_lop
	;
	dex
	bne	skip_strptr_lop
	;
skip_strptr_ret:
	rts

string_level:
	db	PX1,PY+PL*0,_PAL1,"LEVEL",_PAL2,0
	;
	db	"  EASY ",0
	db	" NORMAL",0
	db	" ARCADE",0
	db	"  HARD ",0

string_language:
	db	PX1,PY+PL*1,_PAL1,"LANGUAGE",_PAL2,0
	;
	db	"JAPANESE",0
	db	" ENGLISH",0
	db	" SPANISH",0

string_vstime:
	db	PX1,PY+PL*2,_PAL1,"VS TIME",_PAL2,0
	;
	db	" LIMITED",0
	db	" UNLIMIT",0
 if 0
string_pad1:
	db	PX1,PY+PL*3,_PAL1,"JOYSTICK1",_PAL2,0
string_pad2:
	db	PX1,PY+PL*4,_PAL1,"JOYSTICK2",_PAL2,0

string_pad_sel:
	db	" NORMAL ",0
	db	"6BUTTONS",0
 endif
string_keyassign:
	db	PX1,PY+PL*3,_PAL1,"KEY ASSIGN",0
string_exit:
	db	PX1,PY+PL*4,_PAL1,"EXIT",0

set_back_color:
	lea	BGPALBUF,BACK_COLOR
	lea	SPPALBUF,BACK_COLOR
	rts
;=============================================================================
;	@@
;=============================================================================
