;=============================================================================
;	    *** LWORK type number ***
;=============================================================================
SYS_LOGIC	EQU	$01		;nop system logic
SYS_PLAYER1	EQU	$02		;system player 1
SYS_PLAYER2	EQU	$03		;system player 2
SYS_HERO1	EQU	$04		;hero 1
SYS_HERO2	EQU	$05		;hero 2
SYS_BACK1	EQU	$06		;back 1
SYS_BACK2	EQU	$07		;back 2
SYS_TEXT1	EQU	$08		;text 1
SYS_TEXT2	EQU	$09		;text 2
SYS_RESERV	EQU	$0A
SYS_AHO		EQU	$0B		;<*******
SYS_HAKO	EQU	$0C
SYS_HAHEN	EQU	$0D
SYS_LF_OUT	EQU	$0E
L_EASY		EQU	$0F
SYS_KUBIFURI	EQU	$10
L_PAL_ACT	EQU	$11
L_HITAREA	EQU	$12
;==============================================================================
;	    *** PWORK type number ***
;==============================================================================
;SYS_LOGIC	EQU	$01		;nop system logic
P_HERO		EQU	$02	;hero
P_MAN		EQU	$03	;garally
P_TREE_1	EQU	$04	;fornt tree
P_AHO		EQU	$05	;<******
P_HAKO		EQU	$06	;test tal
P_HERO_HEAD	EQU	$07
P_HERO_ATTACK	EQU	$08
P_HAHEN		EQU	$09
P_F_TREE	EQU	$0A
P_STAR		EQU	$0B
P_HERO_BODY	EQU	$0C
P_HERO_SHADOW	EQU	$0D
P_SP2		equ	1	;EQU	$0E
P_SP3		EQU	$0F
P_HERO_WEAK	EQU	$10
P_EASY		EQU	$11
P_KUBIFURI	EQU	$12
P_ICE		EQU	$13
P_BEER		EQU	$14
P_HERO_AREA	EQU	$15
P_HERO_DISP	EQU	$16
P_MATO		equ	1	;EQU	$17
P_MATOB		equ	1	
P_FIGHT		EQU	$18
P_HITAREA	EQU	$19
P_GETA		equ	2	;EQU	$1A
P_ROUND		equ	3	;
P_WINNER	equ	4	;
P_DESI		EQU	$1B
;=============================================================================
;	ACT_ATTR
;=============================================================================
ACTAT_FLIP	EQU	%0000_0001	;h flip
ACTAT_SET2	equ	%0000_0010	;
ACTAT_KEEP	EQU	%0000_0100	;non display sprite keep
ACTAT_ERACE	EQU	%0000_1000	;16 char clear
ACTAT_CUT	EQU	%0001_0000	;h over cut
ACTAT_OFF	EQU	%0010_0000	;non display
ACTAT_FLASH	EQU	%0100_0000	;flash
ACTAT_SET	EQU	%1000_0000	;character change

;=============================================================================
;*** debug dip ***
;=============================================================================
;	dip 1
DEBUG_MODE	EQU	0

HK3_REV1	EQU	%00000001	;HK3 reverce
HK3_REV2	EQU	%00000010	;HK3 reverce
DISP_HK3	EQU	%00000100
DEMO_IN		EQU	%00001000	;demo lever in
HA_ON		EQU	%00010000	;hit area disp
NO_DEATH	EQU	%00100000	;no death
RND_STOP	EQU	%01000000	;effect random stop
NON_FACE	EQU	%10000000	;non face change
;	dip 2

SLOW_MODE	EQU	%00000011	;bit 0,1
;		00	speed normal
;		01	speed 1/2
;		10	not use (1/2)
;		11	speed 1/4

PAUSE_MODE	EQU	%00001100	;bit 2,3
;		00	normal pause
;		01	display freez
;		10	sound test
;		11	RGB test

RENDA_ON	EQU	%0010_0000	;5
TIME_STOP	EQU	%0100_0000	;6		non timer dec
MAIN_SHADOW	EQU	%1000_0000	;7
