;	allpub
;************************************************************************
;*			enemy action patern no.2			*
;*						1992/4/27		*
;*						presented by k.morikawa	*
;*									*
;************************************************************************

	include	\game\em.inc
;
;	*warning => SD_SD_P2 is 
;			top_label   => player state
;			next_label  => enemy  state
;			last_label  => patern state
;
PATERN2_STAND::	; stand	: down	 : v_jump : f_jump : b_jump
	dw	SD_SD_P2,SD_DN_P2,SD_VJ_P2,SD_FJ_P2,SD_BJ_P2
PATERN2_DOWN::
	dw	DN_SD_P2,DN_DN_P2,DN_VJ_P2,DN_FJ_P2,DN_BJ_P2
PATERN2_VJUMP::
	dw	VJ_SD_P2,VJ_DN_P2,VJ_VJ_P2,VJ_FJ_P2,VJ_BJ_P2
PATERN2_FJUMP::
	dw	FJ_SD_P2,FJ_DN_P2,FJ_VJ_P2,FJ_FJ_P2,FJ_BJ_P2
PATERN2_BJUMP::
	dw	BJ_SD_P2,BJ_DN_P2,BJ_VJ_P2,BJ_FJ_P2,BJ_BJ_P2


;***********************************************************************
;
;	****_0nn => distance_mode '0'
;	****_1nn => distance_mode '1'
;	****_2nn => distance_mode '2'
;	****_3nn => distance_mode '3'
;
;	****_?0n => stand_data
;	****_?1n => crouch_data
;	****_?2n => vjump_data
;	****_?3n => fjump_data
;	****_?4n => bjump_data

;***********************************************************************

;
;	stand or v_jump or f_jump or b_jump
;

;	4*8 =32
;	player=stand 
SD_SD_P2: ; enemy_stand
 if ryo
	dw	STAND_100,STAND_101,STAND_102,STAND_993	;player 1
 endif
 if rob
	dw	STAND_100,STAND_101,STAND_102,STAND_993	;player 2
 endif
 if tod
	dw	STAND_100,STAND_101,STAND_102,STAND_100	;enemy 1
 endif
 if jac
	dw	STAND_200,STAND_201,STAND_202,STAND_200	;enemy 2
 endif
 if lee
	dw	STAND_300,STAND_301,STAND_302,STAND_300	;enemy 3
 endif
 if kin
	dw	STAND_400,STAND_401,STAND_402,STAND_404	;enemy 4
 endif
 if mic
	dw	STAND_500,STAND_501,STAND_502,STAND_500	;enemy 5
 endif
 if joh
	dw	STAND_600,STAND_601,STAND_602,STAND_604	;enemy 6
 endif
 if big
	dw	STAND_700,STAND_701,STAND_702,STAND_700	;enemy 7
 endif
 if kar
	dw	STAND_800,STAND_801,STAND_802,STAND_800	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
STAND_100:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,01h,03h,15h,17h,18h,17h,1Ah
	;ds.w	0
 endif
 if jac
STAND_200:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	54H,54H,54H,3FH,3DH,3EH,3FH,56H
	;ds.w	0
 endif
 if lee
STAND_300:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26H,36H,36H,35H,35H,40H,49H,18H
	;ds.w	0
 endif
 if kin
STAND_400:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	67h,67h,24h,24h,67H,63H,62H,6Ah
	;ds.w	0
 endif
 if mic
STAND_500:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	18H,18H,38H,39H,38H,39H,38H,39H
	;ds.w	0
 endif
 if joh
STAND_600:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	5FH,5FH,5BH,5BH,1AH,5EH,5DH,5CH
	;ds.w	0
 endif
 if big
STAND_700:
	TYPE	204,204
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	01H,05H,06H,1FH,1FH,20H,22H,22H
	;ds.w	0
 endif
 if kar
STAND_800:
	TYPE	352,352
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	39H,3BH,3CH,3DH,3DH,3CH,3DH,3CH
	;ds.w	0
 endif

;
;	***** distance 1 *****
;

 if ryo+rob+tod
STAND_101:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	02h,03h,1Dh,15h,1Eh,1Fh,20h,06h
	;ds.w	0
 endif
 if jac
STAND_201:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26H,26H,26H,49H,46H,49H,56H,56H
	;ds.w	0
 endif
 if lee
STAND_301:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	47H,48H,48H,4AH,4AH,40H,49H,18H
	;ds.w	0
 endif
 if kin
STAND_401:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	6Dh,6Dh,67h,67h,68H,12H,66H,6AH
	;ds.w	0
 endif
 if mic
STAND_501:
	TYPE	184,184
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	19h,22h,38h,39h,38h,39h,38h,39h
	;ds.w	0
 endif
 if joh
STAND_601:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	5DH,5DH,5BH,35H,36H,35H,40H,5CH
	;ds.w	0
 endif
 if big
STAND_701:
	TYPE	202,202
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	03H,23H,22H,03H,25H,23H,22H,23H
	;ds.w	0
 endif
 if kar
STAND_801:
	TYPE	356,356
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	2FH,2FH,06H,10H,28H,28H,28H,28H
	;ds.w	0
 endif




;
;	***** distance 2 *****
;
 if ryo+rob+tod
STAND_102:
	TYPE	38,38
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,22h,16h,24h,45h,45h,46h,14h
	;ds.w	0
 endif
 if jac
STAND_202:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	51H,51H,17H,4FH,17H,4FH,49H,46H
	;ds.w	0
 endif
 if lee
STAND_302:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4AH,4AH,51H,51H,4CH,4AH,3DH,3EH
	;ds.w	0
 endif
 if kin
STAND_402:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	66h,66h,3Bh,3Bh,12h,13h,1AH,3BH
	;ds.w	0
STAND_404:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1BH,1BH,0BH,0Bh,0CH,0CH,0BH,0BH
	;ds.w	0
 endif
 if mic
STAND_502:
	TYPE	433,433
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24h,21h,42H,23h,27h,16h,17h,40h
	;ds.w	0
 endif
 if joh
STAND_602:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3CH,3CH,39H,39H,13H,5CH,3CH,13H
	;ds.w	0
STAND_604:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	0Eh,0Fh,0Fh,0Bh,0BH,0EH,0FH,36H
	;ds.w	0
 endif
 if big
STAND_702:
	TYPE	202,202
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	08H,25H,04H,08H,04H,1DH,1DH,24H
	;ds.w	0
 endif
 if kar
STAND_802:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
;	db	41h,43H,43H,16H,04H,43H,41H,41H
	db	41h,43H,43H,16H,10H,43H,41H,41H
	;ds.w	0
 endif

SD_DN_P2: ; enemy_down
 if ryo
	dw	STAND_100,STAND_101,STAND_102,STAND_993	;player 1
 endif
 if rob
	dw	STAND_100,STAND_101,STAND_102,STAND_993	;player 2
 endif
 if tod
	dw	STAND_100,STAND_101,STAND_102,STAND_993	;enemy 1*
 endif
 if jac
	dw	STAND_200,STAND_201,STAND_202,STAND_993	;enemy 2
 endif
 if lee
	dw	STAND_340,STAND_341,STAND_302,STAND_993	;enemy 3
 endif
 if kin
	dw	STAND_400,STAND_401,STAND_402,STAND_993	;enemy 4*
 endif
 if mic
	dw	STAND_540,STAND_541,STAND_542,STAND_993	;enemy 5*
 endif
 if joh
	dw	STAND_600,STAND_601,STAND_602,STAND_993	;enemy 6
 endif
 if big
	dw	STAND_700,STAND_701,STAND_702,STAND_993	;enemy 7
 endif
 if kar
	dw	STAND_840,STAND_841,STAND_842,STAND_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if lee
STAND_340:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	34H,26H,26H,36H,36H,35H,35H,35H
	;ds.w	0
 endif
 if mic
STAND_540:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3AH,3AH,3BH,3BH,41H,41H,20H,20H
	;ds.w	0
 endif
 if kar
STAND_840:
	TYPE	353,353
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	55H,1BH,1BH,3CH,3DH,3CH,3DH,3DH
	;ds.w	0
 endif
;
;	***** distance 1 *****

 if lee
STAND_341:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	47H,48H,48H,4AH,4AH,40H,49H,18H
	;ds.w	0
 endif
 if mic
STAND_541:
	TYPE	7,7
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3AH,3AH,20H,20H,3AH,23H,3AH,48H
	;ds.w	0
 endif
 if kar
STAND_841:
	TYPE	356,356
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1BH,40H,1BH,1BH,40H,40H,40H,40H
	;ds.w	0
 endif

;	***** distance 2 *****

 if mic
STAND_542:
	TYPE	7,7
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21H,22H,27H,27H,16H,48H,47H,16H
	;ds.w	0
 endif
 if kar
STAND_842:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	41H,1EH,06H,06H,41H,06H,1EH,1EH
	;ds.w	0
 endif


STAND_993:
	TYPE	22,22
	db	30h,30h



SD_VJ_P2: ; enemy_vjump
 if ryo
	dw	STAND_110,STAND_110,STAND_110,STAND_993	;player 1
 endif
 if rob
	dw	STAND_110,STAND_110,STAND_110,STAND_993	;player 2
 endif
 if tod
	dw	STAND_110,STAND_110,STAND_110,STAND_993	;enemy 1
 endif
 if jac
	dw	STAND_210,STAND_210,STAND_210,STAND_993	;enemy 2
 endif
 if lee
	dw	STAND_310,STAND_310,STAND_310,STAND_993	;enemy 3
 endif
 if kin
	dw	STAND_410,STAND_410,STAND_410,STAND_993	;enemy 4
 endif
 if mic
	dw	STAND_510,STAND_510,STAND_510,STAND_993	;enemy 5
 endif
 if joh
	dw	STAND_610,STAND_610,STAND_612,STAND_993	;enemy 6
 endif
 if big
	dw	STAND_710,STAND_711,STAND_712,STAND_993	;enemy 7
 endif
 if kar
	dw	STAND_810,STAND_811,STAND_812,STAND_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
STAND_110:
	TYPE	16,16
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	05h,23h
	;ds.w	0
 endif
 if jac
STAND_210:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	41h,4EH
	;ds.w	0
 endif
 if lee
STAND_310:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38H,4EH
	;ds.w	0
 endif
 if kin
STAND_410:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Eh
	;ds.w	0
 endif
 if mic
STAND_510:
	TYPE	422,422
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,42h
	;ds.w	0
 endif
 if joh
STAND_610:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23H,15H,2BH
	;ds.w	0
 endif
 if big
STAND_710:
	TYPE	456,456
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Fh,22h,20h,01h,06h,05h
	;ds.w	0
 endif
 if kar
STAND_810:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	54h,09h
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if big
STAND_711:
	TYPE	458,458
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	16H,03H,25H,2BH
	;ds.w	0
 endif
 if kar
STAND_811:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1EH,3DH
	;ds.w	0
 endif

;
;	***** distance 1 *****
;
 if joh
STAND_612:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3EH,23H,15H,2BH
	;ds.w	0
 endif
 if big
STAND_712:
	TYPE	459,459
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,02h,08h,0BH
	;ds.w	0
 endif
 if kar
STAND_812:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1EH,1FH
	;ds.w	0
 endif




SD_FJ_P2: ; enemy_fjump
 if ryo
	dw	STAND_120,STAND_120,STAND_120,STAND_993	;player 1
 endif
 if rob
	dw	STAND_120,STAND_120,STAND_120,STAND_993	;player 2
 endif
 if tod
	dw	STAND_120,STAND_120,STAND_120,STAND_993	;enemy 1
 endif
 if jac
	dw	STAND_220,STAND_220,STAND_220,STAND_993	;enemy 2
 endif
 if lee
	dw	STAND_320,STAND_320,STAND_320,STAND_993	;enemy 3
 endif
 if kin
	dw	STAND_420,STAND_420,STAND_420,STAND_993	;enemy 4
 endif
 if mic
	dw	STAND_520,STAND_520,STAND_522,STAND_993	;enemy 5
 endif
 if joh
	dw	STAND_620,STAND_620,STAND_622,STAND_993	;enemy 6
 endif
 if big
	dw	STAND_720,STAND_721,STAND_722,STAND_993	;enemy 7
 endif
 if kar
	dw	STAND_820,STAND_821,STAND_822,STAND_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
STAND_120:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,22h,41h,42h
	;ds.w	0
 endif
 if jac
STAND_220:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	42h,4Fh
	;ds.w	0
 endif
 if lee
STAND_320:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ah,4Fh
	;ds.w	0
 endif
 if kin
STAND_420:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Eh
	;ds.w	0
 endif
 if mic
STAND_520:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43h,44h
	;ds.w	0
 endif
 if joh
STAND_620:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23H,23H,16H,2BH
	;ds.w	0
 endif
 if big
STAND_720:
	TYPE	460,460
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	22h,0Fh
	;ds.w	0
 endif
 if kar
STAND_820:
	TYPE	317,317
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,11H,13H,3DH
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if big
STAND_721:
	TYPE	458,458
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	16H,03H,25H,2BH
	;ds.w	0
 endif
 if kar
STAND_821:
	TYPE	319,319
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	04H,05H,11H,1FH
	;ds.w	0
 endif

;
;	***** distance 2 *****
;
 if mic
STAND_522:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	44h,1Eh
	;ds.w	0
 endif
 if joh
STAND_622:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13H,23H,16H,2Bh
	;ds.w	0
 endif
 if big
STAND_722:
	TYPE	459,459
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26h,02h,08h,0Bh
	;ds.w	0
 endif
 if kar
STAND_822:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06h,1Fh
	;ds.w	0

 endif

SD_BJ_P2: ; enemy_bjump
 if ryo
	dw	STAND_130,STAND_130,STAND_130,STAND_993	;player 1
 endif
 if rob
	dw	STAND_130,STAND_130,STAND_130,STAND_993	;player 2
 endif
 if tod
	dw	STAND_130,STAND_131,STAND_130,STAND_993	;enemy 1
 endif
 if jac
	dw	STAND_230,STAND_230,STAND_230,STAND_993	;enemy 2
 endif
 if lee
	dw	STAND_330,STAND_330,STAND_330,STAND_993	;enemy 3
 endif
 if kin
	dw	STAND_430,STAND_431,STAND_430,STAND_993	;enemy 4
 endif
 if mic
	dw	STAND_530,STAND_530,STAND_532,STAND_993	;enemy 5
 endif
 if joh
	dw	STAND_630,STAND_631,STAND_602,STAND_993	;enemy 6
 endif
 if big
	dw	STAND_700,STAND_701,STAND_702,STAND_993	;enemy 7
 endif
 if kar
	dw	STAND_830,STAND_831,STAND_832,STAND_993	;enemy 8
 endif

;
;	***** distance 0 *****
;
 if ryo+rob+tod
STAND_130:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,47H,1BH,44H
	;ds.w	0
 endif
 if jac
STAND_230:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,50H
	;ds.w	0
 endif
 if lee
STAND_330:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,50h
	;ds.w	0
 endif
 if kin
STAND_430:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Eh
	;ds.w	0
 endif
 if mic
STAND_530:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	45h,46h
	;ds.w	0
 endif
 if joh
STAND_630:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,17h,2Bh
	;ds.w	0
 endif
 if kar
STAND_830:
	TYPE	329,329
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	0Eh,69H
	;ds.w	0
 endif



;
;	***** distance 1 *****
;
 if ryo+rob+tod
STAND_131:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,47H,1BH,44H
	;ds.w	0
 endif
 if kin
STAND_431:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if mic
STAND_531:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43h,44h
	;ds.w	0
 endif
 if joh
STAND_631:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,17h,17h,2BH
	;ds.w	0
 endif
 if kar
STAND_831:
	TYPE	341,341
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	0Eh,21h,38h,2BH
	;ds.w	0
 endif

;
;	***** distance 1 *****
;
 if ryo+rob+tod
STAND_132:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,47H,1BH,44H
	;ds.w	0
 endif
 if mic
STAND_532:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	44h,14h
	;ds.w	0
 endif
 if joh
STAND_632:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13H,23H,17H,2BH
	;ds.w	0
 endif
 if kar
STAND_832:
	TYPE	316,316
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38h,2Bh
	;ds.w	0
 endif


;************************************************************************
;
;
;
DN_SD_P2: ; enemy_stand
 if ryo
	dw	DOWN_100,DOWN_101,DOWN_102,DOWN_993	;player 1
 endif
 if rob
	dw	DOWN_200,DOWN_201,DOWN_202,DOWN_993	;player 2
 endif
 if tod
	dw	DOWN_100,DOWN_101,DOWN_102,DOWN_993	;enemy 1
 endif
 if jac
	dw	DOWN_200,DOWN_201,DOWN_202,DOWN_993	;enemy 2
 endif
 if lee
	dw	DOWN_300,DOWN_301,DOWN_302,DOWN_993	;enemy 3
 endif
 if kin
	dw	DOWN_400,DOWN_401,DOWN_402,DOWN_993	;enemy 4
 endif
 if mic
	dw	DOWN_500,DOWN_501,STAND_502,DOWN_993	;enemy 5
 endif
 if joh
	dw	DOWN_600,DOWN_601,DOWN_602,DOWN_993	;enemy 6
 endif
 if big
	dw	DOWN_700,DOWN_701,DOWN_702,DOWN_993	;enemy 7
 endif
 if kar
	dw	DOWN_800,DOWN_801,DOWN_802,DOWN_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
DOWN_100:
	TYPE	191,191
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	01h,04h,1Dh,17h,15h,10h,20h,06h
	;ds.w	0
 endif
 if jac
DOWN_200:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3FH,3FH,58H,58H,54H,40H,3EH,3FH
	;ds.w	0
 endif
 if lee
DOWN_300:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26H,36H,36H,26h,34H,34H,18H,49H
	;ds.w	0
 endif
 if kin
DOWN_400:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	66h,66h,68h,68h,62h,58h,66H,6DH
	;ds.w	0
 endif
 if mic
DOWN_500:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	34H,41H,25H,25H,34H,35H,50H,50H
	;ds.w	0
 endif
 if joh
DOWN_600:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	5EH,5EH,5EH,4CH,64H,64H,1EH,13H
	;ds.w	0
 endif
 if big
DOWN_700:
	TYPE	202,202
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24H,24H,3AH,38H,38H,24H,3AH,24H
	;ds.w	0
 endif
 if kar
DOWN_800:
	TYPE	356,356
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1BH,1BH,1BH,3DH,3EH,3DH,18H,3EH
	;ds.w	0
 endif

;
;	***** distance 1 *****
;

 if ryo+rob+tod
DOWN_101:
	TYPE	190,190
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	02h,04h,15h,1Dh,1Fh,20h,06h,06h
	;ds.w	0
 endif
 if jac
DOWN_201:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1BH,56H,56H,56H,58H,4FH,46H,58H
	;ds.w	0
 endif
 if lee
DOWN_301:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	47H,47H,4AH,4AH,4AH,47H,3DH,3EH
	;ds.w	0
 endif
 if kin
DOWN_401:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	6Dh,6Dh,67h,67H,23H,11H,66H,67H
	;ds.w	0
 endif
 if mic
DOWN_501:
	TYPE	184,184
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	19H,22H,23H,14H,15H,16H,17H,16H
	;ds.w	0
 endif
 if joh
DOWN_601:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	63H,37H,64H,64H,13H,63H,37H,13H
	;ds.w	0
 endif
 if big
DOWN_701:
	TYPE	200,200
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24H,24H,38H,38H,38H,24H,24H,3AH
	;ds.w	0
 endif
 if kar
DOWN_801:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	04H,05H,06H,1EH,04h,05H,06H,04H
	;ds.w	0
 endif



;
;	***** distance 2 *****
;
 if ryo+rob+tod
DOWN_102:
	TYPE	38,38
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,22h,16h,24h,45h,45h,46H,14H
	;ds.w	0
 endif
 if jac
DOWN_202:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	51H,51H,51H,51H,4FH,4FH,46H,58H
	;ds.w	0
 endif
 if lee
DOWN_302:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4AH,4AH,4CH,4DH,4DH,4DH,3EH,3DH
	;ds.w	0
 endif
 if kin
DOWN_402:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	66h,66h,67h,67h,3Bh,3Bh,3BH,67H
	;ds.w	0
 endif
 if mic
DOWN_502:
	TYPE	433,433
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24h,21h,42h,27h,27h,16h,17h,40h
	;ds.w	0
 endif
 if joh
DOWN_602:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3CH,3CH,37H,37H,5EH,5EH,3CH,13H
	;ds.w	0
 endif
 if big
DOWN_702:
	TYPE	205,205
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25H,04H,39H,24H,29H,1DH,1DH,24H
	;ds.w	0
 endif
 if kar
DOWN_802:
	TYPE	358,358
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06H,19H,07H,05H,05H,06H,19H,55H
	;ds.w	0
 endif




DN_DN_P2: ; enemy_down
 if ryo
	dw	DOWN_100,DOWN_101,DOWN_102,DOWN_993	;player 1
 endif
 if rob
	dw	DOWN_100,DOWN_101,DOWN_102,DOWN_993	;player 2
 endif
 if tod
	dw	DOWN_100,DOWN_101,DOWN_102,DOWN_993	;enemy 1
 endif
 if jac
	dw	DOWN_200,DOWN_201,DOWN_202,DOWN_993	;enemy 2
 endif
 if lee
	dw	DOWN_340,DOWN_341,DOWN_342,DOWN_993	;enemy 3
 endif
 if kin
	dw	DOWN_400,DOWN_401,DOWN_402,DOWN_993	;enemy 4
 endif
 if mic
	dw	DOWN_540,DOWN_541,STAND_542,DOWN_993	;enemy 5
 endif
 if joh
	dw	DOWN_600,DOWN_601,DOWN_602,DOWN_993	;enemy 6
 endif
 if big
	dw	DOWN_700,DOWN_701,DOWN_702,DOWN_993	;enemy 7
 endif
 if kar
	dw	DOWN_840,DOWN_841,DOWN_842,DOWN_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if lee
DOWN_340:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	35H,36H,26H,26H,36H,35H,35H,35H
	;ds.w	0
 endif
 if mic
DOWN_540:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3AH,3AH,3BH,3BH,20H,20H,35H,41H
	;ds.w	0
 endif
 if kar
DOWN_840:
	TYPE	356,356
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,09H,3CH,3CH,3EH,09H,3CH,3EH
	;ds.w	0
 endif

;
;	***** distance 1 *****

 if lee
DOWN_341:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	47H,47H,4AH,4AH,4AH,47H,3DH,3EH
	;ds.w	0
 endif
 if mic
DOWN_541:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3AH,3AH,20H,20H,23H,25H,3AH,48H
	;ds.w	0
 endif
 if kar
DOWN_841:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	05H,06H,1BH,06H,05H,06H,1BH,41H
	;ds.w	0
 endif


;	***** distance 2 *****

 if lee
DOWN_342:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4AH,4AH,4CH,4DH,4DH,4DH,3EH,3DH
	;ds.w	0
 endif
 if mic
DOWN_542:
	TYPE	7,7
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21H,22H,27H,27H,16H,16H,17H,40H
	;ds.w	0
 endif
 if kar
DOWN_842:
	TYPE	359,359
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06H,25H,51H,06H,51H,06H,25H,06H
	;ds.w	0
 endif

DOWN_993:
	TYPE	22,22
	db	30h,30h



DN_VJ_P2: ; enemy_vjump
 if ryo
	dw	DOWN_100,DOWN_101,DOWN_102,DOWN_993	;player 1
 endif
 if rob
	dw	DOWN_100,DOWN_101,DOWN_102,DOWN_993	;player 2
 endif
 if tod
	dw	STAND_110,STAND_110,STAND_110,STAND_993	;enemy 1
 endif
 if jac
	dw	STAND_210,STAND_210,STAND_210,STAND_993	;enemy 2
 endif
 if lee
	dw	DOWN_310,DOWN_311,DOWN_311,DOWN_993	;enemy 3
 endif
 if kin
	dw	DOWN_410,DOWN_410,DOWN_410,DOWN_993	;enemy 4
 endif
 if mic
	dw	STAND_510,STAND_510,STAND_510,STAND_993	;enemy 5
 endif
 if joh
	dw	DOWN_610,DOWN_611,STAND_612,DOWN_993	;enemy 6
 endif
 if big
	dw	DOWN_710,DOWN_711,DOWN_712,DOWN_993	;enemy 7
 endif
 if kar
	dw	DOWN_810,DOWN_811,DOWN_812,DOWN_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if lee
DOWN_310:
	TYPE	390,390
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38H,37H,4EH,2BH
	;ds.w	0
 endif
 if kin
DOWN_410:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if joh
DOWN_610:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24h,4Ch,17h,2Bh
	;ds.w	0
 endif
 if big
DOWN_710:
	TYPE	456,456
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Fh,22h,20H,05H,09H,0Bh
	;ds.w	0
 endif
 if kar
DOWN_810:
	TYPE	333,333
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,3DH,41H,2Bh
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if lee
DOWN_311:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38h,4Eh
	;ds.w	0
 endif
 if joh
DOWN_611:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13h,17h,23h,2Bh
	;ds.w	0
 endif
 if big
DOWN_711:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	16h,18h,03h,25h
	;ds.w	0
 endif
 if kar
DOWN_811:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	11h,1Dh
	;ds.w	0
 endif

;
;	***** distance 2 *****
;
 if joh
DOWN_612:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	40H,23H,23H,2BH
	;ds.w	0
 endif
 if big
DOWN_712:
	TYPE	459,459
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26h,02h,08h,18h
	;ds.w	0
 endif
 if kar
DOWN_812:
	TYPE	329,329
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Eh,1Fh
	;ds.w	0
 endif




DN_FJ_P2: ; enemy_fjump
 if ryo
	dw	DOWN_120,DOWN_120,DOWN_120,DOWN_993	;player 1
 endif
 if rob
	dw	DOWN_120,DOWN_120,DOWN_120,DOWN_993	;player 2
 endif
 if tod
	dw	DOWN_120,DOWN_120,DOWN_120,DOWN_993	;enemy 1
 endif
 if jac
	dw	DOWN_220,DOWN_220,DOWN_220,DOWN_993	;enemy 2
 endif
 if lee
	dw	DOWN_320,DOWN_321,DOWN_321,DOWN_993	;enemy 3
 endif
 if kin
	dw	DOWN_420,DOWN_420,DOWN_420,DOWN_993	;enemy 4
 endif
 if mic
	dw	DOWN_520,DOWN_520,DOWN_522,DOWN_993	;enemy 5
 endif
 if joh
	dw	DOWN_620,DOWN_621,DOWN_622,DOWN_993	;enemy 6
 endif
 if big
	dw	DOWN_720,DOWN_721,DOWN_722,DOWN_993	;enemy 7
 endif
 if kar
	dw	DOWN_820,DOWN_821,DOWN_802,DOWN_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
DOWN_120:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,22h,41h,42h
	;ds.w	0
 endif
 if jac
DOWN_220:
	TYPE	58,58
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4FH,42H
	;ds.w	0
 endif
 if lee
DOWN_320:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ah,4Fh
	;ds.w	0
 endif
 if kin
DOWN_420:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if mic
DOWN_520:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	44h,43h
	;ds.w	0
 endif
 if joh
DOWN_620:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,15h,17H,2BH
	;ds.w	0
 endif
 if big
DOWN_720:
	TYPE	460,460
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	22h,0Fh
	;ds.w	0
 endif
 if kar
DOWN_820:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	22h,42h
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if lee
DOWN_321:
	TYPE	390,390
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	39h,3Ah,4Fh,2Bh
	;ds.w	0
 endif
 if joh
DOWN_621:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,13h,16h,2BH
	;ds.w	0
 endif
 if big
DOWN_721:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	16h,17h,03h,25h
	;ds.w	0
 endif
 if kar
DOWN_821:
	TYPE	342,342
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06h,11h,27h,41h,42h,2Bh
	;ds.w	0
 endif


;
;	***** distance 2 *****
;
 if mic
DOWN_522:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	44h,1Eh
	;ds.w	0
 endif
 if joh
DOWN_622:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13h,3Eh,23h,2Bh
	;ds.w	0
 endif
 if big
DOWN_722:
	TYPE	459,459
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,02h,08h,18h
	;ds.w	0
 endif
 if kar
DOWN_822:
	TYPE	333,333
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	05h,1Eh,1Fh,2Bh
	;ds.w	0
 endif



DN_BJ_P2: ; enemy_bjump
 if ryo
	dw	DOWN_130,DOWN_130,DOWN_130,DOWN_993	;player 1
 endif
 if rob
	dw	DOWN_130,DOWN_130,DOWN_130,DOWN_993	;player 2
 endif
 if tod
	dw	DOWN_130,DOWN_131,DOWN_130,DOWN_993	;enemy 1
 endif
 if jac
	dw	DOWN_230,DOWN_230,DOWN_230,DOWN_993	;enemy 2
 endif
 if lee
	dw	DOWN_330,DOWN_331,DOWN_331,DOWN_993	;enemy 3
 endif
 if kin
	dw	DOWN_430,DOWN_430,DOWN_410,DOWN_993	;enemy 4
 endif
 if mic
	dw	DOWN_530,DOWN_530,DOWN_532,DOWN_993	;enemy 5
 endif
 if joh
	dw	DOWN_630,DOWN_631,DOWN_632,DOWN_993	;enemy 6
 endif
 if big
	dw	STAND_700,STAND_701,STAND_702,STAND_993	;enemy 7
 endif
 if kar
	dw	DOWN_830,DOWN_831,DOWN_832,DOWN_993	;enemy 8
 endif

;
;	***** distance 0 *****
;
 if ryo+rob+tod
DOWN_130:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,47H,1BH,44H
	;ds.w	0
 endif
 if jac
DOWN_230:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,50H
	;ds.w	0
 endif
 if lee
DOWN_330:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,50h
	;ds.w	0
 endif
 if kin
DOWN_430:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if mic
DOWN_530:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	45h,46h
	;ds.w	0
 endif
 if joh
DOWN_630:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23H,41H,21H,2Bh
	;ds.w	0
 endif
 if kar
DOWN_830:
	TYPE	341,341
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38H,0EH,41H,2Bh
	;ds.w	0
 endif



;
;	***** distance 1 *****
;
 if ryo+rob+tod
DOWN_131:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,47H,1BH,44H
	;ds.w	0
 endif
 if lee
DOWN_331:
	TYPE	390,390
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Bh,3Ch,50h,2Bh
	;ds.w	0
 endif
 if joh
DOWN_631:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13H,17H,23H,2BH
	;ds.w	0
 endif
 if kar
DOWN_831:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,41H
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if mic
DOWN_532:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	46H,1FH
	;ds.w	0
 endif
 if joh
DOWN_632:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13H,3EH,23H,2BH
	;ds.w	0
 endif
 if kar
DOWN_832:
	TYPE	316,316
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38h,2BH
	;ds.w	0
 endif

;************************************************************************
;
;
;
VJ_SD_P2: ; enemy_stand
 if ryo
	dw	VJUMP_100,VJUMP_101,VJUMP_102,VJUMP_993	;player 1
 endif
 if rob
	dw	VJUMP_200,VJUMP_201,VJUMP_202,VJUMP_993	;player 2
 endif
 if tod
	dw	VJUMP_100,VJUMP_101,VJUMP_102,VJUMP_993	;enemy 1
 endif
 if jac
	dw	VJUMP_200,VJUMP_201,VJUMP_202,VJUMP_993	;enemy 2
 endif
 if lee
	dw	VJUMP_300,VJUMP_301,VJUMP_302,VJUMP_993	;enemy 3
 endif
 if kin
	dw	VJUMP_400,VJUMP_401,VJUMP_402,VJUMP_993	;enemy 4
 endif
 if mic
	dw	VJUMP_500,VJUMP_501,STAND_502,VJUMP_993	;enemy 5
 endif
 if joh
	dw	VJUMP_600,VJUMP_601,VJUMP_602,VJUMP_993	;enemy 6
 endif
 if big
	dw	VJUMP_700,VJUMP_701,VJUMP_702,VJUMP_993	;enemy 7
 endif
 if kar
	dw	VJUMP_800,VJUMP_801,VJUMP_802,VJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
VJUMP_100:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	03h,05h,19h,15h,10h,1Ah,23h,06h
	;ds.w	0
 endif
 if jac
VJUMP_200:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3DH,4EH,4FH,56H,56H,4FH,41H,4EH
	;ds.w	0
 endif
 if lee
VJUMP_300:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4Eh,37h,37H,38H,38H,18H,40H,49H
	;ds.w	0
 endif
 if kin
VJUMP_400:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09h,09h,63h,63h,54H,51H,4AH,3EH
	;ds.w	0
 endif
 if mic
VJUMP_500:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,1Dh,34h,35H,35H,41H,25H,25H
	;ds.w	0
 endif
 if joh
VJUMP_600:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	20H,20H,20H,46H,1EH,47H,5DH,46H
	;ds.w	0
 endif
 if big
VJUMP_700:
	TYPE	200,200
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1FH,22H,21H,05H,21H,03H,03H,05H
	;ds.w	0
 endif
 if kar
VJUMP_800:
	TYPE	352,352
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	14H,15H,23H,3BH,4FH,3BH,4FH,4FH
	;ds.w	0
 endif

;
;	***** distance 1 *****
;

 if ryo+rob+tod
VJUMP_101:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	03h,05h,1Ah,23h,15h,1Dh,22h,06h
	;ds.w	0
 endif
 if jac
VJUMP_201:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	47h,47H,4FH,4FH,4EH,47H,51H,4FH
	;ds.w	0
 endif
 if lee
VJUMP_301:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	41H,38H,4AH,4AH,3AH,3AH,42H,49h
	;ds.w	0
 endif
 if kin
VJUMP_401:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	01h,01h,4Ah,4Ah,54H,22H,11H,5AH
	;ds.w	0
 endif
 if mic
VJUMP_501:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	35h,1DH,25H,15H,22H,22H,41h,22H
	;ds.w	0
 endif
 if joh
VJUMP_601:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4EH,4EH,4EH,4EH,40H,12H,5EH,20H
	;ds.w	0
 endif
 if big
VJUMP_701:
	TYPE	203,203
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25H,03H,22H,25H,03H,03H,22H,25H
	;ds.w	0
 endif
 if kar
VJUMP_801:
	TYPE	353,353
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,41H,20H,37H,37H,20H,09H,41H
	;ds.w	0
 endif




;
;	***** distance 2 *****
;
 if ryo+rob+tod
VJUMP_102:
	TYPE	38,38
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,22h,16h,24h,45h,45h,46H,14H
	;ds.w	0
 endif
 if jac
VJUMP_202:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	42H,4FH,47H,4FH,47H,4FH,47H,51H
	;ds.w	0
 endif
 if lee
VJUMP_302:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4DH,4DH,4DH,41H,42H,42H,42H,3DH
	;ds.w	0
 endif
 if kin
VJUMP_402:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	03h,03h,01h,01h,12h,13h,1AH,0CH
	;ds.w	0
 endif
 if mic
VJUMP_502:
	TYPE	433,433
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24h,21h,22h,27h,27h,16h,17h,40h
	;ds.w	0
 endif
 if joh
VJUMP_602:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	60H,60H,39H,39H,3EH,5CH,3CH,40H
	;ds.w	0
 endif
 if big
VJUMP_702:
	TYPE	201,201
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25H,04H,02H,02H,04H,25H,02H,04H
	;ds.w	0
 endif
 if kar
VJUMP_802:
	TYPE	201,201
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06H,06H,40H,40H,06H,06H,40H,06H
	;ds.w	0
 endif

VJ_DN_P2: ; enemy_down
 if ryo
	dw	VJUMP_100,VJUMP_101,VJUMP_102,VJUMP_993	;player 1
 endif
 if rob
	dw	VJUMP_100,VJUMP_101,VJUMP_102,VJUMP_993	;player 2
 endif
 if tod
	dw	VJUMP_100,VJUMP_101,VJUMP_102,VJUMP_993	;enemy 1
 endif
 if jac
	dw	VJUMP_200,VJUMP_201,VJUMP_202,VJUMP_993	;enemy 2
 endif
 if lee
	dw	VJUMP_300,VJUMP_301,VJUMP_302,VJUMP_993	;enemy 3
 endif
 if kin
	dw	VJUMP_400,VJUMP_401,VJUMP_402,VJUMP_993	;enemy 4
 endif
 if mic
	dw	VJUMP_540,VJUMP_541,STAND_542,VJUMP_993	;enemy 5
 endif
 if joh
	dw	VJUMP_600,VJUMP_601,VJUMP_602,VJUMP_993	;enemy 6
 endif
 if big
	dw	VJUMP_700,VJUMP_701,VJUMP_702,VJUMP_993	;enemy 7
 endif
 if kar
	dw	VJUMP_840,VJUMP_841,VJUMP_842,VJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if mic
VJUMP_540:
	TYPE	194,194
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26H,26H,26H,26H,3BH,3BH,3BH,41H
	;ds.w	0
 endif
 if kar
VJUMP_840:
	TYPE	352,352
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1BH,3FH,40H,3EH,40H,3FH,3EH,40H
	;ds.w	0
 endif


;	***** distance 1 *****

 if mic
VJUMP_541:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3BH,1DH,22H,15H,22H,22H,15H,22H
	;ds.w	0
 endif
 if kar
VJUMP_841:
	TYPE	352,352
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3DH,40H,3DH,3BH,3DH,3BH,40H,3BH
	;ds.w	0
 endif

;	***** distance 2 *****

 if mic
VJUMP_542:
	TYPE	7,7
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21H,22H,27H,27H,16H,16H,17H,40H
	;ds.w	0
 endif
 if kar
VJUMP_842:
	TYPE	359,359
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06H,25H,51H,06H,51H,06H,25H,06H
	;ds.w	0
 endif


VJUMP_993:
	TYPE	22,22
	db	30h,30h
	;ds.w	0



VJ_VJ_P2: ; enemy_vjump
 if ryo
	dw	VJUMP_110,VJUMP_110,VJUMP_110,VJUMP_993	;player 1
 endif
 if rob
	dw	VJUMP_110,VJUMP_110,VJUMP_110,VJUMP_993	;player 2
 endif
 if tod
	dw	VJUMP_110,VJUMP_110,VJUMP_110,VJUMP_993	;enemy 1
 endif
 if jac
	dw	VJUMP_210,VJUMP_210,VJUMP_210,VJUMP_993	;enemy 2
 endif
 if lee
	dw	VJUMP_310,VJUMP_310,VJUMP_310,VJUMP_993	;enemy 3
 endif
 if kin
	dw	VJUMP_410,VJUMP_411,VJUMP_412,VJUMP_993	;enemy 4
 endif
 if mic
	dw	VJUMP_510,VJUMP_510,VJUMP_512,VJUMP_993	;enemy 5
 endif
 if joh
	dw	VJUMP_610,VJUMP_611,VJUMP_612,VJUMP_993	;enemy 6
 endif
 if big
	dw	VJUMP_710,VJUMP_711,VJUMP_712,VJUMP_993	;enemy 7
 endif
 if kar
	dw	VJUMP_810,VJUMP_811,VJUMP_812,VJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
VJUMP_110:
	TYPE	16,16
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	05h,23h
	;ds.w	0
 endif
 if jac
VJUMP_210:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	41h,4EH
	;ds.w	0
 endif
 if lee
VJUMP_310:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38h,4Eh
	;ds.w	0
 endif
 if kin
VJUMP_410:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if mic
VJUMP_510:
	TYPE	422,422
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,2Bh
	;ds.w	0
 endif
 if joh
VJUMP_610:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,15h,2Bh
	;ds.w	0
 endif
 if big
VJUMP_710:
	TYPE	450,450
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Fh,21h,0Dh,0Ah,03H,2BH
	;ds.w	0
 endif
 if kar
VJUMP_810:
	TYPE	342,342
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,11H,3DH,41H,42H,2BH
	;ds.w	0
 endif




;
;	***** distance 1 *****
;
 if kin
VJUMP_411:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Eh,1Dh
	;ds.w	0
 endif
 if joh
VJUMP_611:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	18H,23H,15H,2BH
	;ds.w	0
 endif
 if big
VJUMP_711:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	16H,19H,03H,25H,0Eh,2Bh
	;ds.w	0
 endif
 if kar
VJUMP_811:
	TYPE	327,327
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3DH,21h
	;ds.w	0
 endif

;
;	***** distance 2 *****
;
 if kin
VJUMP_412:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,1EH
	;ds.w	0
 endif
 if mic
VJUMP_512:
	TYPE	422,422
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	44h,1Eh
	;ds.w	0
 endif
 if joh
VJUMP_612:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3EH,23H,15H,2Bh
	;ds.w	0
 endif
 if big
VJUMP_712:
	TYPE	459,459
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26h,04h,07h,19h
	;ds.w	0
 endif
 if kar
VJUMP_812:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1FH,1EH
	;ds.w	0
 endif

VJ_FJ_P2: ; enemy_fjump
 if ryo
	dw	VJUMP_120,VJUMP_120,VJUMP_120,VJUMP_993	;player 1
 endif
 if rob
	dw	VJUMP_120,VJUMP_120,VJUMP_120,VJUMP_993	;player 2
 endif
 if tod
	dw	VJUMP_120,VJUMP_120,VJUMP_120,VJUMP_993	;enemy 1
 endif
 if jac
	dw	VJUMP_220,VJUMP_220,VJUMP_220,VJUMP_993	;enemy 2
 endif
 if lee
	dw	VJUMP_320,VJUMP_320,VJUMP_320,VJUMP_993	;enemy 3
 endif
 if kin
	dw	VJUMP_420,VJUMP_421,VJUMP_422,VJUMP_993	;enemy 4
 endif
 if mic
	dw	VJUMP_520,VJUMP_520,VJUMP_522,VJUMP_993	;enemy 5
 endif
 if joh
	dw	VJUMP_620,VJUMP_620,VJUMP_622,VJUMP_993	;enemy 6
 endif
 if big
	dw	VJUMP_720,VJUMP_721,VJUMP_722,VJUMP_993	;enemy 7
 endif
 if kar
	dw	VJUMP_820,VJUMP_821,VJUMP_822,VJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
VJUMP_120:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,22h,41h,42h
	;ds.w	0
 endif
 if jac
VJUMP_220:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	42h,4Fh
	;ds.w	0
 endif
 if lee
VJUMP_320:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ah,4Fh
	;ds.w	0
 endif
 if kin
VJUMP_420:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if mic
VJUMP_520:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43h,44h
	;ds.w	0
 endif
 if joh
VJUMP_620:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,16h,2Bh
	;ds.w	0
 endif
 if big
VJUMP_720:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	0Fh,21h,03h,22h
	;ds.w	0
 endif
 if kar
VJUMP_820:
	TYPE	334,334
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06H,09H,11H,40H
	;ds.w	0
 endif




;
;	***** distance 1 *****
;
 if kin
VJUMP_421:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Eh,1Dh
	;ds.w	0
 endif
 if big
VJUMP_721:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	10H,19H,03H,25H
	;ds.w	0
 endif
 if kar
VJUMP_821:
	TYPE	319,319
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06h,13h,3DH,42H
	;ds.w	0
 endif


;
;	***** distance 2 *****
;
 if kin
VJUMP_422:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Eh
	;ds.w	0
 endif
 if mic
VJUMP_522:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	44h,1Eh
	;ds.w	0
 endif
 if joh
VJUMP_622:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13h,23h,16H,2Bh
	;ds.w	0
 endif
 if big
VJUMP_722:
	TYPE	451,451
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,0FH,08H,2BH
	;ds.w	0
 endif
 if kar
VJUMP_822:
	TYPE	323,323
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	05h,06h,19H,1Eh
	;ds.w	0
 endif




VJ_BJ_P2: ; enemy_bjump
 if ryo
	dw	VJUMP_130,VJUMP_130,VJUMP_130,VJUMP_993	;player 1
 endif
 if rob
	dw	VJUMP_130,VJUMP_130,VJUMP_130,VJUMP_993	;player 2
 endif
 if tod
	dw	VJUMP_130,VJUMP_130,VJUMP_130,VJUMP_993	;enemy 1
 endif
 if jac
	dw	VJUMP_230,VJUMP_230,VJUMP_230,VJUMP_993	;enemy 2
 endif
 if lee
	dw	VJUMP_330,VJUMP_330,VJUMP_330,VJUMP_993	;enemy 3
 endif
 if kin
	dw	VJUMP_430,VJUMP_430,VJUMP_410,VJUMP_993	;enemy 4
 endif
 if mic
	dw	VJUMP_530,VJUMP_530,VJUMP_532,VJUMP_993	;enemy 5
 endif
 if joh
	dw	VJUMP_630,VJUMP_630,VJUMP_632,VJUMP_993	;enemy 6
 endif
 if big
	dw	VJUMP_720,VJUMP_721,VJUMP_722,VJUMP_993	;enemy 7
 endif
 if kar
	dw	VJUMP_830,VJUMP_831,VJUMP_832,VJUMP_993	;enemy 8
 endif

;
;	***** distance 0 *****
;
 if ryo+rob+tod
VJUMP_130:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,47H,1BH,44H
	;ds.w	0
 endif
 if jac
VJUMP_230:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,50H
	;ds.w	0
 endif
 if lee
VJUMP_330:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,50h
	;ds.w	0
 endif
 if kin
VJUMP_430:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if mic
VJUMP_530:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	45h,46h
	;ds.w	0
 endif
 if joh
VJUMP_630:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,24H,17h,2Bh
	;ds.w	0
 endif
 if kar
VJUMP_830:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	0Eh,42h
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if 0
VJUMP4231:	;/// VJUMP_231 ̊ԈႢ?
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1EH,1DH
	;ds.w	0
 endif
 if kar
VJUMP_831:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38H,41H
	;ds.w	0
 endif


;
;	***** distance 2 *****
;
 if kin
VJUMP_432:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Eh
	;ds.w	0
 endif
 if mic
VJUMP_532:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	46h,1Fh
	;ds.w	0
 endif
 if joh
VJUMP_632:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13h,23h,17h,2Bh
	;ds.w	0
 endif
 if kar
VJUMP_832:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Fh,38h
	;ds.w	0
 endif

;************************************************************************
;
;
;
FJ_SD_P2: ; enemy_stand
 if ryo
	dw	FJUMP_100,FJUMP_101,FJUMP_102,FJUMP_993	;player 1
 endif
 if rob
	dw	FJUMP_200,FJUMP_201,FJUMP_202,FJUMP_993	;player 2
 endif
 if tod
	dw	FJUMP_100,FJUMP_101,FJUMP_102,FJUMP_993	;enemy 1
 endif
 if jac
	dw	FJUMP_200,FJUMP_201,FJUMP_202,FJUMP_993	;enemy 2
 endif
 if lee
	dw	FJUMP_300,FJUMP_301,FJUMP_302,FJUMP_993	;enemy 3
 endif
 if kin
	dw	FJUMP_400,FJUMP_401,VJUMP_402,FJUMP_993	;enemy 4
 endif
 if mic
	dw	FJUMP_500,FJUMP_501,FJUMP_502,FJUMP_993	;enemy 5
 endif
 if joh
	dw	FJUMP_600,FJUMP_601,STAND_602,FJUMP_993	;enemy 6
 endif
 if big
	dw	FJUMP_700,FJUMP_701,FJUMP_702,FJUMP_993	;enemy 7
 endif
 if kar
	dw	FJUMP_800,FJUMP_801,FJUMP_802,FJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+tod
FJUMP_100:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Ch,1Dh,23h,03h,10h,06h,19h,1Ah
	;ds.w	0
 endif
 if rob+jac
FJUMP_200:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	56H,3DH,3DH,3FH,41H,4FH,3DH,3FH
	;ds.w	0
 endif
 if lee
FJUMP_300:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26H,26H,39H,3AH,50H,50H,4DH,51H
	;ds.w	0
 endif
 if kin
FJUMP_400:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Eh,3Eh,24h,24h,22H,3EH,4DH,51H
	;ds.w	0
 endif
 if mic
FJUMP_500:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,1DH,38H,39H,38H,39H,38H,39H
	;ds.w	0
 endif
 if joh
FJUMP_600:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1FH,1FH,46H,46H,46H,26H,46H,26H
	;ds.w	0
 endif
 if big
FJUMP_700:
	TYPE	201,201
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1FH,22H,21H,22H,21H,21H,06H,03H
	;ds.w	0
 endif
 if kar
FJUMP_800:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	54H,54H,5BH,51H,51h,3DH,54H,54H
	;ds.w	0
 endif

;
;	***** distance 1 *****
;

 if ryo+tod
FJUMP_101:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	03h,05h,10h,19h,1Dh,22h,23h,06h
	;ds.w	0
 endif
 if rob+jac
FJUMP_201:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	46H,46H,3CH,3CH,43H,3FH,3DH,4FH
	;ds.w	0
 endif
 if lee
FJUMP_301:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	49H,49H,3AH,3AH,4BH,39H,3AH,50H
	;ds.w	0
 endif
 if kin
FJUMP_401:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4Ah,4Ah,4Ah,4Dh,52H,4DH,4DH,5AH
	;ds.w	0
 endif
 if mic
FJUMP_501:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	35H,1DH,38H,39H,38H,39H,38H,39H
	;ds.w	0
 endif
 if joh
FJUMP_601:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	20H,20H,46H,46H,46H,46H,26H,19H
	;ds.w	0
 endif
 if big
FJUMP_701:
	TYPE	205,205
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25H,03H,20H,03H,20H,25H,20H,25H
	;ds.w	0
 endif
 if kar
FJUMP_801:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	29H,50H,3BH,22H,50H,22H,22H,3BH
	;ds.w	0
 endif




;
;	***** distance 2 *****
;
 if ryo+tod
FJUMP_102:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,22h,16h,16h,16h,16H,24h,14H
	;ds.w	0
 endif
 if rob+jac
FJUMP_202:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	56H,3CH,4FH,3CH,45H,4FH,3CH,46H
	;ds.w	0
 endif
 if lee
FJUMP_302:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3AH,3AH,3AH,4DH,4DH,51H,3DH,3EH
	;ds.w	0
 endif
 if kin
FJUMP_402:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4Ah,4Ah,52h,52h,52h,52h,4DH,5AH
	;ds.w	0
 endif
 if mic
FJUMP_502:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,22h,27h,27h,16H,48H,47H,17H
	;ds.w	0
 endif
 if joh
FJUMP_602:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	60H,60H,39H,39H,3EH,5CH,3CH,40H
	;ds.w	0
 endif
 if big
FJUMP_702:
	TYPE	203,203
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25H,25H,25H,19H,04H,02H,19H,19H
	;ds.w	0
 endif
 if kar
FJUMP_802:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	50h,05h,51H,05H,50H,50H,51H,05H
	;ds.w	0
 endif

FJ_DN_P2: ; enemy_down
 if ryo
	dw	FJUMP_100,FJUMP_101,FJUMP_102,FJUMP_993	;player 1
 endif
 if rob
	dw	FJUMP_100,FJUMP_101,FJUMP_102,FJUMP_993	;player 2
 endif
 if tod
	dw	FJUMP_100,FJUMP_101,FJUMP_102,FJUMP_993	;enemy 1
 endif
 if jac
	dw	FJUMP_200,FJUMP_201,FJUMP_202,FJUMP_993	;enemy 2
 endif
 if lee
	dw	FJUMP_300,FJUMP_301,FJUMP_302,FJUMP_993	;enemy 3
 endif
 if kin
	dw	FJUMP_400,FJUMP_401,FJUMP_402,FJUMP_993	;enemy 4
 endif
 if mic
	dw	FJUMP_540,FJUMP_541,FJUMP_542,FJUMP_993	;enemy 5
 endif
 if joh
	dw	FJUMP_600,FJUMP_601,FJUMP_602,FJUMP_993	;enemy 6
 endif
 if big
	dw	FJUMP_700,FJUMP_701,FJUMP_702,FJUMP_993	;enemy 7
 endif
 if kar
	dw	FJUMP_840,FJUMP_841,FJUMP_842,FJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if mic
FJUMP_540:
 	TYPE	194,194
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26H,26H,26H,26H,3BH,3BH,3BH,34H
	;ds.w	0
 endif
 if kar
FJUMP_840:
 	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21H,23H,3EH,3EH,23H,4FH,3EH,23H
	;ds.w	0
 endif
;
;	***** distance 1 *****

 if mic
FJUMP_541:
	TYPE	7,7
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3BH,3BH,1DH,1DH,26H,34H,39H,38H
	;ds.w	0
 endif
 if kar
FJUMP_841:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	41H,29H,41H,41H,29H,41H,3BH,41H
	;ds.w	0
 endif

;	***** distance 2 *****

 if mic
FJUMP_542:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21H,22H,27H,16H,17H,48H,47H,16H
	;ds.w	0
 endif
 if kar
FJUMP_842:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	37H,39H,37H,50H,39H,39H,37H,50H
	;ds.w	0
 endif

FJUMP_993:
	TYPE	22,22
	db	30h,30h
	;ds.w	0



FJ_VJ_P2: ; enemy_vjump
 if ryo
	dw	FJUMP_110,FJUMP_110,FJUMP_110,FJUMP_993	;player 1
 endif
 if rob
	dw	FJUMP_110,FJUMP_110,FJUMP_110,FJUMP_993	;player 2
 endif
 if tod
	dw	FJUMP_110,FJUMP_110,FJUMP_110,FJUMP_993	;enemy 1
 endif
 if jac
	dw	FJUMP_210,FJUMP_210,FJUMP_210,FJUMP_993	;enemy 2
 endif
 if lee
	dw	FJUMP_310,FJUMP_311,FJUMP_311,FJUMP_993	;enemy 3
 endif
 if kin
	dw	FJUMP_410,FJUMP_411,FJUMP_410,FJUMP_993	;enemy 4
 endif
 if mic
	dw	FJUMP_510,FJUMP_510,FJUMP_510,FJUMP_993	;enemy 5
 endif
 if joh
	dw	FJUMP_610,FJUMP_611,FJUMP_612,FJUMP_993	;enemy 6
 endif
 if big
	dw	FJUMP_710,FJUMP_711,FJUMP_712,FJUMP_993	;enemy 7
 endif
 if kar
	dw	FJUMP_810,FJUMP_811,FJUMP_812,FJUMP_993	;enemy 8
 endif
;
;	***** distance 0 *****
;
 if ryo+rob+tod
FJUMP_110:
	TYPE	16,16
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	05h,23h
	;ds.w	0
 endif
 if jac
FJUMP_210:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	41h,4EH
	;ds.w	0
 endif
 if lee
FJUMP_310:
	TYPE	391,391
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38h,37h,4Eh,2Bh
	;ds.w	0
 endif
 if kin
FJUMP_410:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Eh
	;ds.w	0
 endif
 if mic
FJUMP_510:
	TYPE	422,422
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,2BH
	;ds.w	0
 endif
 if joh
FJUMP_610:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24h,23H,15h,2Bh
	;ds.w	0
 endif
 if big
FJUMP_710:
	TYPE	450,450
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,1Fh,0Eh,0Bh,09h,2Bh
	;ds.w	0
 endif
 if kar
FJUMP_810:
	TYPE	331,331
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,23H,39H,3DH
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if lee
FJUMP_311:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38h,4Eh
	;ds.w	0
 endif
 if kin
FJUMP_411:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if joh
FJUMP_611:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,15h,2Bh
	;ds.w	0
 endif
 if big
FJUMP_711:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	16H,14H,03H,25H
	;ds.w	0
 endif
 if kar
FJUMP_811:
	TYPE	323,323
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,3DH,41H,42H
	;ds.w	0
 endif

;
;	***** distance 2 *****
;
 if joh
FJUMP_612:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Eh,23h,15h,2BH
	;ds.w	0
 endif
 if big
FJUMP_712:
	TYPE	459,459
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,04h,10h,19h
	;ds.w	0
 endif
 if kar
FJUMP_812:
	TYPE	333,333
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,19H,3DH,2BH
	;ds.w	0
 endif

FJ_FJ_P2: ; enemy_fjump
 if ryo
	dw	FJUMP_120,FJUMP_120,FJUMP_120,FJUMP_993	;player 1
 endif
 if rob
	dw	FJUMP_120,FJUMP_120,FJUMP_120,FJUMP_993	;player 2
 endif
 if tod
	dw	FJUMP_120,FJUMP_120,FJUMP_120,FJUMP_993	;enemy 1
 endif
 if jac
	dw	FJUMP_220,FJUMP_220,FJUMP_220,FJUMP_993	;enemy 2
 endif
 if lee
	dw	FJUMP_320,FJUMP_321,FJUMP_321,FJUMP_993	;enemy 3
 endif
 if kin
	dw	FJUMP_420,FJUMP_421,FJUMP_422,FJUMP_993	;enemy 4
 endif
 if mic
	dw	FJUMP_520,FJUMP_520,FJUMP_522,FJUMP_993	;enemy 5
 endif
 if joh
	dw	FJUMP_620,FJUMP_621,STAND_622,FJUMP_993	;enemy 6
 endif
 if big
	dw	FJUMP_720,FJUMP_721,FJUMP_722,FJUMP_993	;enemy 7
 endif
 if kar
	dw	FJUMP_820,FJUMP_821,FJUMP_822,FJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
FJUMP_120:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,22h,41h,42h
	;ds.w	0
 endif
 if jac
FJUMP_220:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	42H,4FH
	;ds.w	0
 endif
 if lee
FJUMP_320:
	TYPE	390,390
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ah,39h,4Fh,2Bh
	;ds.w	0
 endif
 if kin
FJUMP_420:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Eh,1Dh
	;ds.w	0
 endif
 if mic
FJUMP_520:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43h,44h
	;ds.w	0
 endif
 if joh
FJUMP_620:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24h,23h,16h,2Bh
	;ds.w	0
 endif
 if big
FJUMP_720:
	TYPE	454,454
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,0Fh,22h,2Bh
	;ds.w	0
 endif
 if kar
FJUMP_820:
	TYPE	317,317
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	11h,1Bh,41H,42H
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if lee
FJUMP_321:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ah,4Fh
	;ds.w	0
 endif
 if kin
FJUMP_421:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,1DH
	;ds.w	0
 endif
 if joh
FJUMP_621:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,16h,2Bh
	;ds.w	0
 endif
 if big
FJUMP_721:
	TYPE	450,450
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	19h,14H,0FH,03H,25H,2BH
	;ds.w	0
 endif
 if kar
FJUMP_821:
	TYPE	342,342
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	05H,11H,1EH,41H,42H,2BH
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if kin
FJUMP_422:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,1EH
	;ds.w	0
 endif
 if mic
FJUMP_522:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	44h,1Eh
	;ds.w	0
 endif
 if joh
FJUMP_622:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13H,23H,16H
	;ds.w	0
 endif
 if big
FJUMP_722:
	TYPE	451,451
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	08h,0Fh,25H,2Bh
	;ds.w	0
 endif
 if kar
FJUMP_822:
	TYPE	331,331
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	06H,07H,11H,19H
	;ds.w	0
 endif



FJ_BJ_P2: ; enemy_bjump
 if ryo
	dw	FJUMP_130,FJUMP_130,FJUMP_130,FJUMP_993	;player 1
 endif
 if rob
	dw	FJUMP_130,FJUMP_130,FJUMP_130,FJUMP_993	;player 2
 endif
 if tod
	dw	FJUMP_130,FJUMP_131,FJUMP_131,FJUMP_993	;enemy 1
 endif
 if jac
	dw	FJUMP_230,FJUMP_230,FJUMP_230,FJUMP_993	;enemy 2
 endif
 if lee
	dw	FJUMP_330,FJUMP_331,FJUMP_331,FJUMP_993	;enemy 3
 endif
 if kin
	dw	FJUMP_430,FJUMP_431,FJUMP_432,FJUMP_993	;enemy 4
 endif
 if mic
	dw	FJUMP_530,FJUMP_530,FJUMP_532,FJUMP_993	;enemy 5
 endif
 if joh
	dw	FJUMP_630,FJUMP_631,STAND_632,FJUMP_993	;enemy 6
 endif
 if big
	dw	FJUMP_720,FJUMP_721,FJUMP_722,FJUMP_993	;enemy 7
 endif
 if kar
	dw	FJUMP_830,FJUMP_831,FJUMP_832,FJUMP_993	;enemy 8
 endif

;
;	***** distance 0 *****
;
 if ryo+rob+tod
FJUMP_130:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,47H,1BH,44H
	;ds.w	0
 endif
 if jac
FJUMP_230:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43h,50H
	;ds.w	0
 endif
 if lee
FJUMP_330:
	TYPE	390,390
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,3Bh,50h,2Bh
	;ds.w	0
 endif
 if kin
FJUMP_430:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Eh,1Dh
	;ds.w	0
 endif
 if mic
FJUMP_530:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	45h,46h
	;ds.w	0
 endif
 if joh
FJUMP_630:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24h,23h,16h,2Bh
	;ds.w	0
 endif
 if kar
FJUMP_830:
	TYPE	331,331
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	0EH,21H,41H,42H
	;ds.w	0
 endif



;
;	***** distance 1 *****
;
 if ryo+rob+tod
FJUMP_131:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,47H,1BH,44H
	;ds.w	0
 endif
 if lee
FJUMP_331:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,50H
	;ds.w	0
 endif
 if kin
FJUMP_431:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1DH
	;ds.w	0
 endif
 if joh
FJUMP_631:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,17h,2Bh
	;ds.w	0
 endif
 if kar
FJUMP_831:
	TYPE	331,331
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,38h,41H,42H
	;ds.w	0
 endif

;
;	***** distance 1 *****
;
 if kin
FJUMP_432:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Eh
	;ds.w	0
 endif
 if mic
FJUMP_532:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	46h,1Fh
	;ds.w	0
 endif
 if joh
FJUMP_632:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13h,23h,17h,2Bh
	;ds.w	0
 endif
 if kar
FJUMP_832:
	TYPE	333,333
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	11h,38h,3Dh,2Bh
	;ds.w	0
 endif

;************************************************************************
;
;
;
BJ_SD_P2: ; enemy_stand
 if ryo
	dw	BJUMP_100,BJUMP_101,BJUMP_102,BJUMP_993	;player 1
 endif
 if rob
	dw	BJUMP_200,BJUMP_201,BJUMP_202,BJUMP_993	;player 2
 endif
 if tod
	dw	BJUMP_100,BJUMP_101,BJUMP_102,BJUMP_993	;enemy 1
 endif
 if jac
	dw	BJUMP_200,BJUMP_201,BJUMP_202,BJUMP_993	;enemy 2
 endif
 if lee
	dw	BJUMP_300,BJUMP_301,BJUMP_302,BJUMP_993	;enemy 3
 endif
 if kin
	dw	BJUMP_400,BJUMP_401,BJUMP_402,BJUMP_993	;enemy 4
 endif
 if mic
	dw	BJUMP_500,BJUMP_501,STAND_502,BJUMP_993	;enemy 5
 endif
 if joh
	dw	BJUMP_600,BJUMP_601,BJUMP_602,BJUMP_993	;enemy 6
 endif
 if big
	dw	BJUMP_700,BJUMP_701,BJUMP_702,BJUMP_993	;enemy 7
 endif
 if kar
	dw	BJUMP_800,BJUMP_801,BJUMP_802,BJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
BJUMP_100:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	03h,23h,1Eh,22h,4Ah,49h,1EH,06H
	;ds.w	0
 endif
 if jac
BJUMP_200:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4FH,4FH,49H,49H,45H,49H,4FH,46H
	;ds.w	0
 endif
 if lee
BJUMP_300:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3AH,3AH,39H,39H,47H,47H,48H,48H
	;ds.w	0
 endif
 if kin
BJUMP_400:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	01h,01h,03h,03h,19H,19H,5AH,24H 
	;ds.w	0
 endif
 if mic
BJUMP_500:
	TYPE	7,7
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,1DH,38H,39H,38H,39H,38H,39H
	;ds.w	0
 endif
 if joh
BJUMP_600:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	27H,27H,27H,5EH,3CH,36H,13H,40H
	;ds.w	0
 endif
 if big
BJUMP_700:
	TYPE	202,202
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13H,14H,1FH,21H,22H,21H,13H,09H
	;ds.w	0
 endif
 if kar
BJUMP_800:
	TYPE	352,352
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	19H,59H,4FH,1FH,1FH,4FH,4FH,4FH
	;ds.w	0
 endif

;
;	***** distance 1 *****
;

 if ryo+rob+tod
BJUMP_101:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Eh,1Fh,22h,23h,24h,24H,1Ah,1AH
	;ds.w	0
 endif
 if jac
BJUMP_201:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4FH,4FH,47H,47H,47H,51H,45H,46H
	;ds.w	0
 endif
 if lee
BJUMP_301:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	47H,47H,4FH,4FH,41H,41H,42H,42H
	;ds.w	0
 endif
 if kin
BJUMP_401:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	26h,26h,01h,01h,15H,15H,27H,03H
	;ds.w	0
 endif
 if mic
BJUMP_501:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Ah,1Dh,38h,39h,38h,39H,38H,39H
	;ds.w	0
 endif
 if joh
BJUMP_601:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	39H,39H,3EH,5CH,3DH,35H,13H,5EH
	;ds.w	0
 endif
 if big
BJUMP_701:
	TYPE	200,200
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25H,22H,24H,22H,25H,24H,22H,24H
	;ds.w	0
 endif
 if kar
BJUMP_801:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4FH,06H,11H,4FH,16H,4FH,5CH,4FH
	;ds.w	0
 endif




;
;	***** distance 2 *****
;
 if ryo+rob+tod
BJUMP_102:
	TYPE	182,182
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,22h,16h,16h,16h,16H,24H,14H
	;ds.w	0
 endif
 if jac
BJUMP_202:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	4FH,4FH,4FH,4FH,51H,47H,47H,47H
	;ds.w	0
 endif
 if lee
BJUMP_302:
	TYPE	99,99
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	42h,42h,42h,42h,3EH,3EH,3DH,3DH
	;ds.w	0
 endif
 if kin
BJUMP_402:
	TYPE	248,248
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	03h,03h,01h,01h,12h,13h,1Ah,0Ch
	;ds.w	0
 endif
 if mic
BJUMP_502:
	TYPE	433,433
	db	24H,21H,42H,27H,27H,16H,17H,40H
	;ds.w	0
 endif
 if joh
BJUMP_602:
	TYPE	248,248
	db	60H,60H,39H,39H,3EH,5CH,3CH,40H
	;ds.w	0
 endif
 if big
BJUMP_702:
	TYPE	201,201
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25H,10H,08H,04H,04H,10H,08H,10H
	;ds.w	0
 endif
 if kar
BJUMP_802:
	TYPE	352,352
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	30H,04H,19H,04H,30H,04H,04H,19H
	;ds.w	0
 endif

BJ_DN_P2: ; enemy_down
 if ryo
	dw	BJUMP_100,BJUMP_101,BJUMP_102,BJUMP_993	;player 1
 endif
 if rob	;̍s͂ȂII
	dw	BJUMP_100,BJUMP_101,BJUMP_102,BJUMP_993	;player 1
 endif
 if tod
	dw	BJUMP_100,BJUMP_101,BJUMP_102,BJUMP_993	;enemy 1
 endif
 if jac
	dw	BJUMP_200,BJUMP_201,BJUMP_202,BJUMP_993	;enemy 2
 endif
 if lee
	dw	BJUMP_300,BJUMP_301,BJUMP_302,BJUMP_993	;enemy 31
 endif
 if kin
	dw	BJUMP_400,BJUMP_401,BJUMP_402,BJUMP_993	;enemy 1
 endif
 if mic
	dw	BJUMP_540,BJUMP_541,STAND_542,BJUMP_993	;enemy 1
 endif
 if joh
	dw	BJUMP_600,BJUMP_601,BJUMP_602,BJUMP_993	;enemy 1
 endif
 if big
	dw	BJUMP_700,BJUMP_701,BJUMP_702,BJUMP_993	;enemy 1
 endif
 if kar
	dw	BJUMP_840,BJUMP_841,BJUMP_842,BJUMP_993	;enemy 1
 endif


;
;	***** distance 0 *****
;
 if mic
BJUMP_540:
	TYPE	194,194
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38H,38H,39H,39H,3BH,3BH,3BH,1DH
	;ds.w	0
 endif
 if kar
BJUMP_840:
	TYPE	354,354
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1FH,1FH,06H,05H,06H,05H,05H,06H
	;ds.w	0
 endif
;
;	***** distance 1 *****

 if mic
BJUMP_541:
	TYPE	7,7
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3BH,3BH,1DH,1DH,22H,22H,48h,38H
	;ds.w	0
 endif
 if kar
BJUMP_841:
	TYPE	353,353
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	07H,05H,03H,16H,03H,04H,05H,07H
	;ds.w	0
 endif

;	***** distance 2 *****

 if mic
BJUMP_542:
	TYPE	7,7
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21H,22H,27H,27H,16H,16H,17H,40H
	;ds.w	0
 endif
 if kar
BJUMP_842:
	TYPE	352,352
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	5AH,5AH,41H,41H,41H,41H,41H,41H
	;ds.w	0
 endif


BJUMP_993:
	TYPE	22,22
	db	30h,30h
	;ds.w	0


	;ds.w	0



BJ_VJ_P2: ; enemy_vjump
 if ryo
	dw	BJUMP_110,BJUMP_110,BJUMP_110,BJUMP_993	;player 1
 endif
 if rob
	dw	BJUMP_110,BJUMP_110,BJUMP_110,BJUMP_993	;player 2
 endif
 if tod
	dw	BJUMP_110,BJUMP_110,BJUMP_110,BJUMP_993	;enemy 1
 endif
 if jac
	dw	BJUMP_210,BJUMP_210,BJUMP_210,BJUMP_993	;enemy 2
 endif
 if lee
	dw	BJUMP_310,BJUMP_310,BJUMP_310,BJUMP_993	;enemy 3
 endif
 if kin
	dw	BJUMP_410,BJUMP_411,BJUMP_411,BJUMP_993	;enemy 4
 endif
 if mic
	dw	BJUMP_510,BJUMP_510,BJUMP_510,BJUMP_993	;enemy 5
 endif
 if joh
	dw	BJUMP_610,BJUMP_611,BJUMP_612,BJUMP_993	;enemy 6
 endif
 if big
	dw	BJUMP_710,BJUMP_711,BJUMP_712,BJUMP_993	;enemy 7
 endif
 if kar
	dw	BJUMP_810,BJUMP_811,BJUMP_812,BJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
BJUMP_110:
	TYPE	16,16
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	05h,23h
	;ds.w	0
 endif
 if jac
BJUMP_210:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	41h,4EH
	;ds.w	0
 endif
 if lee
BJUMP_310:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38h,4Eh
	;ds.w	0
 endif
 if kin
BJUMP_410:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if mic
BJUMP_510:
	TYPE	422,422
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,2Bh
	;ds.w	0
 endif
 if joh
BJUMP_610:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,15h,2Bh
	;ds.w	0
 endif
 if big
BJUMP_710:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,0Eh,09h,1Fh
 endif
 if kar
BJUMP_810:
	TYPE	329,329
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Dh,38h
	;ds.w	0
 endif


;
;	***** distance 1 *****
;
 if kin
BJUMP_411:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Eh
	;ds.w	0
 endif
 if joh
BJUMP_611:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,18h,15h,2Bh
	;ds.w	0
 endif
 if big
BJUMP_711:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	16H,18H,0FH,25H
	;ds.w	0
 endif
 if kar
BJUMP_811:
	TYPE	316,316
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	42h,2Bh
	;ds.w	0
 endif

;
;	***** distance 2 *****
;
 if joh
BJUMP_612:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3EH,23H,15H,2BH
	;ds.w	0
 endif
 if big
BJUMP_712:
	TYPE	459,459
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,04h,08h,10H
	;ds.w	0
 endif
 if kar
BJUMP_812:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1FH,21H
	;ds.w	0
 endif



BJ_FJ_P2: ; enemy_fjump
 if ryo
	dw	BJUMP_120,BJUMP_120,BJUMP_120,BJUMP_993	;player 1
 endif
 if rob
	dw	BJUMP_120,BJUMP_120,BJUMP_120,BJUMP_993	;player 2
 endif
 if tod
	dw	BJUMP_120,BJUMP_120,BJUMP_120,BJUMP_993	;enemy 1
 endif
 if jac
	dw	BJUMP_220,BJUMP_220,BJUMP_220,BJUMP_993	;enemy 2
 endif
 if lee
	dw	BJUMP_320,BJUMP_320,BJUMP_320,BJUMP_993	;enemy 3
 endif
 if kin
	dw	BJUMP_420,BJUMP_421,BJUMP_422,BJUMP_993	;enemy 4
 endif
 if mic
	dw	BJUMP_520,BJUMP_520,BJUMP_522,BJUMP_993	;enemy 5
 endif
 if joh
	dw	BJUMP_620,BJUMP_621,BJUMP_622,BJUMP_993	;enemy 6
 endif
 if big
	dw	BJUMP_720,BJUMP_721,BJUMP_722,BJUMP_993	;enemy 7
 endif
 if kar
	dw	BJUMP_820,BJUMP_821,BJUMP_822,BJUMP_993	;enemy 8
 endif


;
;	***** distance 0 *****
;
 if ryo+rob+tod
BJUMP_120:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	25h,22h,41h,42h
	;ds.w	0
 endif
 if jac
BJUMP_220:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	42H,4FH
	;ds.w	0
 endif
 if lee
BJUMP_320:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ah,4FH
	;ds.w	0
 endif
 if kin
BJUMP_420:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Eh,1Dh
	;ds.w	0
 endif
 if mic
BJUMP_520:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43h,44h
	;ds.w	0
 endif
 if joh
BJUMP_620:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	24h,23h,16h,2Bh
	;ds.w	0
 endif
 if big
BJUMP_720:
	TYPE	454,454
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	21h,0FH,22h,2Bh
	;ds.w	0
 endif
 if kar
BJUMP_820:
	TYPE	328,328
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	03H,04H,05H,41H,42H,2Bh
	;ds.w	0
 endif

;
;	***** distance 1 *****
;
 if kin
BJUMP_421:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1EH,1DH
	;ds.w	0
 endif
 if joh
BJUMP_621:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,23h,2Bh
	;ds.w	0
 endif
 if big
BJUMP_721:
	TYPE	452,452
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	0FH,16H,18H,25H
	;ds.w	0
 endif
 if kar
BJUMP_821:
	TYPE	339,339
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	04h,05h,06h,11h,38H,3DH
	;ds.w	0
 endif

;
;	***** distance 2 *****
;
 if kin
BJUMP_422:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,1EH
	;ds.w	0
 endif
 if mic
BJUMP_522:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	44h,14h
	;ds.w	0
 endif
 if joh
BJUMP_622:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13h,23h,16h,2Bh
	;ds.w	0
 endif
 if big
BJUMP_722:
	TYPE	451,451
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	08h,0Fh,25H,2Bh
	;ds.w	0
 endif
 if kar
BJUMP_822:
	TYPE	318,318
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Fh,21h
	;ds.w	0
 endif



BJ_BJ_P2: ; enemy_bjump
 if ryo
	dw	BJUMP_130,BJUMP_130,BJUMP_130,BJUMP_993	;player 1
 endif
 if rob
	dw	BJUMP_130,BJUMP_130,BJUMP_130,BJUMP_993	;player 2
 endif
 if tod
	dw	BJUMP_130,BJUMP_131,BJUMP_131,BJUMP_993	;enemy 1
 endif
 if jac
	dw	BJUMP_230,BJUMP_230,BJUMP_230,BJUMP_993	;enemy 2
 endif
 if lee
	dw	BJUMP_330,BJUMP_330,BJUMP_330,BJUMP_993	;enemy 3
 endif
 if kin
	dw	BJUMP_430,BJUMP_430,BJUMP_432,BJUMP_993	;enemy 4
 endif
 if mic
	dw	BJUMP_530,BJUMP_530,BJUMP_532,BJUMP_993	;enemy 5
 endif
 if joh
	dw	BJUMP_630,BJUMP_631,BJUMP_632,BJUMP_993	;enemy 6
 endif
 if big
	dw	BJUMP_720,BJUMP_721,BJUMP_722,BJUMP_993	;enemy 7
 endif
 if kar
	dw	BJUMP_830,BJUMP_830,BJUMP_832,BJUMP_993	;enemy 8
 endif

;
;	***** distance 0 *****
;
 if ryo+rob+tod
BJUMP_130:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	09H,47H,1BH,44H
	;ds.w	0
 endif
 if jac
BJUMP_230:
	TYPE	53,53
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,50H
	;ds.w	0
 endif
 if lee
BJUMP_330:
	TYPE	398,398
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	3Ch,50H
	;ds.w	0
 endif
 if kin
BJUMP_430:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1Dh,1Dh
	;ds.w	0
 endif
 if mic
BJUMP_530:
	TYPE	421,421
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	45h,46h
	;ds.w	0
 endif
 if joh
BJUMP_630:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	23h,23h,17h,2Bh
	;ds.w	0
 endif
 if kar
BJUMP_830:
	TYPE	316,316
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	38H,2BH
	;ds.w	0
 endif



;
;	***** distance 1 *****
;
 if ryo+rob+tod
BJUMP_131:
	TYPE	19,19
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	43H,47H,1BH,44H
	;ds.w	0
 endif
 if joh
BJUMP_631:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	15H,16H,17H,2BH
	;ds.w	0

 endif

;
;	***** distance 2 *****
;
 if kin
BJUMP_432:
	TYPE	405,405
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	1DH,1EH
	;ds.w	0
 endif
 if mic
BJUMP_532:
	TYPE	424,424
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	46h,1Fh
	;ds.w	0
 endif
 if joh
BJUMP_632:
	TYPE	413,413
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	13h,23h,17h,2Bh
	;ds.w	0
 endif
 if kar
BJUMP_832:
	TYPE	316,316
;		 0:  1:  2:  3:  4:  5:  6:  7:
	db	68h,2Bh
	;ds.w	0
 endif

;************************************************************************

