/***************************************************************
 *
 *						      rmj
 *	       bra{b`af[^uf`320x200ʂɕ\
 *			@@					
 *					  @hal@ob
 *
 *						      1993-06-22
 *						  Written by k.y
 *
 ***************************************************************
 */
#include <std.h>
#include <dos.h>
#include <alloc.h>

/*============================================================================
	@
============================================================================*/
typedef unsigned int	uint;

typedef struct{
	unsigned char	ptnbank;
	unsigned char	time;
	unsigned char	x_vec;
	unsigned char	y_vec;
} PCE_ASEQ;

typedef struct{
	int		ofsy;
	int		ofsx;
	unsigned int	sprno;
	unsigned int	attrib;
} PCE_PAT;

#define PCEPAT_MAX (40+16)

typedef struct{
	PCE_ASEQ	seq[8][0x40];		/* 0x0000`0x07ff */
	unsigned char	pal[0x10][4];		/* 0x0800`0x083f */
	unsigned char	label[0x10][17];	/* 0x0840`0x094f */
	PCE_PAT		pat[PCEPAT_MAX];	/* 0x0950`s   */
			/* l`w40*16 */
} PCE_ANM;
/*============================================================================
	@
============================================================================*/
PCE_ANM	pce_anm;
char	*lhead;
int	debug=0;

int	xbase=0,ybase=0;
int	pstart=0;
char	paltbl[16*3*512];

int	xmag=100;
int	ymag=100;

int	top_margin=0;
int	left_margin=0;
#define LSIZE 256		/* bytes per line */
#define GPOS(x,y) ((x)+(y)*LSIZE)

/*
 *	zɑ΂鑀
 */
#define	psetb(x,y,c) 	 buf2[(x)+(y)*256]=(c)
#define	pointb(x,y)	(buf2[(x)+(y)*256])

/*
 *	16 * 16 Z̃}gNX
 *
 *	l OF̃Z͋łB
 *	   PFɂ̓tHgB
 *	   QF]҂gpłB
 *	   RFPQW~PQW̊Oɂ̂ňړB
 *
 *	lR̎ AMOV Ɉړ (x,y)LqĂB
 *
 */
#define AMAT(x,y) areamat[(x)+(y*16)]

#define AMOV(x,y) areamovd[(x)+(y*16)]
char	areamat[16*16];	/* 256dot x 256dot */
char	areamovd[16*16];/* 256dot x 256dot */
int	areaused=0;
FILE	*inf_fp;


Usage(
"obGWp  XvCgtHg̓WJ\AэĈk\n"
"  hal  ob݊@^mdb  obXWOOV[Yp\n"
"Usage : spropt -Options  infile outfile\n"
"	-v	view mode (VGA / NEC98 ) ʕ\\n"
"	-n	disable output                   t@Co͋֎~\n"
"	-f	face optimize mode               ̏\n"
"	-s-	shift reduce off                 VtgsȂȂ\n"
"	-d	debug mode\n"
)

int	vflag=0;
int	fflag=0;
int	seg1,seg2,seg3;
char	far *buf1;
char	far *buf2;
char	far *buf3;
char	csb[8192];
char	cab[1024];
char	csbname[80];
char	cabname[80];
char	outname[80]="NUL";
int	*satp;
int	sprout=1;
int	usecolor=(-1);

#define XREV	0x0800
#define YREV	0x8000
#define	SPBG	0x0080
#define	CGY4	0x3000
#define	_CGY4_	0x2000	/* bit check! */
#define	CGY2	0x1000
#define	CGY0	0x0000
#define	CGX2	0x0100
#define	CGX0	0x0000

void	csb_to_bmp(unsigned char *csb,char far *bmp);
void	expand_csb(unsigned char *csb,char far *bmp);


Main
	if(argc<2) usage();
	if(IsOpt('v'))	vflag =1;
	if(IsOpt('f'))	fflag =1;
	if(IsOpt('n'))	sprout=0;
	if(IsOpt('d'))	debug =1;
	inf_fp=fopen("spropt.log","at");

	p_alloc();

	strcpy(csbname,argv[1]);strcat(csbname,".csb");
	strcpy(cabname,argv[1]);strcat(cabname,".cab");

/*============================================================================
 *	buf1[65536] ͂brat@C𐂒rbg}bv́B
 *	buf2[65536] r`sWJ̐rbg}bv
 *
 *
 *============================================================================
 */
	Load(csbname,csb,8192);	/* bra[h */
	Loadcab(cabname,cab,1024);/* b`a[h(r`ŝ) */
	
	satp = (int *)cab;	/* r`s̃|C^ݒ */
	expand_csb(csb,buf1);	/* braɂ */
	expand_sat(satp);	/* r`sɏ]ătHgv[ɓWJ */

	if(argc>=3) {		/* p[^̎ NUL ɂȂĂ */
		strcpy(outname,argv[2]);	/* o̓t@C̎w	 */
 	}

	if(vflag) {
		dispini();	/* uf`[h̐ݒ */
		dispv(buf2);	/* ʕ\ */
	}
	
	if(fflag) faceopt();		/* roqhsdu(œK) */
	else      spropt();		/* roqhsdu(œK) */
/*============================================================================*/

	if(vflag) {
		getch();
		dispv(buf2);	/* ʕ\ */
		dispend();	/* uf`[h̐ݒ */
	}

	fclose(inf_fp);
End


spropt()
{
	int xl,yl;
	xl=15;yl=15;
	if(sprout) {
		spr_opt1(xl,yl);	/* ɍ킹   */
		spr_opt2(xl,yl);	/* VtgœK   */
		spr_opt3(xl,yl);	/* ͂ݏoZlߍ */
		spr_out (xl,yl);	/* brao͂ */
		cab_out (xl,yl);	/* b`ao͂ */
	}
}

faceopt()
{
	int xl,yl;
	xl=15;yl=15;
	if(sprout) {
		spr_optf(xl,yl);	/* EZɍ킹 */
		areachk();
		spr_out (xl,yl);	/* brao͂ */
		cab_out (xl,yl);	/* b`ao͂ */
	}
}

spr_out(xl,yl)
{
	char name[80];
	char spc [80];
	char *warns;
	int p,pm;	/* y[WԍAy[W}bNX */
	int x0,y0;

	xl*=16;
	yl*=16;

	pm=0;
	for(y0=0;y0<yl;y0+=128) {
		for(x0=0;x0<xl;x0+=128) {
			if(zerochk(x0,y0)) pm++;
		}
	}

	if(pm==0) return;
		  p=0;
	if(pm==1) p=-1;
	
	
	for(y0=0;y0<yl;y0+=128) {
		for(x0=0;x0<xl;x0+=128) {

		if(zerochk(x0,y0)){
			make_pename(name,p);strcat(name,".CSB");
			Wopen(name);
			save_csb(x0,y0);
			Wclose();

			mkspc(spc, 24-strlen(name) );
			warns="";
			if(areaused>=48) warns="(OVER 48)";
			if(areaused>=64) warns="(OVER 64!!!)";
			
			fprintf(inf_fp,"%s%s: %3d cells used.%s\n",name,spc,areaused,warns);

			if(IsOpt('c')) {
				make_pename(name,p);strcat(name,".CCB");
				Wopen(name);
				save_pcb();
				Wclose();
			}
			p++;
		}
		}
	}
}

save_pcb()
{
	static int pc_col[]=
	{
		0000,0777,0766,0666,0655,0555,0544,0444,
		0433,0333,0322,0222,0211,0111,0100,0004
	};
	int i;
	for(i=0;i<16;i++) {
		Write(pc_col,32);
	}
}



mkspc(s,l)
char *s;
{
	while(l>0) {
		*s++ = ' ';
		l--;
	}
	*s=0;
}

cab_out(xl,yl)
{
	char name[80];

	if(areaused>64) return;	/* ̂قǂ悤Ȃ */

	clear_cab();
	make_pename(name,-1);strcat(name,".CAB");
	Wopen(name);
	make_cab_main(xl,yl);
	Write(&pce_anm,sizeof(pce_anm));
	Wclose();
}

clear_cab()
{
	int i;
	char *p;
	p=(char *) &pce_anm;
	for(i=0;i<sizeof(pce_anm);i++) {
		*p++ = 0;
	}
	for(i=0;i<16;i++) {
		sprintf(pce_anm.label[i],"_%02x",i);
	}
	for(i=0;i<PCEPAT_MAX;i++) {
		pce_anm.pat[i].ofsx=-1;
		pce_anm.pat[i].ofsy=-1;
		pce_anm.pat[i].sprno=-1;
		pce_anm.pat[i].attrib=-1;
	}
}

/*
 *	vlϐ
 *	    ]A@@E]A@@AVtgʁA  @QC
 */
static	int leftspace[16],rightspace[16],doshift[16],gain[16];
static	int total_gain;
static	int total_shift;
/*
 *	r`sp̃|C^{{
 */
static	PCE_PAT *pat;
static	int patmax;
static	int patxl;
/*
 *	wTCŶr`sPAڗBIiċȀI[j
 */
make_sat1(x0,y0,xl,yl)
{
	int x,y,sno,atr,i;

	/* W~WZdfzɕϊ */
	x=x0;y=y0;

	sno =(x & 1)+((x >> 1) & 3)*16;
	sno+=(y * 2);

	/* zZ̏ꍇ */
	if(AMAT(x0,y0)==3) {
		sno=0;		//RpC̃oOiCSẼoOj
		i=AMOV(x0,y0);
		x=i % 16;
		y=i / 16;
		sno =(x & 1) + ((x >> 1) & 3)*16 +(y * 2);

		if(debug) {
			printf("x=%d\n", x );
			printf("x&1=%d\n", x & 1);
			printf("x>>1 & 3 *16 =%d\n", ((x>>1)&3)*16);
			printf("sno=%d\n",(x & 1) + ((x >> 1) & 3)*16);
			printf("sno=%d\n",sno);
				     sno =(x & 1) + ((x >> 1) & 3)*16;
			printf("sno=%d\n",sno);
			printf("AMOV(%d,%d)=%x(%d,%d)[sno=%d]\n",x0,y0,i,x,y,sno);
		}
	}

	atr=SPBG;
	if(xl==2) atr|=CGX2;
	if(yl==2) atr|=CGY2;
	if(yl==4) atr|=CGY4;

	pat->ofsx  = x0*16 + left_margin + doshift[y0] - 64;
	pat->ofsy  = y0*16 + top_margin                - 64;
	pat->sprno = sno*2;
	pat->attrib= atr | usecolor ;
	
	if(debug)
		printf(
"SAT(%2d,%2d,%d,%d) loc(%4d,%4d)=%02x:%04x\n",x0,y0,xl,yl,pat->ofsx,pat->ofsy,sno,atr|usecolor);
	
	if(patmax<PCEPAT_MAX) {
		pat++;patmax++;
	}
}

/*
 *	ẅ̂r`sĂ炤BvltiċAj
 */
make_cab_xy(x0,y0,xl,yl)
{
	int x,y,ok,nil;

	ok=1;	/* SZɃp^[l܂Ă */
	nil=1;	/* SZ͋󗓂ł */
	for(y=y0;y<y0+yl;y++) {
		for(x=x0;x<x0+xl;x++) {
			if(AMAT(x,y)!=1) ok =0;
			if(AMAT(x,y)!=0) nil=0;
		}
	}

	if(debug) {
		printf("MAKE_CAB(%2d,%2d,%2d,%2d) :ok=%d nil=%d\n"
			,x0,y0,xl,yl,ok,nil);
	}


	if(nil) return;
	if(ok) {
		make_sat1(x0,y0,xl,yl);
		return;
	}

	/* ċAJn */
	/* P~Pr`słij */
	if( (xl<2) && (yl<2) ) {
		if( (AMAT(x0,y0)==1)||(AMAT(x0,y0)==3) )
			make_sat1(x0,y0,1,1);
		return;
	}

	/* 𕪊悤 */
	if(xl>yl) {
		if(xl>=2) {
			/* QčċA */
			make_cab_xy(x0,y0,     xl/2,yl);
			make_cab_xy(x0+xl/2,y0,xl/2,yl);
			return;
		}
	}
	/* cQčċA */
	make_cab_xy(x0,y0,     xl,yl/2);
	make_cab_xy(x0,y0+yl/2,xl,yl/2);
}

/* cQro\H */
make_cab_y2(y0)
{
	int x,y;
	if(doshift[y0]==doshift[y0+1]) {
		for(x=0;x<patxl;x+=2) {
			make_cab_xy(x,y0,2,2);
		}
		return;
	}

	for(x=0;x<patxl;x+=2) {
		make_cab_xy(x,y0  ,2,1);
	}
	for(x=0;x<patxl;x+=2) {
		make_cab_xy(x,y0+1,2,1);
	}
}

/* cSro\H */
make_cab_y4(y0)
{
	int x,y;
	int doshifty0,ok;
	
	doshifty0=doshift[y0];
	ok=1;
	for(y=y0;y<y0+4;y++) {
		if(doshift[y]!=doshifty0) {ok=0;break;}
	}
	if(ok) {
		for(x=0;x<patxl;x+=2) {
			make_cab_xy(x,y0,2,4);
		}
	}else{
		make_cab_y2(y0);
		make_cab_y2(y0+2);
	}
}

make_cab_main(xl,yl)
{
	int x,y;
	pat=&pce_anm.pat[0];
	patmax=0;
	patxl=xl;

	if(debug) {
		printf("\nusecolor=%d",usecolor);
		printf("\npatxl=%d",patxl);
		printf("\n");
		printf("AMAT(x,y):\n");
		for(y=0;y<16;y++){
			printf("%9d:",doshift[y]);
			for(x=0;x<16;x++){
				printf("%d ",AMAT(x,y));
			}
			printf("\n");
		}
		printf("\n");
		printf("AMOV(x,y):\n");
		for(y=0;y<16;y++){
			printf("	%x:",y);
			for(x=0;x<16;x++){
				printf("%2x ",AMOV(x,y));
			}
			printf("\n");
		}
	}
	make_cab_y4(0);		/* W (y) cSror`sɂ */
	make_cab_y4(4);
	make_cab_y4(8);
	make_cab_y4(12);
}

make_pename(s,p)
char *s;
{
	if(p<0) 
		strcpy(s,outname);
	else
		sprintf(s,"%s_%c",outname,p+'a');
}

save_csb(x0,y0)
{
	int x,y,p,i,c,dfx,dfy,dp,dfrow,dfcol,dfn;

	for(y=0;y<8;y++) {
		for(x=0;x<8;x++) {
			dfn=x+y*8;
			
			/* W~WZdfzɕϊ */
			dfcol=dfn/16;
			dfrow=(dfn%16)/2;
			dfx=dfcol*2+(x&1);
			dfy=dfrow;
			
			/*printf("%d,%d\n",dfx,dfy);*/
			
			dp=GPOS(dfx*16 +x0,dfy*16 +y0);
			save_onecell(dp);
		}
	}
}

save_onecell(p)
{
	int c0,c1,c2,c3,z;
	int cell0[16];
	int cell1[16];
	int cell2[16];
	int cell3[16];
	int i,c;

	for(i=0;i<16;i++) {
		c0=0;
		c1=0;
		c2=0;
		c3=0;
		for(z=0;z<16;z++) {
			c0<<=1;
			c1<<=1;
			c2<<=1;
			c3<<=1;
			c=buf2[p++];
			if(c&1) c0|=1;
			if(c&2) c1|=1;
			if(c&4) c2|=1;
			if(c&8) c3|=1;
		}
		cell0[i]=c0;
		cell1[i]=c1;
		cell2[i]=c2;
		cell3[i]=c3;
		p+=LSIZE-16;
	}
	
	Write(cell0,32);
	Write(cell1,32);
	Write(cell2,32);
	Write(cell3,32);
}

zerochk(x0,y0)
{
	int x,y,p,i,j,c,zero;

	zero=0;
	for(y=0;y<128;y+=8) {
		for(x=0;x<128;x+=8) {
			p=GPOS(x+x0,y+y0);
			for(j=0;j<8;j++) {
				for(i=0;i<8;i++) {
					zero|=buf2[p];p++;
				}
				p+=(LSIZE-8);
			}
		}
		if(zero!=0) break;
	}
	return(zero);
}

areacopy(x0,y0,x1,y1)
{
	int x,y,p0,p1,i,c;

	p0=GPOS(x0,y0);
	p1=GPOS(x1,y1);
	
	for(y=0;y<16;y++) {
		for(x=0;x<16;x++) {
			buf2[p0] = buf2[p1];
			p0++;p1++;
		}
		p0+=LSIZE-16;p1+=LSIZE-16;
	}

	p1=GPOS(x1,y1);
	for(y=0;y<16;y++) {
		for(x=0;x<16;x++) {
			buf2[p1] = 0;
			p1++;
		}
		p1+=LSIZE-16;
	}
}

areachk()
{
	int x,y,p,i,c,zero;

	areaused=0;
	i=0;
	for(y=0;y<256;y+=16) {
		for(x=0;x<256;x+=16) {
			c=areachk1(x,y);
			areamat[i++]=c;
			if(c!=0) areaused++;
		}
	}
	return(areaused);
}

areachk1(x0,y0)
{
	register int zero;
	int x,y,p,i,c;

	zero=0;
	p=GPOS(x0,y0);
	for(y=0;y<16;y++) {
		for(x=0;x<16;x++) {
			zero|=buf2[p];
			p++;
		}
		p+=LSIZE-16;
		if(zero!=0) break;
	}
	if(zero==0) return(0);
	else return(1);
}

/*********** OPTIMIZER **********/

/*
 *	[   p ]
 *
 *	EɃVtgAVtgʂꂼAleft_margin,top_marginɓ.
 */
spr_optf(xl,yl)
{
	int x,y,z;
	int right_margin=0,bottom_margin=0;
	
	xl=255;yl=255;
	
	z=0;
	for(x=xl-1;x>=0;x--) {
		for(y=0;y<yl;y++) {
			z|=pointb(x,y);
		}
		if(z!=0) {
			right_margin=x;
			break;
		}
	}
	
	z=0;
	for(y=yl-1;y>=0;y--) {
		for(x=0;x<xl;x++) {
			z|=pointb(x,y);
		}
		if(z!=0) {
			bottom_margin=y;
			break;
		}
	}

	if(debug) {
		printf("right_margin=%x\n",right_margin);
		printf("bottom_margin=%x\n",bottom_margin);
	}

	 top_margin  = (bottom_margin & 0x0f)-15;
	 left_margin = (right_margin & 0x0f)-15;
	if((left_margin!=0)||(top_margin!=0)) {
	
	 
	 
	 for(y=yl-1;y>=0;y--) {
		for(x=xl-1;x>=0;x--) {
			if( ( ((unsigned)x+left_margin) < (unsigned)256 ) &&
			    ( ((unsigned)y+top_margin ) < (unsigned)256 ) ) {
				psetb(x,y,pointb(x+left_margin,y+top_margin));
			}else{
				psetb(x,y,0);
			}
		}
	 }
	}
}

/*
 *	]A]l߂
 *	ɃVtgAVtgʂꂼAleft_margin,top_marginɓ.
 */
spr_opt1(xl,yl)
{
	int x,y,z;
	
	xl*=16;yl*=16;
	
	z=0;
	for(x=0;x<xl;x++) {
		for(y=0;y<yl;y++) {
			z|=pointb(x,y);
		}
		if(z!=0) {
			left_margin=x;
			break;
		}
	}
	
	z=0;
	for(y=0;y<yl;y++) {
		for(x=0;x<xl;x++) {
			z|=pointb(x,y);
		}
		if(z!=0) {
			top_margin=y;
			break;
		}
	}

	if((left_margin!=0)||(top_margin!=0)) {
	
	 for(y=0;y<yl;y++) {
		for(x=0;x<xl;x++) {
			if( ( (x+left_margin) < 256 ) &&
			    ( (y+top_margin ) < 256 ) ) {
				psetb(x,y,pointb(x+left_margin,y+top_margin));
			}else{
				psetb(x,y,0);
			}
		}
	 }
	}
}

/*
 *	vlTu[`
 *	n_ƘAw肵āAQCvZB
 */
leftgains(y0,yl)
{
	int y,cell,newcell;
	total_shift=16*16;
	/* Vtg\hbgileftspace̍ŏljZo */
	for(y=y0;y<y0+yl;y++) {
		if(total_shift>leftspace[y]) total_shift=leftspace[y];
	}
	if(total_shift==0) return(0);	/* NO GAIN */

	total_gain=0;
	for(y=y0;y<y0+yl;y++) {
		cell   =16-(leftspace[y]/16)-(rightspace[y]/16);
		newcell=16-((leftspace[y] -total_shift)/16)
			  -((rightspace[y]-total_shift)/16);
		gain[y]=cell-newcell;
		total_gain += gain[y];
	}
	return(total_gain);
}

doleft(y0,yl)
{
	int y;

	for(y=y0;y<y0+yl;y++) {
		if(leftspace[y]!=16*16) {
			leftshift(16,y,total_shift);
			leftspace [y] -= total_shift;
			rightspace[y] += total_shift;
		}
		doshift[y]    += total_shift;
	}
}
/*
 *	cSZQZPZ̏ɍVtgœK{.
 */
spr_opt2(xl,yl)
{
	int x,y;

	/* E̗]ƁAL߂hbgv */
	for(y=0;y<16;y++) {
		rightspace[y]=rightchk(16,y);	/* ]hbg */
		leftspace [y]=leftchk (16,y);	/* E]hbg */
		if(leftspace[y]==16*16) rightspace[y]=0; /* Sȋ */
		doshift[y]=0;
	}
	
	/* vl */

	/* SZPʂ̃VtgĂ݂ */
	for(y=0;y<16;y+=4) {
		if(leftgains(y,4)) doleft(y,4);
	}
	/* QZPʂ̃VtgĂ݂ */
	for(y=0;y<16;y+=2) {
		if(leftgains(y,2)) doleft(y,2);
	}
	/* PZPʂ̃VtgĂ݂ */
	for(y=0;y<16;y++) {
#if	0
	/* QZȏׂƂȂ */
		if(leftgains(y,1)>=2) doleft(y,1);
#endif
		if(leftgains(y,1)) doleft(y,1);	/*PZłׂȂ*/
	}
}
/*
 *	PoN̂Ԃɂ͂ݏoXvCg𖄂߂
 */
spr_opt3(xl,yl)
{
	int x,y,x0,y0,i;
	int cell48over=0;
	
	areachk();
	if(areaused>64) return;	/* ̂قǂ悤Ȃ */

	cell48over=0;
	if(areaused>=48) cell48over=1;
	
	for(y=0;y<16;y++) {
		for(x=0;x<16;x++) {
			if( inout(x,y,cell48over) ) {

				/* 128x128̊OɂtHg̏ */
				if(AMAT(x,y)) {
					/* ɋ󂫂邩H */
					i=freearea();
					if(i==-1) {
					 dispend();
					 printf("fatal:free area exaust\n");
					  exit(1);
					}
					/* gp */
					areamat[i]=2;
					/* ̃|C^
					@ zł */
					AMAT(x,y)=3;
					AMOV(x,y)=i;

					/* ̍Wm */
					x0=i%16;
					y0=i/16;
					/* Rs[ */
	/*printf("areacopy(%d,%d,%d,%d)\n",x0*16,y0*16,x*16,y*16);*/
					areacopy(x0*16,y0*16,x*16,y*16);
				}
			}
		}
	}
}

/*
 *	ǂo邩ǂ̔f
 *	Ԃ̊OȂtrue
 */
inout(x,y,cell48over)
{
	if(cell48over == 0) {
/*		if(     (x>=4)&&(y>=4) ) return(1); * O */

		return( (x>=6)||(y>=8) );
	}else{
		return( (x>=8)||(y>=8) );
	}
}

#define FFRE(x0,y0,xl,yl) {pos = find_freearea( x0,y0,xl,yl );if(pos!=(-1)) return(pos);}


freearea()
{
	/* PoNSGAA󂫃oNT */
	int x,y,pos;
	FFRE(0,0,2,8);
	FFRE(2,0,2,8);
	FFRE(4,0,2,8);
	FFRE(6,0,2,8);
	return(-1);
}

find_freearea(x0,y0,xl,yl)
{
	int x,y;
	for(y=y0;y<y0+yl;y++) {
		for(x=x0;x<x0+xl;x++) {
			if(AMAT(x,y)==0) return x+y*16;
		}
	}
	return(-1);
}

rightchk(x0,y0)
{
	int x,y,z,l;
	x0*=16;
	y0*=16;
	z=0;
	x=x0;
	l=0;
	while(x>=0) {
		for(y=0;y<16;y++) {
			z|=pointb(x,y+y0);
			/*pset(x,y+y0,15);*/
			if(z!=0) break;
		}
		if(z!=0) break;
		l++;x--;
	}
	return(l);
}
leftchk(x0,y0)
{
	int x,y,z,l;
	x0*=16;
	y0*=16;
	z=0;
	x=0;
	l=0;
	while(x<x0) {
		for(y=0;y<16;y++) {
			z|=pointb(x,y+y0);
			/*pset(x,y+y0,15);*/
			if(z!=0) break;
		}
		if(z!=0) break;
		l++;x++;
	}
	return(l);
}

leftshift(x0,y0,sbits)
{
	int x,y,z,l;
	x0*=16;
	y0*=16;
	for(y=0;y<16;y++) {
		for(x=0;x<x0;x++) {
			if( (x+sbits)<256 ) {
				psetb(x,y+y0,pointb(x+sbits,y+y0));
			}else{
				psetb(x,y+y0,0);
			}
		}
	}
}



/*
 *	r`s̏ɏ]āAB
 *	iPjAAAoB
 *	iQjԍ炃̃|C^𓾂B
 *
 *
 *
 *
 */
expand_sat(int *satp)
{
	int x,y,c,a,cp,cx,cy;
	usecolor = satp[3] & 0x0f;
	while(1) {
		y=*satp++;
		x=*satp++;
		c=*satp++;
		a=*satp++;
		if(c==(-1)) break;
		
		if( (a & 0x0f) != usecolor ) {
			fprintf(inf_fp,"	multiple color using[$%x]($%x)\n",usecolor,a&0x0f);
		}
		
		expand1(y,x,a,c);
	}
}

expand1(y0,x0,a,c)
{
	int x,y,xl,yl;

	x0+=64;
	y0+=64;
	c/=2;

	xl=1;yl=1;
	if(a & CGX2) xl=2;

	if(a & CGY2) yl=2;
	if(a & _CGY4_) yl=4;
	
	for(y=0;y<yl;y++) {
		for(x=0;x<xl;x++) {
			put_csbfont(buf1+(c+x)*256,buf2+(x0+x*16)+(y0+y*16)*256);
		}
		c+=2;
	}
}

put_csbfont(char far *src,char far *dst)
{
	int x,y;
	
	for(y=0;y<16;y++) {
		for(x=0;x<16;x++) {
			*dst++ = *src++;
		}
		dst+=(256-16);
	}
}



Load(name,buf,siz)
char *name,*buf;
{
	Ropen(name);
	Read(buf,siz);
	Rclose();
}

Loadcab(name,buf,siz)
char *name,*buf;
{
	Ropen(name);
	Seek(ifp,0x950L);
	Read(buf,siz);
	Rclose();
}

Save(name,buf,siz)
char *name,*buf;
{
	Wopen(name);
	Write(buf,siz);
	Wclose();
}

savecsb(name)
char *name;
{
	Wopen(name);
	
	Wclose();
}



p_alloc()
{
	short int i;
	char far *p;
	
	buf1=farmalloc(0x10100L);
	buf2=farmalloc(0x10100L);
	buf3=farmalloc(0x10100L);
	if((buf1==NULL)||(buf2==NULL)||(buf3==NULL)) {
		printf("fatal: memory exausted.\n");
		exit(1);
	}
	seg1 = FP_SEG(buf1);
	seg1+=(FP_OFF(buf1)+15/16);

	seg2 = FP_SEG(buf2);
	seg2+=(FP_OFF(buf2)+15/16);
	
	seg3 = FP_SEG(buf3);
	seg3+=(FP_OFF(buf3)+15/16);
	
	buf1=MK_FP(seg1,0);
	buf2=MK_FP(seg2,0);
	buf3=MK_FP(seg3,0);

	p=buf1;
	i=0; do {
		*p++ = 0;
	}while(++i);

	p=buf2;
	i=0; do {
		*p++ = 0;
	}while(++i);

	p=buf3;
	i=0; do {
		*p++ = 0;
	}while(++i);

}

/*
 *	uq`l琂uq`lւ̕ϊ
 *
 *	  uq`l͂PsNZPoCg
 *		PUPUsNZłPZ
 *		  WW  Z  PoN
 *
 *	̕ϊʂ͂܂bra\ĂB
 *		iZׂ\łj
 *
 */
void	expand_csb(unsigned char *csb,char far *bmp)
{
	int i;
	for(i=0;i<64;i++) {	/* 8 x 8 ZɂčsȂ */
		csb_to_bmp(csb,bmp);
		bmp+=256;
		csb+=128;
	}
}

/*
 *	uq`l琂uq`lւ̕ϊ
 *	iPZ̃XvCgj
 */
void	csb_to_bmp(unsigned char *csb,char far *bmp)
{
	int x,y,c0,c1,c2,c3,i,c;
	int *cp;

	cp=(int *)csb;

	for(y=0;y<16;y++) {
		c0=cp[0 ];
		c1=cp[16];
		c2=cp[32];
		c3=cp[48];
		   cp ++ ;

		for(x=0;x<16;x++) {
			c=0;
			if(c0 & 0x8000) c|=1;
			if(c1 & 0x8000) c|=2;
			if(c2 & 0x8000) c|=4;
			if(c3 & 0x8000) c|=8;
			*bmp++ = c;
			c0<<=1;
			c1<<=1;
			c2<<=1;
			c3<<=1;
		}

	}
}

