# ===========================================================================
#	musiclst  music.s , music.equ 𐶐
# ===========================================================================
BEGIN{
	num=0;
	
	S="music.s";
	EQU="music.equ";
	
	printf("\tdefseg\tsound\n")>S;
	printf("\tseg\tsound\n")>>S;
	printf("\tinclude\tmusic.equ\n")>>S;
	printf("\tinclude\tmusic.pub\n")>>S;
	printf("song_index_adr::\n")>>S;
	printf("\n")>EQU;
}

/\\mus\\.*\.o/{
	label=$1;
	sub(/\\mus\\/,"",label);		# \mus\ 
	sub(/\.o/,"",label);			# .o    
	printf("\textrn\t%s\n",label)>>S;	# @extrn <label>
	printf("\tdw\t%s\n",label)>>S;		#   dw    <label>
	printf("m_%s\tequ\t%d\n",label,num)>>EQU;	# m_<label> equ <num>
	num++;
}

END{
	if( num<120 ){
		print "\x1b[32m music entry :",num,"\x1b[0m"
		exit 0;
	}else{
		print "\x1b[31;5;7mToo many music entry! :",num,"\x1b[0m"
		exit 1;
	}
}
