;************************************************************************
;*                   enemy2 action_data					*
;* 				Jack_Ternar				*
;*  					1992/7/30			*
;************************************************************************


	extrn	MOTION_001,MOTION_002,MOTION_003,MOTION_004
	extrn	MOTION_005,MOTION_006,MOTION_007,MOTION_008
	extrn	MOTION_009,MOTION_010,MOTION_011,MOTION_012
	extrn	MOTION_013,MOTION_014,MOTION_999
	extrn	UP_DEF_1,UP_DEF_2,UP_DEF_3
	extrn	DOWN_DEF_1

		include	\game\em.inc

;************************************************************************

E2_TBLNO::
	db	$5C			; e[u
	dw	COMB_001		;1
	dw	COMB_002		;2
	dw	COMB_003		;3
	dw	COMB_004		;4
	dw	COMB_005		;5
	dw	COMB_006		;6
	dw	COMB_007		;7
	dw	COMB_008		;8
	dw	COMB_009		;9
	dw	COMB_010		;A

	dw	COMB_011		;B
	dw	COMB_012		;C
	dw	COMB_013		;D
	dw	COMB_014		;E
	dw	COMB_015		;F
	dw	COMB_016		;10
	dw	COMB_017		;11
	dw	COMB_018		;12
	dw	COMB_019		;13
	dw	COMB_020		;14

	dw	COMB_021		;15
	dw	COMB_022		;16
	dw	COMB_023		;17
	dw	COMB_024		;18
	dw	COMB_025		;19
	dw	COMB_026		;1A
	dw	COMB_027		;1B
	dw	COMB_028		;1C
	dw	COMB_029		;1D
	dw	COMB_030		;1E

	dw	COMB_031		;1F
	dw	COMB_032		;20
	dw	COMB_033		;21
	dw	COMB_034		;22
	dw	COMB_035		;23
	dw	COMB_036		;24
	dw	COMB_037		;25
	dw	COMB_038		;26
	dw	COMB_039		;27

	dw	MOTION_001		;28
	dw	MOTION_002		;29
	dw	MOTION_003		;2A
	dw	MOTION_004		;2B
	dw	MOTION_005		;2C
	dw	MOTION_006		;2D
	dw	MOTION_007		;2E
	dw	MOTION_008		;2F
	dw	MOTION_009		;30
	dw	MOTION_010		;31
	dw	MOTION_011		;32
	dw	MOTION_012		;33

	dw	COMB_040		;34
	dw	COMB_041		;35
	dw	COMB_042		;36
	dw	COMB_043		;37
	dw	COMB_044		;38
	dw	COMB_045		;39
	dw	COMB_046		;3A
	dw	COMB_047		;3B

	dw	AT_NACKLE_P1		;3C
	dw	AT_NACKLE_P2		;3D
	dw	AT_GIANT_K1		;3E
	dw	AT_GIANT_K2		;3F
	dw	AT_LOW_KICK		;40

	dw	AT_VJUMP_DROP		;41
	dw	AT_FJUMP_DROP		;42
	dw	AT_BJUMP_DROP		;43

	dw	AT_BODY_SLAM		;44
	dw	AT_SUPER_NACKLE_P	;45
	dw	AT_SUPER_DROP		;46

	dw	ACT_KIRYOKU		;47
	dw	AT_HEAD_BAT		;48
	dw	AT_SLADING_KICK		;49

	dw	UP_DEF_1		;4A
	dw	UP_DEF_2		;4B
	dw	UP_DEF_3		;4C
	dw	DOWN_DEF_1		;4D

	dw	COMB_048		;4E
	dw	COMB_049		;4F
	dw	COMB_050		;50

	dw	ACT_CHOHATSU		;51

	dw	COMB_051		;52
	dw	COMB_052		;53
	dw	COMB_053		;54
	dw	COMB_054		;55
	dw	COMB_055		;56

	dw	COMB_056		;57
	dw	COMB_057		;58
	dw	COMB_058		;59
	dw	COMB_059		;5A

	dw	ACT_FRONT_JUMP		;5B

	dw	COMB_060		;5C

;************************************************************************

NACKLE_P1	EQU	10H
NACKLE_P2	EQU	21H+80H
GIANT_K1	EQU	20H
GIANT_K2	EQU	31H+80H

SUPER_NACKLE	EQU	40H+80H
SUPER_DROP	EQU	41H+80H
SLADING_KICK	EQU	42h+80h

LOW_KICK	EQU	20H+40H
HEAD_BAT	EQU	10h+40h

BODY_SLAM	EQU	2EH+80H


;************************************************************************
;
;	*attacked distance
;
;
;NACKLE_PART1 => 172
;NACKLE_PART2 => 203
;GIANT_KICK1  => 146
;GIANT_K2  => 180
;
;LOW_KICK     => 130
;
;DROP_KICK    => 110
;SUPER_DROP   => 300
;SUPER_NACKLE => 256
;

;************************************************************************


ACT_FRONT_JUMP:	actid
	T1_ACT
	db	FRONT_JUMP
	ACT_END

ACT_CHOHATSU:	actid
	T3_ACT	DM0,CHOHATSU,1
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,120
	T1_CHG4	200,GIANT_K2,90
	ACT_END

ACT_KIRYOKU:	actid
	T1_ACT
	T1_CHG8	DM0,120
	ACT_END

AT_NACKLE_P1:	actid
	T4_ACT	172,NACKLE_P1,18
	ACT_END

AT_NACKLE_P2:	actid
	T4_ACT	203,NACKLE_P2,18
	ACT_END

AT_GIANT_K1:	actid
	T4_ACT	146,GIANT_K1,18
	ACT_END

AT_GIANT_K2:	actid
	T4_ACT	180,GIANT_K2,18
	ACT_END

AT_SUPER_NACKLE_P:	actid
	T4_ACT	255,SUPER_NACKLE,18
	ACT_END

AT_SUPER_DROP:	actid
	T4_ACT	255,SUPER_DROP,18
	ACT_END

AT_LOW_KICK:	actid
	T4_ACT	100,LOW_KICK,18
	ACT_END

AT_VJUMP_DROP:	actid
	T1_ACT
	db	V_JUMP
	T1_CHG4	130,JUMP_PUNCH,120
	ACT_END

AT_FJUMP_DROP:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	130,JUMP_PUNCH,120
	ACT_END

AT_BJUMP_DROP:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	130,JUMP_PUNCH,120
	ACT_END

AT_SLADING_KICK:	actid
	T4_ACT	200,SLADING_KICK,8
	ACT_END

AT_HEAD_BAT:	actid
	T4_ACT	100,HEAD_BAT,8
	ACT_END

AT_BODY_SLAM:	actid
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,20
	T1_CHG0	65,40H,40
	ACT_END


;
;	*back_walk => front_jump
;
COMB_001:	actid
	T3_ACT	DM1,BACK_WALK,120
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	140,JUMP_KICK,120
	ACT_END

;
;	*front_walk
;
COMB_002:	actid
	T2_ACT	DM0,0AH,NACKLE_P1,NACKLE_P2,FRONT_WALK,180
	ACT_END

;
;	*front_walk => foot_work
;
COMB_003:	actid
	T3_ACT	DM0,FRONT_WALK,180
	T4_ACT	146,GIANT_K1,60
	ACT_END

;
;	*foot_work => front_step
;
COMB_004:	actid
	ACT_END

;
;	*front_jump => foot_work
;
COMB_005:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	140,NACT,60
	ACT_END

;
;	*foot_work => front_jump => front_walk => foot_work
;
COMB_006:	actid
	T4_ACT	150,NACT,60
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	100,JUMP_KICK,120
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	150,NACT,60
	ACT_END

;
;	*front_step => foot_work => foot_work => front_walk
;
COMB_007:	actid
	ACT_END

;
;	*front_walk => front_step => back_jump
;
COMB_008:	actid
	T3_ACT	DM1,FRONT_WALK,120
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,120
	db	BACK_JUMP			;@@@@
	T1_CHG4	100,KICK,30
	ACT_END

;
;	*back_walk
;
COMB_009:	actid
	T2_ACT	DM2,0AH,NACKLE_P1,SUPER_DROP,BACK_WALK,180
	ACT_END

;
;	*back_walk
;
COMB_010:	actid
	T2_ACT	DM2,0AH,LOW_KICK,NACKLE_P2,BACK_WALK,180
	ACT_END

;
;	*back_step => down_defence
;
COMB_011:	actid
	ACT_END

;
;	*back_jump => back_walk => foot_work
; 
COMB_012:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG3	DM2,BACK_WALK,120
	T1_CHG4	100,NACT,60
	ACT_END

;
;	*back_jump => back_jump => foot_work
;
COMB_013:	actid
	T1_ACT
	db	BACK_JUMP,BACK_JUMP
	T1_CHG4	100,JUMP_KICK,120
	T1_CHG4	100,NACT,60
	ACT_END

;
;	*back_step => foot_work
;
COMB_014:	actid
	ACT_END

;
;	*back_walk => normal_defence
;
COMB_015:	actid
	ACT_END

;
;	*back_walk => chohatsu
;
COMB_016:	actid
	T3_ACT	DM3,BACK_WALK,120
	T1_ACT
	db	CHOHATSU
	ACT_END

;
;	*back_walk => kiryoku_power_on
;
COMB_017:	actid
	T3_ACT	DM3,BACK_WALK,120
	T1_ACT
	T1_CHG8	DM0,60
	ACT_END

;
;	*back_jump => chohatsu
;
COMB_018:	actid
	T1_ACT
	db	BACK_JUMP
	db	CHOHATSU
	ACT_END

;
;	*back_walk => foot_work => front_walk
;
COMB_019:	actid
	T3_ACT	DM2,BACK_WALK,120
	T4_ACT	140,NACT,60
	T3_ACT	DM0,FRONT_WALK,180
	ACT_END

;
;	*back_jump => foot_work => front_walk
;
COMB_020:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	130,NACT,60
	T1_CHG3	DM0,FRONT_WALK,120
	ACT_END

;
;	*drop_kick2 => front_walk => low_kick
;
COMB_021:	actid
	T4_ACT	255,SUPER_DROP,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	120,LOW_KICK,15
	ACT_END

;
;	*nackle_p2 => front_walk => giant_k1 => front_walk => low_kick
;
COMB_022:	actid
	T4_ACT	203,NACKLE_P2,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	146,GIANT_K1,15
	T3_ACT	DM0,FRONT_WALK,60
	T4_ACT	100,LOW_KICK,15
	ACT_END

;
;	*front_walk => nackle_p1 => front_walk => nackle_p2 => front_walk
;
;	*low_kick => front_walk => low_kick
;
COMB_023:	actid
	T3_ACT	DM0,FRONT_WALK,30
	T4_ACT	172,NACKLE_P1,15
	T3_ACT	DM0,FRONT_WALK,30
	T4_ACT	203,NACKLE_P2,15
	T3_ACT	DM0,FRONT_WALK,30
	T4_ACT	120,LOW_KICK,15
	T3_ACT	DM0,FRONT_WALK,30
	T4_ACT	120,LOW_KICK,15
	ACT_END

;
;	*front_jump => front_jump => drop_k2
;
COMB_024:	actid
	T1_ACT
	db	FRONT_JUMP,FRONT_JUMP
	T1_CHG4	100,JUMP_KICK,120
	T1_CHG4	255,SUPER_DROP,15
	ACT_END

;
;	*front_jump => front_jump => nackle_p2
;
COMB_025:	actid
	T1_ACT
	db	FRONT_JUMP,FRONT_JUMP
	T1_CHG4	100,JUMP_KICK,120
	T1_CHG4	203,NACKLE_P2,15
	ACT_END

;
;	*front_walk => nackle_p1 => front_walk => low_kick
;
COMB_026:	actid
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	172,NACKLE_P1,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	100,LOW_KICK,15
	ACT_END

;
;	*back_jump => drop_k2
;
COMB_027:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	255,SUPER_DROP,15
	ACT_END

;
;	*giant_k1 => front_walk => nackle_p2
;
COMB_028:	actid
	T4_ACT	146,GIANT_K1,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	203,NACKLE_P2,15
	ACT_END

;
;	*low_kick => front_walk => low_kick => front_walk => nackle_p1
;
COMB_029:	actid
	T4_ACT	100,LOW_KICK,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	100,LOW_KICK,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	172,NACKLE_P1,15
	ACT_END

;
;	*low_kick => front_walk => giant_k1
;
COMB_030:	actid
	T4_ACT	100,LOW_KICK,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	146,GIANT_K1,15
	ACT_END

;
;	*back_walk => nackle_p1
;
COMB_031:	actid
	T3_ACT	DM1,BACK_WALK,120
	T4_ACT	172,NACKLE_P1,15
	ACT_END

;
;	*back_jump => back_walk => super_nackle
;
COMB_032:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG3	DM2,BACK_WALK,120
	T1_CHG4	255,SUPER_NACKLE,15
	ACT_END

;
;	*back_jump => back_jump => super_nackle
;
COMB_033:	actid
	T1_ACT
	db	BACK_JUMP,BACK_JUMP
	T1_CHG4	100,JUMP_KICK,120
	T1_CHG4	255,SUPER_NACKLE,15
	ACT_END

;
;	*v_jump => front_walk => nackle_p2
;
COMB_034:	actid
	T1_ACT
	db	V_JUMP
	T1_CHG4	100,JUMP_KICK,60
	T1_CHG3	DM0,FRONT_WALK,120
	T1_CHG4	203,NACKLE_P2,15
	ACT_END

;
;	*v_jump => back_jump => back_walk => super_nackle
;
COMB_035:	actid
	T1_ACT
	db	V_JUMP
	T1_CHG4	100,JUMP_KICK,12
	db	BACK_JUMP
	T1_CHG4	100,JUMP_KICK,12
	T1_CHG3	DM2,BACK_WALK,120
	T1_CHG4	255,SUPER_NACKLE,15
	ACT_END

;
;	*nackle_p1 => front_walk => low_kick
;
COMB_036:	actid
	T4_ACT	172,NACKLE_P1,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	100,LOW_KICK,15
	ACT_END

;
;	*nackle_p1 => front_walk => nackle_p2
;
COMB_037:	actid
	T4_ACT	172,NACKLE_P1,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	203,NACKLE_P2,15
	ACT_END

;
;	*giant_k2 => front_walk => nackle_p1
;
COMB_038:	actid
	T4_ACT	180,GIANT_K2,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	172,NACKLE_P1,15
	ACT_END

;
;	*back_walk => super_nackle
;
COMB_039:	actid
	T3_ACT	DM2,BACK_WALK,120
	T4_ACT	255,SUPER_NACKLE,15
	ACT_END

;
;	*back_walk => kiryyoku_power_on => super_nackle
;
COMB_040:	actid
	T3_ACT	DM2,BACK_WALK,120
	T1_ACT				;@@@@
	db	V_JUMP
	T1_CHG2	DM0,04H,KICK,SUPER_DROP,PUNCH,60
	T1_CHG4	255,SUPER_NACKLE,15
	ACT_END

;
;	*back_jump => back_walk => chohatsu => drop_kick
;
COMB_041:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	120,JUMP_KICK,60
	T1_CHG3	DM2,BACK_WALK,120
	db	CHOHATSU
	db	FRONT_JUMP			;@@@@
	T1_CHG4	140,KICK,120
	ACT_END

;
;	*back_jump => back_walk => nackl_p2
;
COMB_042:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	100,JUMP_KICK,60
	T1_CHG3	DM2,BACK_WALK,120
	T1_CHG4	203,NACKLE_P2,15
	ACT_END

;
;	*chohatsu => super_nackle
;
COMB_043:	actid
	T1_ACT
	T1_CHG3	DM0,CHOHATSU,1
	db	CHOHATSU
	T1_CHG4	255,SUPER_NACKLE,15
	T1_CHG4	180,GIANT_K2,15
	ACT_END

;
;	*kiryoku_power_on
;
COMB_044:	actid
	T1_ACT
	db	V_JUMP			;@@@@
	T1_CHG2	DM0,04H,KICK,NACKLE_P1,PUNCH,60
	T1_CHG4	255,SUPER_NACKLE,15
	T1_CHG4	203,NACKLE_P2,15
	ACT_END	


;
;	*front_walk => super_nackle
;
COMB_045:	actid
	T3_ACT	DM1,FRONT_WALK,120
	T4_ACT	255,SUPER_NACKLE,15
	ACT_END

;
;	*front_jump => front_walk => nackle_p2
;
COMB_046:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	100,JUMP_KICK,60
	T1_CHG3	DM0,FRONT_WALK,120
	T1_CHG4	203,NACKLE_P2,15
	ACT_END

;
;	*drop_k2*2
;
COMB_047:	actid
	T4_ACT	255,SUPER_DROP,15
	T4_ACT	255,SUPER_DROP,15
	ACT_END


COMB_048:	actid
	T4_ACT	140,JUMP_KICK,15
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	255,SUPER_DROP,15
	T1_ACT
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,120
	ACT_END


COMB_049:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	100,JUMP_KICK,15
	T1_CHG3	DM0,FRONT_WALK,120
	T1_CHG4	120,GIANT_K2,15
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,120
	ACT_END

COMB_050:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	120,JUMP_KICK,15
	T1_CHG3	DM0,FRONT_WALK,120
	T1_CHG4	120,GIANT_K2,15
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,120
	ACT_END

COMB_051:	actid
	T4_ACT	172,NACKLE_P1,15
	T4_ACT	100,LOW_KICK,15
	T4_ACT	120,GIANT_K2,15
	ACT_END



COMB_052:	actid
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	172,NACKLE_P1,15
	T4_ACT	100,LOW_KICK,15
	T4_ACT	120,GIANT_K2,15
	ACT_END

COMB_053:	actid
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,120
	db	SLADING_KICK
	ACT_END

COMB_054:	actid
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,120
	db	SUPER_DROP
	ACT_END

COMB_055:	actid
	T3_ACT	DM0,FRONT_WALK,120
	T1_ACT
	db	GIANT_K2
;	T4_ACT	120,GIANT_K2,15
;	T4_ACT	120,GIANT_K2,15
	ACT_END

COMB_056:	actid
	T1_ACT
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,120
	ACT_END

COMB_057:	actid
	T1_ACT
	db	FDASH
	T1_CHG0	0ABh,FRONT_JUMP,60
	T1_CHG4	100,JUMP_KICK,90
	ACT_END

COMB_058:	actid
	T4_ACT	255,SUPER_DROP,6
	T1_ACT
	db	BDASH
	T1_CHG0	0ABh,BACK_WALK,60
	T1_CHG8	DM0,120
	ACT_END

COMB_059:	actid
	T1_ACT
	T1_CHG8	DM1,60
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,120
	T1_CHG4	120,GIANT_K2,15
	ACT_END

COMB_060:	actid
	T3_ACT	DM1,FRONT_WALK,60
	T3_ACT	DM0,NACT,60
	T3_ACT	DM0,FRONT_WALK,60
	T4_ACT	203,NACKLE_P2,15
	ACT_END


;************************************************************************
