;************************************************************************
;*                   enemy8 action_data					*
;* 				Mr. Karate				*
;*  					1992/7/30			*
;************************************************************************

	extrn	MOTION_001,MOTION_002,MOTION_003,MOTION_004
	extrn	MOTION_005,MOTION_006,MOTION_007,MOTION_008
	extrn	MOTION_009,MOTION_010,MOTION_011,MOTION_012
	extrn	MOTION_013,MOTION_014,MOTION_999

  		include	\game\em.inc

;************************************************************************

E8_TBLNO::
	db	$71			; e[u
	dw	COMB_001		;1
	dw	COMB_002		;2
	dw	COMB_003		;3
	dw	COMB_004		;4
	dw	COMB_005		;5
	dw	COMB_006		;6
	dw	COMB_007		;7
	dw	COMB_008		;8
	dw	COMB_009		;9
	dw	COMB_010		;A
	
	dw	COMB_011		;B
	dw	COMB_012		;C
	dw	COMB_013		;D
	dw	COMB_014		;E
	dw	COMB_015		;F
	dw	COMB_016		;10
	dw	COMB_017		;11
	dw	COMB_018		;12
	dw	COMB_019		;13
	dw	COMB_020		;14
	
	dw	COMB_021		;15
	dw	COMB_022		;16
	dw	COMB_023		;17
	dw	COMB_024		;18
	dw	COMB_025		;19
	dw	COMB_026		;1A
	dw	COMB_027		;1B
	dw	COMB_028		;1C
	dw	COMB_029		;1D
	dw	COMB_030		;1E
	
	dw	COMB_031		;1F
	dw	COMB_032		;20
	dw	COMB_033		;21
	dw	COMB_034		;22
	dw	COMB_035		;23
	dw	COMB_036		;24
	dw	COMB_037		;25
	dw	COMB_038		;26
	dw	COMB_039		;27
	
	dw	MOTION_001		;28
	dw	MOTION_002		;29
	dw	MOTION_003		;2A
	dw	MOTION_004		;2B
	dw	MOTION_005		;2C
	dw	MOTION_006		;2D
	dw	MOTION_007		;2E
	dw	MOTION_008		;2F
	dw	MOTION_009		;30
	dw	MOTION_010		;31
	dw	MOTION_011		;32
	dw	MOTION_012		;33
	
	dw	COMB_040		;34
	dw	COMB_041		;35
	dw	COMB_042		;36
	dw	COMB_043		;37
	dw	COMB_044		;38
	dw	COMB_045		;39
	dw	COMB_046		;3A
	dw	COMB_047		;3B
	dw	COMB_048		;3C
	dw	COMB_049		;3D
	
	dw	COMB_050		;3E
	dw	COMB_051		;3F
	dw	COMB_052		;40
	dw	COMB_053		;41
	dw	COMB_054		;42
	dw	COMB_055		;43
	dw	COMB_056		;44
	dw	COMB_057		;45
	dw	COMB_058		;46
	dw	COMB_059		;47
	
	dw	COMB_060		;48
	dw	COMB_061		;49
	dw	COMB_062		;4A
	
	dw	AT_LEFT_PUNCH		;4B
	dw	AT_RIGHT_PUNCH		;4C
	
	dw	AT_RIGHT_FOOK		;4D
	dw	AT_BODY_BLOW		;4E
	
	dw	AT_LEFT_KICK		;4F
	dw	AT_MAWASHIGERI		;50
	dw	AT_JMAWASHIGERI		;51
	dw	AT_BUILD_UPPER		;52
	dw	AT_VJUMP_PUNCH		;53
	dw	AT_VJUMP_KICK		;54
	
	dw	AT_DOWN_PUNCH		;55
	dw	AT_DOWN_KICK		;56
	
	dw	AT_LOW_KICK		;57
	
	dw	AT_TOMOE_NAGE		;58
	
	dw	AT_SPECIAL1		;59
	dw	AT_SPECIAL2		;5A
	dw	AT_SPECIAL3		;5B
	dw	AT_SPECIAL4		;5C
	
	dw	AT_FJUMP_PUNCH		;5D
	dw	AT_BJUMP_PUNCH		;5E
	dw	AT_FJUMP_KICK		;5F
	dw	AT_BJUMP_KICK		;60
	
	dw	ACT_ONE_STEP		;61
	dw	UP_DEF8_1		;62
	dw	UP_DEF8_2		;63
	dw	UP_DEF8_3		;64
	dw	DOWN_DEF8_1		;65
	dw	ACT_CHOHATSU		;66
	dw	ACT_DOWN1		;67
	dw	ACT_FOOT_WORK		;68
	dw	AT_SANKAKU		;69
	dw	ACT_DOWN2		;6A
	dw	ACT_DOWN3		;6B
	
	dw	COMB_063		;6C
	dw	COMB_064		;6D
	dw	COMB_065		;6E
	dw	COMB_066		;6F
	dw	COMB_067		;70
	dw	COMB_068		;71

;************************************************************************

LEFT_PUNCH	EQU	10h
RIGHT_PUNCH	EQU	21h+80h

RIGHT_FOOK	EQU	23h+80h
BODY_BLOW	EQU	24h+80h
LEFT_KICK	EQU	20h
MAWASHIGERI	EQU	31h+80h
JMAWASHIGERI	EQU	33h+80h
BUILD_UPPER	EQU	26h+80h

LOW_KICK	EQU	34h+80h

SPECIAL1	EQU	40h+80h
SPECIAL2	EQU	41h+80h
SPECIAL3	EQU	42h+80h
SPECIAL4	EQU	43h+80h

DACKING_PUNCH	EQU	45h+80h
DACKING_KICK	EQU	3Dh+80h

TOMOE_NAGE	EQU	2Eh+80h

;************************************************************************
;
;	attacked_distance
;
;LEFT_PUNCH	=> 134
;RIGHT_PUNCH	=> 134
;RIGHT_FOOK 	=> 97
;BODY_BLOW	=> 96
;DOWN_PUNCH	=> 120
;JUMP_PUNCH	=> 90
;
;SIDE_KICK	=> 100
;MAWASHIGERI	=> 139
;JMAWASHIGERI	=> 78
;LOW_KICK	=> 131
;DOWN_KICK	=> 137
;JUMP_KICK	=> 166
;
;
;************************************************************************

ACT_FOOT_WORK:	actid
	T3_ACT	DM0,NACT,60
	ACT_END

ACT_ONE_STEP:	actid
	T1_ACT
	T1_CHG1	20,FRONT_WALK
	ACT_END

ACT_DOWN1:	actid
	T1_ACT
	T1_CHG1	10,DOWN
	ACT_END

ACT_DOWN2:	actid
	T1_ACT
	T1_CHG1	20,DOWN
	ACT_END

ACT_DOWN3:	actid
	T1_ACT
	T1_CHG1	18,DOWN
	ACT_END

UP_DEF8_1:
UP_DEF8_2:
UP_DEF8_3:
UP_DEF8_4:	actid
	T6_ACT	26,BACK_WALK
	ACT_END

DOWN_DEF8_1:
DOWN_DEF8_2:	actid
	T6_ACT	26,BACK_WALK+DOWN
	ACT_END

ACT_CHOHATSU:	actid
	T3_ACT	DM0,CHOHATSU,1
	ACT_END
AT_SANKAKU:	actid
	T7_ACT
	ACT_END		; 1106 debug

AT_LEFT_PUNCH:	actid
	T4_ACT	134,LEFT_PUNCH,8
	ACT_END
AT_RIGHT_PUNCH:	actid
	T4_ACT	134,RIGHT_PUNCH,8
	ACT_END
AT_RIGHT_FOOK:	actid
	T4_ACT	97,RIGHT_FOOK,8
	ACT_END
AT_BODY_BLOW:	actid
	T4_ACT	96,BODY_BLOW,8
	ACT_END
AT_LEFT_KICK:	actid
	T1_ACT
	db	LEFT_KICK
;	T1_ACT
;	T1_CHG0	90,LEFT_KICK,60
	ACT_END
AT_MAWASHIGERI:	actid
	T4_ACT	139,MAWASHIGERI,8
	ACT_END
AT_JMAWASHIGERI:	actid
	T4_ACT	140,JMAWASHIGERI,8
	ACT_END
AT_BUILD_UPPER:	actid
	T4_ACT	90,BUILD_UPPER,8
	ACT_END
AT_VJUMP_PUNCH:	actid
	T1_ACT
	db	V_JUMP
	T1_CHG4	90,JUMP_PUNCH,150
	ACT_END
AT_VJUMP_KICK:	actid
	T1_ACT
	db	V_JUMP
	T1_CHG4	166,JUMP_KICK,150
	ACT_END

AT_DOWN_PUNCH:	actid
	T1_ACT
	T1_CHG0	112,DOWN_PUNCH,60
	ACT_END
AT_DOWN_KICK:	actid
	T1_ACT
	T1_CHG0	128,DOWN_KICK,60
	ACT_END

AT_LOW_KICK:	actid
	T1_ACT
	T1_CHG0	127,LOW_KICK,30
	ACT_END

AT_TOMOE_NAGE:	actid
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,30
	T1_CHG0	62,40h,120
	ACT_END

AT_SPECIAL1:	actid
	T1_ACT
	db	SPECIAL1
	ACT_END
AT_SPECIAL2:	actid
	T1_ACT
	db	SPECIAL2
	ACT_END
AT_SPECIAL3:	actid
	T1_ACT
	db	SPECIAL3
	ACT_END
AT_SPECIAL4:	actid
	T1_ACT
	db	SPECIAL4
	ACT_END




AT_FJUMP_PUNCH:	actid
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,60
	T1_CHG4	80,JUMP_PUNCH,120
	ACT_END
AT_BJUMP_PUNCH:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	90,JUMP_PUNCH,150
	ACT_END
AT_FJUMP_KICK:	actid
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,60
	T1_CHG4	85,JUMP_KICK,120
	ACT_END
AT_BJUMP_KICK:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	166,JUMP_KICK,150
	ACT_END





;
;	*front_walk => left_punch => bulit_upper
;
COMB_001:	actid
	T3_ACT	DM0,FRONT_WALK,60
	T4_ACT	134,LEFT_PUNCH,12
	T4_ACT	70,BUILD_UPPER,18
	ACT_END

;
;	*front_walk => special1 => bulit_uppper
;
COMB_002:	actid
	T3_ACT	DM0,FRONT_WALK,60
	T4_ACT	255,SPECIAL1,12
	T4_ACT	80,BUILD_UPPER,18
	ACT_END

;
;	*jump_kick => down_kick
;
COMB_003:	actid
	T1_ACT
	T1_CHG0	2C0h-21Dh,FRONT_JUMP,60
	T1_CHG4	8Ch-40h,JUMP_KICK,150
	T1_CHG0	0C1h-40h,DOWN_KICK,30
	ACT_END

;
;	*jump_kick => left_punch => built_upper => chohatsu
;
COMB_004:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	166,JUMP_KICK,150
	T1_CHG0	88,LEFT_PUNCH,30
	T1_CHG4	120,BUILD_UPPER,18
	T1_CHG3	DM0,CHOHATSU,1
	ACT_END

;
;	*jump_punch => body_blow => bulid_upper
;
COMB_005:	actid
	T1_ACT
	T1_CHG0	10Eh-4CH,FRONT_JUMP,60
	T1_CHG4	90,JUMP_PUNCH,150
	T1_CHG0	64,BODY_BLOW,30
	T1_CHG4	120,BUILD_UPPER,18
	T1_CHG3	DM0,CHOHATSU,1
	ACT_END

;
;	*front_walk => foot_work => left_punch => built_upper
;
COMB_006:	actid
	T1_ACT
	db	FDASH
	T1_CHG4	130,RIGHT_PUNCH,60
	T1_CHG4	160,BUILD_UPPER,18
	ACT_END

;
;	*jump => special4
;
COMB_007:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	90,JUMP_PUNCH,150
	T1_CHG4	255,SPECIAL4,45
	ACT_END

;
;	*jump_punch => front_walk => special3
;
COMB_008:	actid
	T4_ACT	90,JUMP_PUNCH,150
	T3_ACT	DM0,FRONT_WALK,60
	T4_ACT	100,SPECIAL3,30
	ACT_END

;
;	*down_punch => mawashigeri
;
COMB_009:	actid
	T4_ACT	120,DOWN_PUNCH,12
	T4_ACT	139,MAWASHIGERI,15
	ACT_END

;
;	*front_walk => special1 => front_walk => special1
;
COMB_010:	actid
	T3_ACT	DM0,FRONT_WALK,90
	T4_ACT	180,SPECIAL1,60
	T3_ACT	DM0,FRONT_WALK,90
	T2_ACT	DM0,0Eh,NACT,SPECIAL1,NACT,60
	ACT_END

;
;	*back_walk => special2 => back_jump
;
COMB_011:	actid
	T3_ACT	DM2,BACK_WALK,60
	T1_ACT
	db	SPECIAL2,BACK_JUMP
	ACT_END

;
;	*back_walk => special1 => build_upper
;
COMB_012:	actid
	T3_ACT	DM1,BACK_WALK,60
	T4_ACT	255,SPECIAL1,12
	T4_ACT	90,BUILD_UPPER,18
	ACT_END

;
;	*jump_kick => foot_work
;
COMB_013:	actid
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,30
	T1_CHG4	90,JUMP_KICK,12
	T1_CHG3	DM0,NACT,60
	ACT_END

;
;	*jump_kick => special1 => special2 => down_kick
;
COMB_014:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	166,JUMP_KICK,150
	db	SPECIAL1
	T1_CHG0	0BFH-40H,LOW_KICK,40
	ACT_END

;
;	*jump_kick => special3
;
COMB_015:	actid
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,30
	T1_CHG4	90,JUMP_KICK,150
	db	SPECIAL3
	ACT_END

;
;	*jump_kick => down_punch => down_kick
;
COMB_016:	actid
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,30
	T1_CHG4	114,JUMP_KICK,150
	T1_CHG0	112,DOWN_PUNCH,30
	T1_CHG0	128,DOWN_KICK,30
	ACT_END

;
;	*left_punch => front_walk => body_blow => low_kick
;
COMB_017:	actid
	T4_ACT	134,LEFT_PUNCH,12
	T3_ACT	DM0,FRONT_WALK,30
	T1_ACT
	T1_CHG0	101,BODY_BLOW,30
	T4_ACT	131,LOW_KICK,24
	ACT_END

;
;	*jump_punch => build_upper
;
COMB_018:	actid
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,30
	T1_CHG4	90,JUMP_KICK,150
	T1_CHG4	90,BUILD_UPPER,18
	ACT_END

;
;	*special1 => special2
;
COMB_019:	actid
	T4_ACT	255,SPECIAL1,12
	T4_ACT	255,SPECIAL2,30
	ACT_END

;
;	*body_blow => bulit_upper
;
COMB_020:	actid
	T4_ACT	96,BODY_BLOW,18
	T4_ACT	110,BUILD_UPPER,18
	ACT_END

;
;	*special1 => front_dash => special1 => front_dash
;
COMB_021:	actid
	T4_ACT	255,SPECIAL1,12
	T1_ACT
	T1_CHG3	DM0,FDASH,1
	T1_CHG3	DM0,FRONT_WALK,30
	T1_CHG2	DM0,0Eh,NACT,SPECIAL1,NACT,12
	T1_CHG3	DM0,FRONT_WALK,30
	ACT_END

;
;	*special2 => built_upper
;
COMB_022:	actid
	T1_ACT
	db	SPECIAL2
	T1_CHG4	90,BUILD_UPPER,18
	ACT_END

;
;	*special4 => special1
;
COMB_023:	actid
	T4_ACT	255,SPECIAL4,18
	T4_ACT	255,SPECIAL1,12
	ACT_END

;
;	*foot_work => jump_kick
;
COMB_024:	actid
	T3_ACT	DM1,NACT,60
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,30
	T1_CHG4	90,JUMP_KICK,150
	ACT_END

;
;	*foot_work => special1
;
COMB_025:	actid
	T3_ACT	DM1,NACT,60
	T4_ACT	255,SPECIAL4,12
	ACT_END

;
;	*down_kick => front_walk => body_blow => jump_kick
;
COMB_026:	actid
	T4_ACT	137,DOWN_KICK,12
	T3_ACT	DM0,FRONT_WALK,30
	T4_ACT	96,BODY_BLOW,18
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,30
	T1_CHG0	85,JUMP_KICK,18
	ACT_END

;
;	*back_walk => foot_work => front_dash
;
COMB_027:	actid
	T3_ACT	DM2,BACK_WALK,60
	T3_ACT	DM1,NACT,60
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,30
	ACT_END

;
;	*back_walk => front_jump
;
COMB_028:	actid
	T3_ACT	DM2,BACK_WALK,60
	T1_ACT
	T1_CHG0	10EH-4CH,FRONT_JUMP,25
	T1_CHG4	166,JUMP_KICK,150
	ACT_END

;
;	*jump_kick => back_jump
;
COMB_029:	actid
	T4_ACT	166,JUMP_KICK,150
	T1_ACT
	db	BACK_JUMP
	ACT_END

;
;	*jump_kick => front_dash
;
COMB_030:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	166,JUMP_PUNCH,150
	T1_CHG3	DM0,FDASH,1
	T1_CHG3	DM0,FRONT_WALK,30
	ACT_END

;
;	*back_dash => foot_work
;
COMB_031:	actid
	T1_ACT
	db	BDASH
	T1_CHG3 DM2,BACK_WALK,30
	T1_CHG3	DM1,NACT,60
	ACT_END

;
;	*jump_punch => back_walk
;
COMB_032:	actid
	T4_ACT	90,JUMP_PUNCH,150
	T3_ACT	DM2,BACK_WALK,60
	ACT_END

;
;	*front_jump => mawashigeri
;
COMB_033:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	166,JUMP_KICK,150
	T1_CHG4	139,MAWASHIGERI,15
	ACT_END

;
;	*left_kick => jo-dan mawashigeri
;
COMB_034:	actid
	T4_ACT	100,LEFT_KICK,18
	T4_ACT	139,JMAWASHIGERI,18
	ACT_END

;
;	*front_walk => special2
;
COMB_035:	actid
	T2_ACT	DM0,0AH,BUILD_UPPER,NACT,FRONT_WALK,60
	T4_ACT	180,SPECIAL3,30
	ACT_END

;
;	*special1 => jump_kick
;
COMB_036:	actid
	T1_ACT
	db	SPECIAL1
	T1_CHG0	194,FRONT_JUMP,30
	T1_CHG4	90,JUMP_PUNCH,150
	ACT_END

;
;	*special4 => jump_kick
;
COMB_037:	actid
	T4_ACT	255,SPECIAL4,30
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	166,JUMP_KICK,150
	ACT_END

;
;	*right_fook => back_jump => special1
;
COMB_038:	actid
	T4_ACT	97,RIGHT_FOOK,12
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	166,JUMP_KICK,150
	T1_CHG4	255,SPECIAL1,12
	ACT_END

;
;	*special2 => back_jump
;
COMB_039:	actid
	T4_ACT	180,SPECIAL2,30
	T1_ACT
	db	BACK_JUMP
	ACT_END

;
;	*jump_kick => special1
;
COMB_040:	actid
	T1_ACT
	T1_CHG0	194,FRONT_JUMP,30
	T1_CHG4	90,JUMP_PUNCH,150
	T4_ACT	97,RIGHT_FOOK,12
	ACT_END

;
;	*special1 =>built_upper
;
COMB_041:	actid
	T4_ACT	255,SPECIAL1,12
	T4_ACT	90,BUILD_UPPER,18
	ACT_END

;
;	*jump_kick => foot_work
;
COMB_042:	actid
	T4_ACT	166,JUMP_KICK,150
	T3_ACT	DM1,NACT,60
	ACT_END

;
;	*left_kick => front_walk => down_kick
;
COMB_043:	actid
	T1_ACT
	T1_CHG0	90,LEFT_KICK,60
	T3_ACT 	DM0,FRONT_WALK,60
	T4_ACT	137,DOWN_KICK,12
	ACT_END

;
;	*front_jump => special1
;
COMB_044:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	166,JUMP_KICK,150
	T1_CHG4	255,SPECIAL1,12
	ACT_END

;
;	*built_upper => back_jump
;
COMB_045:	actid
	T4_ACT	90,BUILD_UPPER,18
	T1_ACT
	db	BACK_JUMP
	ACT_END

;
;	*jump_kick => special1 => foot_work
;
COMB_046:	actid
	T4_ACT	166,JUMP_KICK,150
	T4_ACT	255,SPECIAL1,12
	T3_ACT	DM1,NACT,60
	ACT_END

;
;	*jump_kick => mawashigeri
;
COMB_047:	actid
	T4_ACT	166,JUMP_KICK,150
	T4_ACT	139,MAWASHIGERI,15
	T3_ACT	DM2,BACK_JUMP,1
	ACT_END

;
;	*low_kick => body_blow => biult_upper
;
COMB_048:	actid
	T4_ACT	131,LOW_KICK,24
	T4_ACT	96,BODY_BLOW,18
	T4_ACT	90,BUILD_UPPER,18
	ACT_END

;
;	*low_kick => right_fook => mawashigeri => back_jump
;
COMB_049:	actid
	T4_ACT	131,LOW_KICK,24
	T4_ACT	97,RIGHT_FOOK,18
	T4_ACT	139,MAWASHIGERI,15
	T1_ACT
	db	BACK_JUMP
	ACT_END

;
;	*down_punch => down_kick => body_blow => back_dash => built_upper
;
COMB_050:	actid
	T4_ACT	120,DOWN_PUNCH,12
	T4_ACT	137,DOWN_KICK,12
	T4_ACT	96,BODY_BLOW,18
	T1_ACT
	T1_CHG3	DM1,BDASH,1
	T1_CHG3	DM1,BACK_WALK,30
	T1_CHG4	90,BUILD_UPPER,18
	ACT_END

;
;	*jump_kick => mawashigeri => back_dash
;
COMB_051:	actid
	T4_ACT	166,JUMP_KICK,150
	T4_ACT	139,MAWASHIGERI,15
	T1_ACT
	T1_CHG3	DM1,BDASH,1
	T1_CHG3	DM1,BACK_WALK,30
	ACT_END

;
;	*jump_kick => back_jump => foot_work
;
COMB_052:	actid
	T4_ACT	166,JUMP_KICK,150
	T1_ACT
	db	BACK_JUMP
	T1_CHG3	DM1,NACT,120
	ACT_END

;
;	*kiryoku_power_on
;
COMB_053:	actid
	T1_ACT
	T1_CHG8	DM0,60
	ACT_END

;
;	*v_jump => foot_work
;
COMB_054:	actid
	T1_ACT
	db	V_JUMP
	T1_CHG4	166,JUMP_KICK,150
	T1_CHG3	DM1,NACT,60
	ACT_END

;
;	*front_dash => front_dash => foot_work
;
COMB_055:	actid
	T1_ACT
	T1_CHG3	DM0,FDASH,1
	T1_CHG3	DM0,FRONT_WALK,30
	T1_CHG3	DM0,FDASH,1
	T1_CHG3	DM0,FRONT_WALK,30
	T1_CHG3	DM0,NACT,60
	ACT_END

;
;	*front_jump => front_dash => foot_work
;
COMB_056:	actid
	T3_ACT	DM0,FRONT_JUMP,1
	T1_ACT
	T1_CHG3	DM0,FDASH,1
	T1_CHG3	DM0,FRONT_WALK,30
	T1_CHG3	DM0,NACT,60
	ACT_END

;
;	*front_jump => front_jump => foot_work
;
COMB_057:	actid
	T1_ACT
	db	FRONT_JUMP,FRONT_JUMP
	T3_ACT	DM0,NACT,60
	ACT_END

;
;	*back_dash => back_dash => foot_work
;
COMB_058:	actid
	T1_ACT
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,30
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,30
	T1_CHG3	DM0,NACT,60
	ACT_END

;
;
;
COMB_059:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	166,JUMP_KICK,150
	db	BDASH
	T1_CHG3 DM2,BACK_WALK,120
	ACT_END

COMB_060:
AT_DACKING_PUNCH:	actid
	T4_ACT	110,DACKING_PUNCH,6
	ACT_END
COMB_061:
AT_DACKING_KICK	actid
	T4_ACT	120,DACKING_KICK,6
	ACT_END

DACKING_FOOK	EQU	3DH+80H

COMB_062:	actid
	T4_ACT	120,DACKING_FOOK,6
	ACT_END

COMB_063:	actid
	T1_ACT
	db	SPECIAL1
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG8	DM1,120
	ACT_END

COMB_064:	actid
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,30
	ACT_END

COMB_065:	actid
	T1_ACT
;	db	FDASH
	T1_CHG0	0D4h,FRONT_JUMP,60
	T1_CHG4	100,JUMP_KICK,150
	ACT_END

COMB_066:	actid
	T1_ACT
	T1_CHG3	DM0,CHOHATSU,1
	T1_CHG4	120,JUMP_KICK,150
	ACT_END



COMB_067:	actid
	T1_ACT
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,10
	T1_CHG8	DM0,60
	db	SPECIAL4
	ACT_END


COMB_068:	actid
	T1_ACT
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,10
	db	SPECIAL4
	ACT_END

;************************************************************************
