;************************************************************************
;*                   enemy5 action_data					*
;* 				Mike_Robinson				*
;*  					1992/3/12			*
;************************************************************************


	extrn	MOTION_001,MOTION_002,MOTION_003,MOTION_004
	extrn	MOTION_005,MOTION_006,MOTION_007,MOTION_008
	extrn	MOTION_009,MOTION_010,MOTION_011,MOTION_012
	extrn	MOTION_013,MOTION_014,MOTION_999
	extrn	UP_DEF_1,UP_DEF_2,UP_DEF_3
	extrn	DOWN_DEF_1

  		include	\game\em.inc

;************************************************************************
E5_TBLNO::
	db	$51			;e[u
	dw	COMB_001		;1
	dw	COMB_002		;2
	dw	COMB_003		;3
	dw	COMB_004		;4
	dw	COMB_005		;5
	dw	COMB_006		;6
	dw	COMB_007		;7
	dw	COMB_008		;8
	dw	COMB_009		;9
	dw	COMB_010		;A

	dw	COMB_011		;B
	dw	COMB_012		;C
	dw	COMB_013		;D
	dw	COMB_014		;E
	dw	COMB_015		;F
	dw	COMB_016		;10
	dw	COMB_017		;11
	dw	COMB_018		;12
	dw	COMB_019		;13
	dw	COMB_020		;14

	dw	COMB_021		;15
	dw	COMB_022		;16
	dw	COMB_023		;17
	dw	COMB_024		;18
	dw	COMB_025		;19
	dw	COMB_026		;1A
	dw	COMB_027		;1B
	dw	COMB_028		;1C
	dw	COMB_029		;1D
	dw	COMB_030		;1E

	dw	COMB_031		;1F
	dw	COMB_032		;20
	dw	COMB_033		;21
	dw	COMB_034		;22
	dw	COMB_035		;23
	dw	COMB_036		;24
	dw	COMB_037		;25
	dw	COMB_038		;26
	dw	COMB_039		;27

	dw	MOTION_001		;28
	dw	MOTION_002		;29
	dw	MOTION_003		;2A
	dw	MOTION_004		;2B
	dw	MOTION_005		;2C
	dw	MOTION_006		;2D
	dw	MOTION_007		;2E
	dw	MOTION_008		;2F
	dw	MOTION_009		;30
	dw	MOTION_010		;31
	dw	MOTION_011		;32
	dw	MOTION_012		;33

	dw	AT_JUB_A		;34
	dw	AT_STRAIGHT		;35
	dw	AT_LEFT_FOOK		;36
	dw	AT_RIGHT_FOOK		;37
	dw	AT_LEFT_UPPER		;38
	dw	AT_RIGHT_UPPER		;39
	dw	AT_DOWN_PUNCH		;3A
	dw	AT_DOWN_UPPER		;3B

	dw	AT_VJUMP_PUNCH		;3C
	dw	AT_FJUMP_PUNCH		;3D
	dw	AT_BJUMP_PUNCH		;3E
	dw	AT_ROLLING_UPPER	;3F
	dw	AT_BURNING_UPPER	;40
	dw	ACT_CHOHATSU		;41
	dw	COMB_040		;42
	dw	COMB_041		;43
	dw	COMB_042		;44
	dw	COMB_043		;45
	dw	COMB_044		;46
	dw	COMB_045		;47
	dw	COMB_046		;48
	dw	COMB_047		;49
	dw	COMB_048		;4A

	dw	UP_DEF_1		;4B
	dw	UP_DEF_2		;4C
	dw	UP_DEF_3		;4D
	dw	DOWN_DEF_1		;4E

	dw	COMB_049		;4F
	dw	COMB_050		;50
	dw	COMB_051		;51


;************************************************************************

JUB_A		EQU	20H+80H
JUB_B		EQU	2DH+80H
JUB_C		EQU	3DH+80H

STRAIGHT	EQU	30H+80H
RIGHT_FOOK	EQU	31H+80H
LEFT_FOOK	EQU	21H+80H

RIGHT_UPPER	EQU	34H+80H
LEFT_UPPER	EQU	24H+80H

DOWN_PUNCH_D	EQU	27H+80H
DOWN_UPPER	EQU	37H+80H

BURNING_UPPER	EQU	40H+80H
ROLLING_UPPER	EQU	41H+80H

;************************************************************************
;
;	*atacked_distance
;
;JUB_A       => 119
;JUB_B       => 150
;JUB_C       => 139
;STRAIGHT    => 139
;LEFT_UPPER  => 129
;RIGHT_UPPER => 129
;LEFT_FOOK   => 120
;RIGHT_FOOK  => 120
;DOWN_PUNCH  => 141
;DOWN_UPPER  => 124
;JUMP_PUNCH  => 180
;
;************************************************************************

MOTION_13:	actid
	T1_ACT
	T1_CHG3	DM1,CHOHATSU,1
	ACT_END

AT_JUB_A:	actid
	T4_ACT	118,JUB_A,18
	ACT_END

AT_STRAIGHT:	actid
	T4_ACT	139,STRAIGHT,18
	ACT_END

AT_RIGHT_FOOK:	actid
	T4_ACT	125,RIGHT_FOOK,18
	ACT_END

AT_LEFT_FOOK:	actid
	T4_ACT	127,LEFT_FOOK,18
	ACT_END

AT_RIGHT_UPPER:	actid
	T4_ACT	140,RIGHT_UPPER,18
	ACT_END

AT_LEFT_UPPER:	actid
	T4_ACT	140,LEFT_UPPER,18
	ACT_END

AT_DOWN_PUNCH:	actid
	T4_ACT	141,DOWN_PUNCH_D,18
	ACT_END

AT_DOWN_UPPER:	actid
	T4_ACT	127,DOWN_UPPER,18
	ACT_END

AT_BURNING_UPPER:	actid
	T4_ACT	250,BURNING_UPPER,18
	ACT_END

AT_ROLLING_UPPER:	actid
	T1_ACT
	db	ROLLING_UPPER
	ACT_END
	T4_ACT	250,ROLLING_UPPER,18
	ACT_END

AT_VJUMP_PUNCH:	actid
	T1_ACT
	db	V_JUMP
	T1_CHG4	180,JUMP_PUNCH,120
	ACT_END

AT_FJUMP_PUNCH:	actid
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	180,JUMP_PUNCH,120
	ACT_END

AT_BJUMP_PUNCH:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	180,JUMP_PUNCH,120
	ACT_END

ACT_CHOHATSU:	actid
	T3_ACT	DM0,CHOHATSU,1
	ACT_END


;	*front_jump => front_jump => front_walk
;
COMB_001:	actid
	T1_ACT
	db	FDASH
;	T1_CHG0	30,BACK_WALK,147
;	T1_CHG2	DM3,01H,JUB_B,DOWN_PUNCH,NACT,2
	T1_CHG3	DM0,FRONT_WALK,120
	ACT_END

;
;	*front_jump => front_walk => fron_dash
;
COMB_002:	actid
	T1_ACT
	T1_CHG3	DM1,FRONT_WALK,120
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,60
	ACT_END

;
;	*front_walk => front_dash
;
COMB_003:	actid
	T3_ACT	DM1,FRONT_WALK,60
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,30
	ACT_END

;
;	*front_jump => front_walk
;
COMB_004:	actid
	T1_ACT
	db	FDASH
;	T1_CHG0	30,BACK_WALK,147
;	T1_CHG2	DM3,01H,JUB_B,DOWN_PUNCH,NACT,2
	T1_CHG3	DM0,FRONT_WALK,60
	ACT_END

;
;	*back_jump => back_jump => back_walk
;
COMB_005:	actid
	T1_ACT
	db	 BACK_JUMP
	T1_CHG4	180,JUMP_PUNCH,120
	db	BACK_JUMP
	T1_CHG3	DM3,BACK_WALK,120
	ACT_END

;
;	*back_dash => back_jump => back_walk
;
COMB_006:	actid
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,30
	db	FRONT_WALK
	db	BACK_JUMP
	T1_CHG4	180,JUMP_PUNCH,120
	T1_CHG3	DM3,BACK_WALK,120
	ACT_END

;
;	*down => back_jump => back_walk
;
COMB_007:	actid
	T2_ACT	DM0,02H,DOWN_PUNCH_D,DOWN_UPPER,DOWN,60
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	140,JUMP_PUNCH,120
	T1_CHG3	DM2,BACK_WALK,120
	ACT_END

;
;	*back_jump => back_walk
;
COMB_008:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	140,JUMP_PUNCH,120
	T1_CHG3	DM2,BACK_WALK,120
	ACT_END

;
;	*back_dash => back_walk
;
COMB_009:	actid
	T1_ACT
	db 	BDASH
	T1_CHG3	DM2,BACK_WALK,30
	db	FRONT_WALK
	T1_CHG3	DM2,BACK_WALK,120
	ACT_END

;
;	*down => back_dash => back_walk
;
COMB_010:	actid
	T2_ACT	DM0,02H,DOWN_PUNCH_D,DOWN_UPPER,DOWN,60
	T1_ACT
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG3	DM3,BACK_WALK,120
	ACT_END

;
;	*jub_a*2 => straight => fdash => left_upper
;
COMB_011:	actid
	T4_ACT	119,JUB_A,6
	T4_ACT	119,JUB_A,6
	T4_ACT	139,STRAIGHT,12
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,120
	T1_CHG4	139,LEFT_UPPER,15
	ACT_END

;
;	*jub_a => right_fook => left_fook => right_upper
;
COMB_012:	actid
	T4_ACT	119,JUB_A,6
	T4_ACT	125,RIGHT_FOOK,12
	T4_ACT	127,LEFT_FOOK,12
	T4_ACT	139,RIGHT_UPPER,15
	ACT_END

;
;	*jub_b => straight => front_dash => left_fook => right_fook
;
;	*front_dash => left_upper => right_upper
;
COMB_013:	actid
	T4_ACT	146,JUB_B,6
	T4_ACT	139,STRAIGHT,12
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,30
	db	BACK_WALK
	T1_CHG4	127,LEFT_FOOK,12
	T1_CHG4	125,RIGHT_FOOK,12
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	139,LEFT_UPPER,15
	T1_CHG4	139,RIGHT_UPPER,15
	ACT_END

;
;	*jub_c => right_upper => front_walk => left_fook => right_fook
;
;	*left_upper
;
COMB_014:	actid
	T4_ACT	138,JUB_C,6
	T4_ACT	139,RIGHT_UPPER,15
	T3_ACT	DM0,FRONT_WALK,60
	T4_ACT	127,LEFT_FOOK,12
	T4_ACT	125,RIGHT_FOOK,12
	T4_ACT	129,LEFT_UPPER,15
	ACT_END

;
;	*down_punch*2 => down_upper => front_walk => right_upper
;
COMB_015:	actid
	T2_ACT	DM0,02H,DOWN_PUNCH_D,DOWN_UPPER,DOWN,12
	T4_ACT	141,DOWN_PUNCH_D,12
	T4_ACT	127,DOWN_UPPER,15
	T3_ACT	DM0,FRONT_WALK,60
	T4_ACT	139,RIGHT_UPPER,15
	ACT_END

;
;	*left_upper => straight => front_walk => left_fook => right_fook
;
;	*right_upper
;
COMB_016:	actid
	T4_ACT	139,LEFT_UPPER,15
	T4_ACT	139,STRAIGHT,12
	T3_ACT	DM0,FRONT_WALK,60
	T4_ACT	127,LEFT_FOOK,12
	T4_ACT	125,RIGHT_FOOK,12
	T4_ACT	139,RIGHT_UPPER,15
	ACT_END

;
;	*front_jump => front_jump => down_punch => fron_walk => down_upper
;
COMB_017:	actid
	T1_ACT
	db	FDASH
	T1_CHG0	140,BACK_WALK,60
	T1_CHG2	DM3,01H,JUB_B,DOWN_PUNCH,NACT,2
	T1_CHG4	141+16,DOWN_PUNCH_D,12
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	127+16,DOWN_UPPER,15
	ACT_END

;
;	*front_jump => front_walk => left_upper => straight
;
COMB_018:	actid
	T1_ACT
	db	FDASH
	T1_CHG0	140,BACK_WALK,60
	T1_CHG2	DM3,01H,JUB_B,DOWN_PUNCH,NACT,2
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	139+16,RIGHT_UPPER,15
	T1_CHG4	139+16,STRAIGHT,12
	ACT_END

;
;	*front_walk => front_dash => straight => left_fook => right_fook
;
;	*left_upper
;
COMB_019:	actid
	T3_ACT	DM1,FRONT_WALK,60
	T1_ACT
	T1_CHG4	139,STRAIGHT,12
	T1_CHG4	127,LEFT_FOOK,12
	T1_CHG4	125,RIGHT_FOOK,12
	T1_CHG4	139,LEFT_UPPER,15
	ACT_END

;
;	*jub_a*2 => rolling_upper => foot_work => front_walk => rolling_upper
;
COMB_020:	actid
	T4_ACT	119,JUB_A,6
	T4_ACT	119,JUB_A,6
	T3_ACT	DM2,BACK_WALK,60
	T2_ACT	DM2,4FH,ROLLING_UPPER,NACT,NACT,2
	T1_ACT
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,30
	T1_CHG8	DM0,120
	ACT_END

;
;	*jub_a => straight => foot_work => burninig _upper
;
COMB_021:	actid
	T4_ACT	119,JUB_A,6
	T4_ACT	139,STRAIGHT,12
	T3_ACT	DM2,BACK_WALK,60
	T2_ACT	DM2,4FH,ROLLING_UPPER,NACT,NACT,2
	T3_ACT	DM2,BACK_WALK,60
	T1_ACT
	T1_CHG8	DM0,120
	ACT_END

;
;	*foot_work => front_walk => rooling_upper
;
COMB_022:	actid
	T4_ACT	119,JUB_A,6
	T4_ACT	119,JUB_A,6
	T3_ACT	DM2,BACK_WALK,60
	T2_ACT	DM2,4FH,ROLLING_UPPER,NACT,NACT,2
	T3_ACT	DM2,BACK_WALK,60
	T1_ACT
	T1_CHG8	DM0,120
	ACT_END

;
;	*front_walk => foot_work => back_walk => burning_upper
;
COMB_023:	actid
	T4_ACT	119,JUB_A,6
	T4_ACT	119,JUB_A,6
	T3_ACT	DM2,BACK_WALK,60
	T2_ACT	DM2,4FH,ROLLING_UPPER,NACT,NACT,2
	T3_ACT	DM2,BACK_WALK,60
	T1_ACT
	T1_CHG8	DM0,120
	ACT_END

;
;	*jub_a*2 => back_dash
;
COMB_024:	actid
	T4_ACT	255,JUB_A,6
	T4_ACT	255,JUB_A,6
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*jub_a*2 => back_dash => foot_work => jub_a => straight => back_dash
;
COMB_025:	actid
	T4_ACT	255,JUB_A,6
	T4_ACT	255,JUB_A,6
	T3_ACT	DM1,BACK_WALK,60
	T1_ACT				;0925 debug
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	255,JUB_A,6
	T1_CHG4	255,STRAIGHT,12
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*jub_a => straight => left_fook => right_upper => back_dash
;
COMB_026:	actid
	T4_ACT	119,JUB_A,6
	T4_ACT	139,STRAIGHT,12
	T4_ACT	127,LEFT_FOOK,12
	T4_ACT	139,RIGHT_UPPER,15
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*jub_b => right_upper => back_dash => foot_work => front_walk
;
;	*straight => back_dash
;
COMB_027:	actid
	T4_ACT	255,JUB_B,6
	T4_ACT	255,RIGHT_UPPER,15
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	255,STRAIGHT,12
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*jub_c => right_fook => left_upper => back_dash
;
COMB_028:	actid
	T4_ACT	138,JUB_C,6
	T4_ACT	125,RIGHT_FOOK,12
	T4_ACT	139,LEFT_UPPER,15
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*left_upper => straight => back_dash
;
COMB_029:	actid
	T4_ACT	255,LEFT_UPPER,15
	T4_ACT	255,STRAIGHT,12
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*front_jump_punch => down_upper => down_punch
;
COMB_030:	actid
	T1_ACT
	db	FRONT_JUMP,PUNCH	;@@@@
	T1_CHG4	127,DOWN_UPPER,15
	T1_CHG4	141,DOWN_PUNCH_D,12
	ACT_END

;
;	*back_jump_punch => front_walk => jub_a => straight => down_upper
;
COMB_031:	actid
	T1_ACT
	db	BACK_JUMP,PUNCH		;@@@@
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	255,JUB_A,6
	T1_CHG4	255,STRAIGHT,12
	T1_CHG4	255,DOWN_UPPER,15
	ACT_END

;
;	*down_punch*2 => down_upper
;
COMB_032:	actid
	T2_ACT	DM0,02H,DOWN_PUNCH_D,DOWN_UPPER,DOWN,12
	T4_ACT	141,DOWN_PUNCH_D,12
	T4_ACT	127,DOWN_UPPER,15
	ACT_END

;
;	*front_jump => foot_work => front_walk => jub_a => straight
;
;	*left_upper => back_dash
;
COMB_033:	actid
	T1_ACT
	db	FDASH
	T1_CHG0	132,BACK_WALK,60
	T1_CHG2	DM3,01H,JUB_B,DOWN_PUNCH,NACT,2
	T1_CHG3	DM1,FRONT_WALK,60
	T1_CHG4	119+32,JUB_A,6
	T1_CHG4	139+16,STRAIGHT,12
	T1_CHG4	129+16,LEFT_UPPER,15
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*front_walk => right_upper => left_upper => back_dash
;
COMB_034:	actid
	T3_ACT	DM0,FRONT_WALK,120
	T4_ACT	129,RIGHT_UPPER,15
	T4_ACT	127,LEFT_FOOK,12
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*front_walk => front_dash => down_upper => back_dash => front_walk
;
;	*jub_a => straight => back_dash
;
COMB_035:	actid
	T1_ACT
	db	FDASH
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	127,DOWN_UPPER,15
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG3	DM0,FRONT_WALK,60
	T1_CHG4	119,JUB_A,6
	T1_CHG4	139,STRAIGHT,12
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*front_walk => front_jump => down_punch => right_upper => back_walk
;
COMB_036:	actid
	T3_ACT	DM1,FRONT_WALK,60
	T4_ACT	141,DOWN_PUNCH_D,12
	T4_ACT	139,RIGHT_UPPER,15
	T3_ACT	DM2,BACK_WALK,60
	ACT_END

;
;	*back_walk => front_jump => down_punch
;
COMB_037:	actid
	T4_ACT	119,JUB_A,2
	T4_ACT	119,JUB_A,2
	T3_ACT	DM2,BACK_WALK,120
	T1_ACT
	db	FRONT_JUMP
	T1_CHG4	140,JUMP_PUNCH,120
	T1_CHG4	141,DOWN_PUNCH_D,12
	ACT_END

;
;	*back_jump => foot_work => front_jump => left_upper => back_dash
;
COMB_038:	actid
	T1_ACT
	db	BACK_JUMP
	T1_CHG4	140,JUMP_PUNCH,120
	T1_CHG3	DM0,NACT,60
	db	FRONT_JUMP
	T1_CHG4	140,JUMP_PUNCH,120
	T1_CHG4	139,LEFT_UPPER,15
	T1_ACT
	db	BDASH
	T1_CHG3	DM1,BACK_WALK,60
	ACT_END

;
;	*kiryoku_power_on
;
COMB_039:	actid
	T1_ACT
	T1_CHG8	DM1,240
	ACT_END

;;	*chohatsu
;
COMB_040:	actid
	T3_ACT	DM1,CHOHATSU,1
	ACT_END

;
;	*front_jump_punch => back_walk => chohatsu => rolling_upper
;
COMB_041:	actid
	T1_ACT
	db	FRONT_JUMP,PUNCH		;@@@@
	T1_CHG2	DM3,0EH,NACT,DOWN_UPPER,NACT,45
	T1_CHG3	DM2,BACK_WALK,30
	T1_CHG2	DM2,02h,ROLLING_UPPER,NACT,CHOHATSU,10
	db	JUB_A,JUB_A
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG8	DM0,120
	ACT_END

;
;	*front_jump_punch => back_jump => kiryoku_power_on
;
COMB_042:	actid
	T1_ACT
	db	FRONT_JUMP,PUNCH		;@@@@
	T1_CHG2	DM3,0EH,NACT,DOWN_PUNCH,NACT,45
	db	BACK_JUMP
	T1_CHG8	DM0,60
	ACT_END

;
;	*back_jumnp_punch => back_walk => chohtsu => burning_upper
;
COMB_043:	actid
	T1_ACT
	db	BACK_JUMP,PUNCH			;@@@@
	T1_CHG2	DM3,0Eh,NACT,DOWN_UPPER,NACT,45
	T1_CHG3	DM2,BACK_WALK,30
	T1_CHG2	DM2,02h,ROLLING_UPPER,NACT,CHOHATSU,58
	db	JUB_A,JUB_A
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG8	DM0,120
	ACT_END

;
;	*back_jump_punch => back_jump => kryoku_power_on

COMB_044:	actid
	T1_ACT
	db	BACK_JUMP,PUNCH		;@@@@
	T1_CHG2	DM3,0Eh,NACT,DOWN_PUNCH,NACT,45
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,120
	T1_CHG8	DM0,120
	ACT_END

;
;	*back_walk => kiryoju_power_on
;
COMB_045:	actid
	T4_ACT	119,JUB_A,2
	T4_ACT	119,JUB_A,2
	T3_ACT	DM2,BACK_WALK,60
	T1_ACT
	T1_CHG8	DM0,90
	ACT_END

;
;	*back_walk => chohatsu
;
COMB_046:	actid
	T4_ACT	119,JUB_A,2
	T4_ACT	119,JUB_A,2
	T3_ACT	DM2,BACK_WALK,60
	T1_ACT
	T1_CHG8	DM0,60
	ACT_END

;
;	*down_punch *2 => rolling_upper * 2
;
COMB_047:	actid
	T1_ACT
	db	DOWN_PUNCH,DOWN_PUNCH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG2	DM2,4FH,ROLLING_UPPER,NACT,NACT,2
	db	JUB_A,JUB_A
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG8	DM0,120
	ACT_END

;
;	*down_punch * 2
;
COMB_048:	actid
	T1_ACT
	db	DOWN_PUNCH,DOWN_PUNCH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG2	DM2,4FH,ROLLING_UPPER,NACT,NACT,2
	db	JUB_A,JUB_A
	db	BDASH
	T1_CHG3	DM2,BACK_WALK,60
	T1_CHG8	DM0,120
	ACT_END

COMB_049:	actid
	T4_ACT	119,JUB_A,2
	T4_ACT	119,JUB_A,2
	T3_ACT	DM1,BACK_WALK,120
	ACT_END

COMB_050:	actid
	T4_ACT	119,JUB_A,2
	T4_ACT	119,JUB_A,2
	T3_ACT	DM2,BACK_WALK,120
	ACT_END

COMB_051:	actid
	T1_ACT
	T1_CHG0	0F0h,FRONT_JUMP,60
	T1_CHG4	100,JUMP_PUNCH,90
	ACT_END

;************************************************************************
