;=============================================================================
;	    *** HERO CONTOROL CODE NUMBER LIST ***
;=============================================================================
;



;*** normal action ***

CTRL_STOP	EQU	1		;standing
CTRL_WALK	EQU	2		;walk (front)
CTRL_WALK_BACK	EQU	3		;walk (back)
CTRL_RUN	EQU	4		;run (front)
CTRL_RUN_BACK	EQU	5		;run (back)
CTRL_TO_SIT	EQU	6		;to sitdown
CTRL_SIT	EQU	7		;sitdown
CTRL_SIT_GARD	EQU	8		;sitdown gard
CTRL_TO_UP	EQU	9		;to standing (form sit)
CTRL_JUMP	EQU	$0A		;jump (nutral)
CTRL_FALL	EQU	$0B		;jump fall down
CTRL_LANDING	EQU	$0C		;jump landing
CTRL_DAMAGE	EQU	$0D		;standing damage
CTRL_DAMAGE_J	EQU	$0E		;jumping damage
CTRL_DAMAGE_SIT	EQU	$0F		;sitdown damage

CTRL_ATTACK_A	EQU	$10		;A button attack
CTRL_ATTACK_B	EQU	$11		;B button attack
CTRL_NAGERARE	EQU	$12		;nagerare
CTRL_DEAD	EQU	$13		;dead damage
CTRL_GARD	EQU	$14		;standing gard
CTRL_FRONT_JUMP	EQU	$15		;jump (front)
CTRL_BACK_JUMP	EQU	$16		;jump (back)
CTRL_STARTC	EQU	$17		;start jump
CTRL_WIN	EQU	$18		;win pose
CTRL_RIKI	EQU	$19		;riki
CTRL_COM	EQU	$1A		;com on
CTRL_LOS	EQU	$1B		;los
CTRL_FURA	EQU	$1C		;furafura
CTRL_ST2	EQU	$1D
CTRL_ST3	EQU	$1E


;*** attack (A button = punch) ***

CTRL_PUNCH0	EQU	$20		;long read punch
CTRL_PUNCH1	EQU	$21		;long strong punch
CTRL_PUNCH2	EQU	$22		;short read punch
CTRL_PUNCH3	EQU	$23		;short strong punch
CTRL_PUNCH4	EQU	$24		;long body punch (+C button)
CTRL_PUNCH5	EQU	$25		;short body punch (+C button)
CTRL_PUNCH6	EQU	$26		;punch in sit up
CTRL_PUNCH7	EQU	$27		;sitdown punch
CTRL_PUNCH8	EQU	$28		;jump punch
CTRL_PUNCH9	EQU	$29		;special punch
CTRL_PUNCHA	EQU	$2A		;special punch
CTRL_PUNCHB	EQU	$2B		;special punch
CTRL_PUNCHC	EQU	$2C		;special punch
CTRL_RUN_PUNCH	EQU	$2D		;running punch
CTRL_NAGE0	EQU	$2E		;nage
CTRL_NAGE1	EQU	$2F		;nage


;*** attack (B button = kick) ***

CTRL_KICK0	EQU	$30		;long read kick
CTRL_KICK1	EQU	$31		;long strong kick
CTRL_KICK2	EQU	$32		;short read kick
CTRL_KICK3	EQU	$33		;short strong kick
CTRL_KICK4	EQU	$34		;long body kick (+C button)
CTRL_KICK5	EQU	$35		;short body kick (+C button)
CTRL_KICK6	EQU	$36		;kick in sit up
CTRL_KICK7	EQU	$37		;sitdown kick
CTRL_KICK8	EQU	$38		;jump kick
CTRL_KICK9	EQU	$39		;jump back kick
CTRL_KICKA	EQU	$3A		;triangle back kick
CTRL_KICKB	EQU	$3B		;special kick
CTRL_KICKC	EQU	$3C		;special kick
CTRL_RUN_KICK	EQU	$3D		;running kick
CTRL_KICKE	EQU	$3E		;special kick
CTRL_KICKF	EQU	$3F		;special kick


;*** special attck ***

CTRL_SPECIAL0	EQU	$40		;special attack
CTRL_SPECIAL1	EQU	$41		;special attack
CTRL_SPECIAL2	EQU	$42		;special attack
CTRL_SPECIAL3	EQU	$43		;special attack
CTRL_SPECIAL4	EQU	$44		;special attack
CTRL_SPECIAL5	EQU	$45		;special attack
CTRL_SPECIAL6	EQU	$46		;special attack
CTRL_SPECIAL7	EQU	$47		;special attack
CTRL_SPECIAL8	EQU	$48		;special attack
CTRL_SPECIAL9	EQU	$49		;special attack
CTRL_SPECIALA	EQU	$4A		;special attack
CTRL_SPECIALB	EQU	$4B		;special attack
CTRL_SPECIALC	EQU	$4C		;special attack
CTRL_SPECIALD	EQU	$4D		;special attack
CTRL_SPECIALE	EQU	$4E		;special attack
CTRL_SPECIALF	EQU	$4F		;special attack


;*** special action *** (from 60H)

