/*
 *	b`at@C@Ro[^
 */
#pragma warn -rvl
#include    <std.h>
#include    <dir.h>

Usage(
	"*****	Րpb`at@C@Ro[^ ver 2.10  *****\n"
	"\n"
	"Usage| cabcut [-Options] infile.cab [outfile.anm]\n"
	"	CABt@Cr`s𐶐.\n"
	"	o̓t@CȗƁACABt@C̊gq.anmɂ̂o͂\n"
	"	Քłł̓ItZbg{USA{USɕ␳ĕKlɂ\n"

	"\nr`st@C(.anm)̍\F\n"
	"	ŏɂr`š(sn)PoCg\n"
	"	ɁAȉ̍\̂r`s(sn)\n"
	"	iׂăoCi[f[^j\n"
 	"spr	macro	_sg,_bank,_ofsx,_ofsy,_revx,_revy,_cgx,_cgy,_pal,_col\n"
	"	db	_ofsy\n"
	"	db	_ofsx\n"
	"	dw	_bank*$80+_sg*2			(obGŴr`sCHAR[hɓ)\n"
	"	dw	_revx|_revy|_cgy|_cgx|SPBG|_col	(obGŴr`sATR [hɓ)\n"
)

#define RYUKO   1

#define PAT_MAX 16
#define XREV	0x0800
#define YREV	0x8000
#define SPBG	0x0080
#define CGY4	0x3000
#define CGY2	0x1000
#define CGY0	0x0000
#define CGX2	0x0100
#define CGX0	0x0000

#define SPR_MODE 1
#define ANM_MODE 2

typedef struct{
    unsigned char   ptnbank;
    unsigned char   time;
    unsigned char   x_vec;
    unsigned char   y_vec;
} PCE_ASEQ;

typedef struct{
    int     ofsy;
    int     ofsx;
    unsigned int    sprno;
    unsigned int    attrib;
} PCE_PAT;

typedef struct{
    PCE_ASEQ		seq  [8][0x40];	    	/* 0x0000`0x07ff */
    unsigned char   	pal  [0x10][4];		/* 0x0800`0x083f */
    unsigned char   	label[0x10][17];	/* 0x0840`0x094f */
    PCE_PAT		pat  [40*0x10];	    	/* 0x0950`s   */
} PCE_ANM;
/*
 *	@
 */

PCE_ANM pce_anm;
char	*lhead;
int	modeflag=0;
int	boundary=1;
char	iname[67];
char	oname[67];
char	bname[67]="tmp.boy";
int	start_bank=0;

void fopenerr( char *fname )
{
    fprintf( stderr, "Cannot open file : %s\n", fname );
    exit(1);
}
/*============================================================================
    @
============================================================================*/
void objtbl();
void objtbl_bin();
int  objmax( PCE_PAT *pat );
void sn( int num, char *pal );
void spr( int ofsy, int ofsx, Uint sprno, Uint attrib, char *pal );
void label( int num );
void anmtbl();

/*============================================================================
    
============================================================================*/
void main( int argc, char *argv[] )
{
    char    drive[MAXDRIVE],dir[MAXDIR],name[MAXFILE],ext[MAXEXT];
    char   *p;
    /*--------------------------------------------------------------------
	IvV
    --------------------------------------------------------------------*/
    Getopt(argc,argv);

    lhead= NULL;
    if(IsOpt('o')) modeflag|=SPR_MODE;
    if(IsOpt('a')) modeflag|=ANM_MODE;
    if(IsOpt('l')) lhead=Opt('l');
    p=Opt('s');if(p!=NULL) {
    	if(*p) start_bank=(*p-'0');
    }
    
    p=Opt('b');if(p!=NULL) {
    	if(*p) strcpy(bname,p);	/* boundary info. file */
    }
    
    /*--------------------------------------------------------------------
	infileȂΎgp@\
    --------------------------------------------------------------------*/
    if( argc<2 ) usage();
    if( argc>=3) {
	strcpy(oname,argv[2]);
    }else{
	strcpy(oname,argv[1]);
	renext(oname,"anm" );
    }

    ofp=fopen( oname, "wb" );
    strcpy(iname,argv[1]);
    /*--------------------------------------------------------------------
	b`at@Cǂݍ
    --------------------------------------------------------------------*/
    Ropen( argv[1] );
    Read ( &pce_anm , sizeof(pce_anm) );
    Rclose();
    /*--------------------------------------------------------------------
	xwb_[Ȃ΃t@C
    --------------------------------------------------------------------*/
    if( (lhead!=NULL) && (lhead[0]=='\0') ){
	fnsplit( argv[1], drive, dir, name, ext );
	lhead=name;
    }
    /*--------------------------------------------------------------------
	s
    --------------------------------------------------------------------*/
    if(modeflag==0) modeflag=(SPR_MODE|ANM_MODE);
    if(modeflag & SPR_MODE) {
    	objtbl_bin();
    }
/*
    if(modeflag & ANM_MODE) {
	if((modeflag & SPR_MODE)==0) anmtbl_dw();
    	anmtbl();
    }
 */
    fclose(ofp);

    if(IsOpt('b')) {
    	Wopen(bname);
    	Write(&boundary,1);
    	Wclose();
    }
    exit(0);
}


void objtbl()
{
    PCE_PAT	*_pat,*_pat2;
    int     i,j,max;

    _pat=&(pce_anm.pat[0]);
    max = objmax( _pat );
    fprintf(ofp,";file:%s\n",iname);
    if(IsOpt('h'))
	fprintf(ofp,"	include	spr.h\n\n");

    fprintf(ofp,"	dw_max	%d\n",max);

    fprintf(ofp,";sprite index\n");
    for( i=0; i<max; i++ ){
	fprintf(ofp,"	dw	"); label(i);
	fprintf(ofp,"\n");
    }

    if(modeflag & ANM_MODE) {
	anmtbl_dw();
    }

    fprintf( ofp,";sprite data\n");
    for( i=0; i<max; i++ ){
	for( j=0; ; j++,_pat++ ){
	    if((Uint)_pat->ofsy  !=0xffff)continue;
	    if((Uint)_pat->ofsx  !=0xffff)continue;
	    if(      _pat->sprno !=0xffff)continue;
	    if(      _pat->attrib!=0xffff)continue;
	    break;
	}
	/*fprintf( ofp,"\n");*/
	label(i);fprintf( ofp,":\n");
	sn( j, &(pce_anm.pal[i][0]) );
	_pat2 = _pat;
	for( ; j>0 ; j-- ){
	    _pat--;
	    spr( _pat->ofsy, _pat->ofsx, _pat->sprno,
		 _pat->attrib, &(pce_anm.pal[i][0]) );
	}
	_pat = _pat2+1;
    }
}


void objtbl_bin()
{
    PCE_PAT	*_pat,*_pat2;
    int     i,j,max;

    _pat=&(pce_anm.pat[0]);
    max = objmax( _pat );

    for( i=0; i<max; i++ ){
	for( j=0; ; j++,_pat++ ){
	    if((Uint)_pat->ofsy  !=0xffff)continue;
	    if((Uint)_pat->ofsx  !=0xffff)continue;
	    if(      _pat->sprno !=0xffff)continue;
	    if(      _pat->attrib!=0xffff)continue;
	    break;
	}

	putc( j,ofp);	/* sn */

	_pat2 = _pat;
	for( ; j>0 ; j-- ){
	    _pat--;
	    spr_bin( _pat->ofsy, _pat->ofsx, _pat->sprno,
		 _pat->attrib, &(pce_anm.pal[i][0]) );
	}
	_pat = _pat2+1;
    }
}

/*;
 *;	\XvCg̋Lq	%pal͎gp܂.
 *;
 *spr	macro	%sg,%bank,%ofsx,%ofsy,%revx,%revy,%cgx,%cgy,%pal,%col
 *	db	%ofsy
 *	db	%ofsx
 *	dw	%bank*$80+%sg*2
 *	dw	%revx|%revy|%cgy|%cgx|SPBG|%col
 *	endm
 */
spr_bin(y,x,sn,atr,pal)
char *pal;
{
	int col,col2;

/*	sn  *= 2;	*/

	col  = atr & 3;
	col2 = pal[col];
	atr  = (atr & 0xfff0) | (col2 & 0x000f);

#if	RYUKO
	putc(y+64,ofp);
	putc(x+64,ofp);
#else
	putc(y,ofp);
	putc(x,ofp);
#endif
	putc(sn    ,ofp);
	putc(sn>>8 ,ofp);
	putc(atr   ,ofp);
	putc(atr>>8,ofp);
}

/*
 *   objmax( PCE_PAT *pat )
 *   o^Ănai̍őlԂ
 */
int objmax( PCE_PAT *pat )
{
    int i,j,max;
    max=0;
    for( i=0; i<PAT_MAX; i++ ){
	for( j=0; ; j++,pat++ ){
	    if((Uint)pat->ofsy	!=0xffff)continue;
	    if((Uint)pat->ofsx	!=0xffff)continue;
	    if(      pat->sprno !=0xffff)continue;
	    if(      pat->attrib!=0xffff)continue;
	    break;
	}
	if( j!=0 ) max=i+1;
	pat++;
    }
    return(max);
}
/*
 *	void sn( int num, char *pal )
 *
 *   \XvCg̐\
 *   	int   num:\XvCg̐
 *   	char *pal:\pbgւ̃|C^
 */
void sn( int num, char *pal )
{
    fprintf( ofp,"\tsn\t%d\t;palette $%02x,$%02x,$%02x,$%02x\n",
    num, pal[0], pal[1], pal[2], pal[3] );
}
/*
 *	void spr ( int ofsy, int ofsx, Uint sprno, Uint attrib, char *pal )
 *	   XvCgiPj̃p[^\
 *	int ofsy:xWItZbgl
 *	int ofsx:wWItZbgl
 *	Uint sprno:XvCgԍ
 *	Uint attrib:Agr[g
 *	char *pal:pbgтւ̃|C^
 */
void spr ( int ofsy, int ofsx, Uint sprno, Uint attrib, char *pal )
{
    int sgno,bank,col,col2;
    char    *xrev,*yrev;
    char    cgx,cgy;
    sgno = ( sprno / 2 ) & 0x3f;
    bank = ( sprno / 2 ) / 0x40;
    xrev = attrib & XREV ? "ON " : "OFF";
    yrev = attrib & YREV ? "ON " : "OFF";
    cgx  = attrib & CGX2 ? '2' : '0';
    if(	   attrib & CGX2 ) set_bound(2);
    switch( attrib & (CGY4|CGY2) ){
	case CGY0:cgy='0';break;
	case CGY2:cgy='2';set_bound(4);break;
	case CGY4:cgy='4';set_bound(8);break;
    }
    col  = attrib & 3;
    col2 = pal[col];
    fprintf( ofp, "\tspr\t$%02x,BANK%1d,%4d,%4d", 
    				sgno, bank-start_bank, ofsx, ofsy );
    fprintf( ofp, ",RX%s,RY%s,CGX%c,CGY%c", xrev, yrev, cgx, cgy );
    fprintf( ofp, ",COL%1d,%2d\n", col, col2 );
}

set_bound(n)
{
	if(n>boundary) boundary=n;
}
/*
 *	void label(int num)
 *   Ԗڂ̃x\
 *	int num:Ԗ
 */
void label( int num )
{
    if(lhead!=NULL){
	fprintf( ofp, "%s%s", lhead, pce_anm.label[num] );
    }else{
	fprintf( ofp, "%s", pce_anm.label[num] );
    }
}

/*
 *	void label(int num)
 *   Ԗڂ̃x\
 *	int num:Ԗ
 */
void alabel( int num )
{
	fprintf( ofp, "anim_%04d", num );
}

/*
 *	void anmtbl()
 *
 *   Aj[Ve[u𐶐
 */
void anmtbl()
{
    PCE_ASEQ	*seq;
    int     lf,p,i;

    fprintf(ofp,";anim data\n");

    for( p=0; p<8; p++ ){
    lf=0;
    for( i=0; i<0x40; i++ ){
	seq=&(pce_anm.seq[p][i]);
	if(seq->time==0) break;
	if( lf==0 ){
	    if( lhead!=NULL )fprintf( ofp,"%s_anmtbl_%d:\n", lhead,p );
	    else	     fprintf( ofp,"anmtbl_%d:\n",  	    p );
	    lf=1;
	}
	fprintf( ofp,"\ttm\t%2d,%2d,%2d,%2d\n",
		seq->ptnbank, seq->time, seq->x_vec, seq->y_vec );
    }
    if( lf )fprintf( ofp,"\ttm_end\n");
    }
}


anmtbl_dw()
{
    PCE_ASEQ	*seq;
    int     lf,p,i;

    fprintf(ofp,";anim index\n");

    for( p=0; p<8; p++ ){
    lf=0;
    for( i=0; i<0x40; i++ ){
	seq=&(pce_anm.seq[p][i]);
	if(seq->time==0) break;
	if( lf==0 ){
	    if(lhead!=NULL)fprintf(ofp,"	dw\t%s_anmtbl_%d\n", lhead,p );
	    else	   fprintf(ofp,"	dw\tanmtbl_%d\n",  	   p );
	    lf=1;
	}
    }
    }
}


renext(char *name,char *ext)
{
	char *p,*q;
	p=name;q=p+strlen(p);
	while( *p ) {
		if ( *p == '.' ) q=p;
		p++;
	}
	strcpy(q,".");
	strcpy(q+1,ext);
}
